// ============================================全局数据============================================
var url_consults_list = APP_SERVER_URL + 'complaint/complaint?pkid=' + $sky.Model.getUrlParam('pkid'); //详情
var glData //请求结果
// ============================================1.初始化页面============================================
(function() {
    loadList();
})();

// ============================================2.事件集============================================

/**
 * tab切换事件
 */
function onTabList(index) {
    switch (index) {
        case 0:
            $('.list').empty();
            showItem("item1");
            break;

        case 1:
            $('.list').empty();
            showItem("item2");
            break;

        default:
            console.error("tab的index不对");
            break;
    }
}

// ============================================3.函数集============================================
function showItem(flag) {
    if (glData.data == null) {
        return;
    }
    if (flag === "item1") {
        var result = template('item1', glData.data);
        $('.list').append(result);
        isReady(true);
    } else if (flag === "item2") {
        if (glData.data.replycontent == null && glData.data.replytime == null) {
            var result = template('empty', {});
        } else {
            var result = template('item2', glData.data);
        }
        $('.list').append(result);
        isReady(true);
    }
}
/**
 * 请求列表
 * @param type
 * @param replied
 */
function loadList() {
    template.defaults.imports.dateFliter = function(readflag) {
        return fmtDate(readflag)
    };
    // param
    $sky.Model.getAjax('get', url_consults_list)
        .then(function(dataObj) {
            if (dataObj.success) {
                glData = dataObj;
                dataObj.data.canLayerComment = "";
                dataObj.data.canExpertComment = "";
                result = template('item1', dataObj.data);
                $('.list').append(result);
                isReady(true)
            }
        })
}

function isReady(isRead) {
    $('.m-star').each(function(index, ele) {
        ele.style.visibility = "hidden";
    })
    $sky.Util.setReady(['textarea', 'input', 'select'], isRead);
    if (isRead) {
        $('input,textarea').each(function(index, elem) {
            if (elem.value === '') {
                if (typeof(elem.parentNode) != 'undefined') {
                    $(elem.parentNode).hide();
                }
            }
        })
    } else {
        $('input,textarea').each(function(index, elem) {
            $(elem.parentNode).show();
        })
    }
}


function fmtDate(obj) {
    var date = new Date(obj);
    var y = 1900 + date.getYear();
    var m = "0" + (date.getMonth() + 1);
    var d = "0" + date.getDate();
    return y + "-" + m.substring(m.length - 2, m.length) + "-" + d.substring(d.length - 2, d.length);
}