// ============================================全局数据============================================
var url_formDetail = APP_SERVER_URL + 'complaint/complaints?'; //我的咨询
// ============================================1.初始化页面============================================
(function () {
    loadList();
})();
// ============================================2.事件集============================================
function jump(pkid) {
    window.location.href = $sky.Util.urlTimestamp("../detail/complaint_detail.html?pkid=" + pkid);
}
function submit() {
    window.location.href = $sky.Util.urlTimestamp("../edit/complaint_edit.html");
}

// ============================================2.函数集============================================
function loadList() {
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.content').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            page++;
            var param = {
                startTime: "",
                endTime: ""
            }
            var url = url_formDetail + 'pageNum=' + page + '&pageSize=' + size;
            // 拼接HTML
            var result = '';
            $sky.Model.getAjax('get', url, param)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        template.defaults.imports.dateFliter = function (readflag) {
                            return fmtDate(readflag)
                        };
                        template.defaults.imports.time_filter = function (time) {
                            return time.substring(0, 10)
                        }
                        template.defaults.imports.middle_content_up = function (content) {
                            if (content.length < 80) {
                                return content
                            } else {
                                return content.substr(0, 79) + "..."
                            }

                        }
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                    }, 1);

                })
                .catch(function () {
                    console.log('Ajax error!');
                    errorTimes++;
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        me.resetload();
                    }
                });
        }
    });
}
function fmtDate(obj) {
    var date = new Date(obj);
    var y = 1900 + date.getYear();
    var m = "0" + (date.getMonth() + 1);
    var d = "0" + date.getDate();
    return y + "-" + m.substring(m.length - 2, m.length) + "-" + d.substring(d.length - 2, d.length);
}