var url_formSubmit = APP_SERVER_URL + '/consult/sendBackAssign';

var dialog = window.SKYUI.dialog;
var pkid = $sky.Model.getUrlParam('pkid');
var useful = "0";
var aging = "0";
var reasonType = "";
var reason = "";
(function () {
    var data = {};
    createTemplate(data);
    selectTab3();
})();

//====================================事件集===========================================

function onUsefulClicked(flag) {
    useful = flag;
    switch (flag) {
        case "1":
            $sky.bindId('tab1').checked = true;
            $sky.bindId('tab2').checked = false;
            $sky.bindId('tab3').checked = false;
            $sky.bindId('suggest').style.display = "none";
            break;
        case "2":
            $sky.bindId('tab1').checked = false;
            $sky.bindId('tab2').checked = true;
            $sky.bindId('tab3').checked = false;
            $sky.bindId('suggest').style.display = "none";
            break;
        case "3":
            selectTab3();
            break;
    }

}

function submit() {
    var isPass = verification();
    if (isPass) {
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open("正在提交");
            var param = {
                pkid: pkid,
                reasonType: reasonType,
                reason: reason

            };
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}

//====================================工具集合===========================================
function verification() {
    var res = true;
    var msg = "";

    reasonType = getReasonIndex();
    if (reasonType === 0) {
        msg = "请选择退回原因"
        res=false;
        dialog.toast(msg, "none", 1500);
    } else if (reasonType === 3) {
        reason = $sky.bindId('tSuggest').value;
        if (reason.length <10) {
            msg='请您输入大于10个字的内容！'
            res=false;
            dialog.toast(msg, "none", 1500);
        }
    }

    return res;
}

function getReasonIndex() {
    var indexs = 0;
    for (var c = 1; c < 4; c++) {
        if ($sky.bindId('tab' + c).checked) {
            indexs = c;
        }

    }
    return indexs;
}

function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        console.log("state================" + data.success);
        if (data.success) {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                history.back();
            }, 800);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    }).then(function (error) {
        SKYUI.dialog.loading.close();
    });
}

function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}

function selectTab3() {
    $sky.bindId('tab1').checked = false;
    $sky.bindId('tab2').checked = false;
    $sky.bindId('tab3').checked = true;
    $sky.bindId('suggest').style.display = "block";
}