// ============================================全局数据============================================
var experthandletype = $sky.Model.getUrlParam('experthandletype');
var title = $sky.Model.getUrlParam('title');
var url_consults_list = APP_SERVER_URL + 'consult/lawyer/consults?'; //咨询列表

// ============================================1.初始化页面============================================
(function () {
    $sky.bindId('title').innerHTML = title;
    loadList();
})();

// ============================================2.事件集============================================
function jump(pkid) {
    window.parent.location.href = $sky.Util.urlTimestamp("../../detail/consult_detail.html?pkid=" + pkid);
}

// ============================================3.函数集============================================
/**
 * 请求列表
 * @param type
 * @param replied
 */
function loadList() {
    $(".list").empty();
    $(".dropload-down").hide();
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            page++;
            // 拼接HTML
            var result = '';
            var param = {
                keywords: "",
                servicetype: 0,
                consulttype: 0,
                replied: "1",
                experthandletype: experthandletype,
                pageNum: page,
                pageSize: size,
                skytimeStamp: Date.parse(new Date())
            };
            $sky.Model.getAjax('get', url_consults_list, param)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                            return;
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                    }, 10);
                })
                .catch(function (error) {
                    console.log(error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}
