// ============================================全局数据============================================
var url_consults_list = APP_SERVER_URL + 'consult/anonymous/consults'; //咨询列表
var consultTypeData = [
    {
        "code": "",
        "name": "全部"
    },
    {
        "code": "zxlx",
        "name": "律师咨询"
    },
    {
        "code": "gzzx",
        "name": "公证咨询"
    },
    {
        "code": "flyz",
        "name": "法律援助"
    },
    {
        "code": "rmtj",
        "name": "人民调解"
    },
    {
        "code": "sfjd",
        "name": "司法鉴定"
    },
    {
        "code": "zc",
        "name": "仲裁"
    }];
// ============================================1.初始化页面============================================
(function () {
    if ($sky.Model.getUrlParam('from') === "home") {
        $sky.Util.addRefreshbackListener(function () {
            window.location.replace($sky.Util.urlTimestamp('../../../main/public/public_main.html'))
        });
    } else {
        $sky.Util.addRefreshbackListener();
    }
    //$sky.bindId("consult_type").value = '';//默认设置类型选择中全部的code为'0'
    var type = $sky.Model.getUrlParam('type'); //判断第三方页面的来源
    var title = $sky.Model.getUrlParam('title');
    if (type != "" && title != "") {
        document.title = title;
    }
    loadList();
})();
// ============================================2.事件集============================================
function jump(pkid) {
    window.location.href = $sky.Util.urlTimestamp("../../detail/new/consult_detail.html?pkid=" + pkid);
}

/**
 * 区域 一级联动
 */
function consultPicker(consult1) {
    var nowValue = $sky.bindId(consult1);
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": consultTypeData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            $sky.bindId("consult_type").value = code.split(",")[0];
            // cityCode=selectedPeopleType;
            nowValue.innerHTML = val;
            refresh();
        }
    });
}

// ============================================2.函数集============================================
function refresh() {
    loadList();
}

function loadList() {
    tag1 = true;
    tag2 = false;
    $(".list").empty();
    $(".dropload-down").hide();
    var page = 0;// 页数
    var size = 30;// 每页展示20个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            page++;
            // 拼接HTML
            var result = '';
            var param = {
                type: $sky.bindId("consult_type").value,
                startTime : '',
                endTime : '',
                keyword: $sky.bindId("consultName").value,
                pageNum: page,
                pageSize: size
            };
            $sky.Model.getAjax('get', url_consults_list, param)
                .then(function (data) {
                    console.log(data);
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                        setTimeout(function () {
                            if (tag1) {
                                $('.list').append(result);
                                me.resetload();
                            }
                        }, 10);
                    } else {
                        if (page == 1) {
                            me.lock();
                            me.noData();
                            if (!hasData) {
                                $(".dropload-down").hide();
                                result = template('empty', {});
                                if (tag1) {
                                    $('.list').append(result);
                                }
                            }
                        } else {
                            $(".dropload-down").hide();
                        }

                    }
                })
                .catch(function (error) {
                    console.log('error' + error);
                    if (errorTimes < 1) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}
