/**
 * Created by lwc on 2018/8/8.
 */
// ============================================全局数据============================================
var pkid = $sky.Model.getUrlParam('pkid');//建议标识
var url_detail = APP_SERVER_URL + 'suggestion/getSuggestionDetail';//公众意见建议详细
var dialog = window.SKYUI.dialog;
var $dialog;//用来保存回复对话框对象（回复对话框点击确定小于20个字，对话框是不能关闭的）
// ============================================1.初始化页面============================================
(function () {
    getDetailForPublic();
})();

// ============================================2.事件集============================================
/**
 * 评价
 * @param index
 */
// function feedback() {
//     window.location.href = $sky.Util.urlTimestamp("../feedback/feedback.html?pkid="+pkid);
// }
function feedback() {
    window.location.href = $sky.Util.urlTimestamp("../evaluate/repudiate/repudiate.html?business_id="+pkid);
}

// ============================================3.函数集============================================
/**
 * 获取建议详情
 */
function getDetailForPublic() {
    tag1 = false;
    tag2 = true;
    $(".list").empty();
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    //拼接html
    var result = '';
    var param = {
        type : '1',
        token : 'ARE33234SDF2323234',
        pkid : pkid,
        pageNum: page,
        pageSize: size
    };
    $sky.Model.getAjax('get',url_detail, param)
    .then(function (data) {
        console.log(data);
        if (data.data != null) {
            result = template('item', data.data);
            setTimeout(function () {
                if (tag2) {
                    $('.list').append(result);
                }
            }, 10);
        } else {
            if (page == 1) {
                if (!hasData) {
                    result = template('empty', {});
                    if (tag2) {
                        $('.list').append(result);
                    }
                }
            } else {
            }
        }
    })
    .catch(function (error) {
        console.log(error);
        if (errorTimes < 1) {// 即使加载出错，也得重置,最多重置5次
            errorTimes++;
        }
    });
}


// ============================================4.语音听写、合成============================================
var url_text2MP3 = 'http://www.12348.gov.cn/sfb12348/sfbMobile/aliyun/text2WAV';
var url_translate = 'http://www.12348.gov.cn/sfb12348/sfbMobile/aliyun/translate';
var chineseAduio;
var enAudio;
var lastAudio;
var nowAudio;
var voiceFlag = false;
var iosVoice = false;//用于苹果再次点击播放录音

function text2MP3(text, flag, img) {
    if (text == "en") {
        var englishText = $sky.bindId('middle_content_up1').innerHTML;
        audioController(englishText, flag, img);
    } else if (text == "en2") {
        var englishText = $sky.bindId('middle_content_up2').innerHTML;
        audioController(englishText, flag, img);
    } else {
        audioController(text, flag, img);
    }
}

function audioController(text, flag, img) {
    var audio;
    var readVoiceImg;
    audio = $sky.bindId(flag);
    nowAudio = audio;
    if (typeof (lastAudio) != "undefined") {
        lastAudio.pause();
    }

    readVoiceImg = $sky.bindId(img + flag);
    audio.volume = 1;
    if (audio.src.indexOf("mp3") != -1) {

        if (audio.paused && (lastAudio != nowAudio || voiceFlag) || iosVoice) {
            voiceFlag = false;
            iosVoice = false;
            audio.play();
        } else {
            voiceFlag = true;
            audio.pause();// 暂停
        }
    } else {
        SKYUI.dialog.loading.open("请稍候...");

        var texts;
        var re = new RegExp("^[a-zA-Z]");
        if (re.test(text)) {
            texts = text.split('.');
        } else {
            texts = text.split('。');
        }


        if (1 == texts.length) {
            texts = text.split(".");
        }
        texts = trimSpace(texts);
        var num = texts.length;
        var sortTexts = [];
        var indexs = [];
        for (var i = 0; i < num; i++) {
            speechText(texts[i], function (data) {
                for (var j = 0; j < num; j++) {
                    if (texts[j] == data.text) {
                        sortTexts[j] = data.audioPath;
                        console.log(sortTexts[j]);
                        indexs.push(j);
                    }
                }
                if (indexs.length == num) {
                    dialog.loading.close();

                    if (getMobileFolder() == "ios") {
                        iosVoice = true;
                        dialog.toast("转换成功，请点击播放", 'none', 500);
                    }
                    audio.src = sortTexts[0];
                    audio.play();
                    // var flag = 1;
                    // audio.onended = function () {
                    //     audio.src = sortTexts[flag];
                    //     audio.play();
                    //
                    //     if (flag == num) {
                    //         audio.src = sortTexts[0];
                    //         audio.play();
                    //         flag = 1;
                    //     } else {
                    //         ++flag;
                    //     }
                    // };
                }
            });
        }
    }
    lastAudio = audio;
}

/**
 * 中文合成
 * @param text
 * @param callback 回调
 */
function speechText(text, callback) {
    var returnData = {};
    $sky.Model.getAjax('post', url_text2MP3, {sourceText: text})
        .then(function (data) {
            returnData.audioPath = data.data.wavUrl;
            returnData.text = data.data.sourceText;
            callback(returnData);
        }).catch(function (error) {
        console.error(error);
    });

}

/**
 * 小段中文翻译
 * @param text
 * @param callback
 */
function translateText(text) {
    var returnData = {};
    return new ES6Promise(function (resolve, reject) {
        $sky.Model.getAjax('post', url_translate, {sourceText: text})
            .then(function (data) {
                returnData.targetText = data.data.targetText;
                returnData.text = data.data.sourceText;
                resolve(returnData);
            }).catch(function (error) {
            reject(error);
        });
    });
}

/**
 *数组去除空值
 * @param texts
 */
function trimSpace(array) {
    for (var i = 0; i < array.length; i++) {
        if (array[i] == "" || typeof(array[i]) == "undefined") {
            array.splice(i, 1);
            i = i - 1;
        }
    }
    return array;
}

function zh2EnMp3(text, flag, id) {
    dialog.loading.open("翻译中");

    var texts = text.split('，');
    if (1 == texts.length) {
        texts = text.split(".");
    }
    texts = trimSpace(texts);
    var num = texts.length;
    var sortTexts = [];
    var indexs = [];

    for (var i = 0; i < num; i++) {
        translateText(texts[i]).then(function (data) {
            for (var j = 0; j < num; j++) {
                if (texts[j] == data.text) {
                    sortTexts[j] = data.targetText;
                    indexs.push(j);
                }
            }
            if (indexs.length == num) {
                if (flag == "zj") {
                    $sky.bindClass("voice_Img2")[0].style.display = "none";
                    for (var j = 0; j < num; j++) {
                        var lastLetter = sortTexts[j].substring(sortTexts[j].length - 1, sortTexts[j].length);
                        if (j == num - 1 && /[a-z]/i.test(lastLetter)) {//判读最后一个字符为英文字母，最后一句加上句号
                            $sky.bindId("middle_content_up2").innerHTML = $sky.bindId("middle_content_up2").innerHTML + sortTexts[j] + '.';
                        } else if (/[a-z]/i.test(lastLetter)) { //判读最后一个字符为英文字母，在每段最后添加逗号
                            $sky.bindId("middle_content_up2").innerHTML = $sky.bindId("middle_content_up2").innerHTML + sortTexts[j] + ',';
                        } else {
                            $sky.bindId("middle_content_up2").innerHTML = $sky.bindId("middle_content_up2").innerHTML + sortTexts[j];
                        }
                    }
                    $sky.bindId('enTranslate1').style.display = "block";
                } else {
                    for (var j = 0; j < num; j++) {
                        var lastLetter = sortTexts[j].substring(sortTexts[j].length - 1, sortTexts[j].length);
                        if (j == num - 1 && /[a-z]/i.test(lastLetter)) {//判读最后一个字符为英文字母，最后一句加上句号
                            $sky.bindId("middle_content_up1").innerHTML = $sky.bindId("middle_content_up1").innerHTML + sortTexts[j] + '.';
                        } else if (/[a-z]/i.test(lastLetter)) { //判读最后一个字符为英文字母，在每段最后添加逗号
                            $sky.bindId("middle_content_up1").innerHTML = $sky.bindId("middle_content_up1").innerHTML + sortTexts[j] + ',';
                        } else {
                            $sky.bindId("middle_content_up1").innerHTML = $sky.bindId("middle_content_up1").innerHTML + sortTexts[j];
                        }
                    }
                    $sky.bindClass("voice_Img1")[0].style.display = "none";
                    $sky.bindClass("voice_Img1")[1].style.display = "none";
                    $sky.bindId('enTranslate').style.display = "block";
                }

                console.log($sky.bindId("middle_content_up1").innerHTML);

                dialog.loading.close();
            }
        });
    }
}


/**
 * 根据手机类型返回 android、ios
 * @returns
 */
function getMobileFolder() {
    var iphone = navigator.userAgent.toLocaleLowerCase().match(/iPhone/i);
    if (iphone && iphone.length) {
        return "ios";
    } else {
        return "android";
    }
}

window.addEventListener("pagehide", function (ev) {
    if (typeof (lastAudio) != "undefined") {
        lastAudio.pause();
    }
    if (typeof (nowAudio) != "undefined") {
        nowAudio.pause();
    }
});

