var satisfactionType = '';//满意度
var fwtd = '';//服务态度
var xl = '';//效率
var hj = '';//环境
var nl = '';//能力
var lj = '';//廉洁
var list = '';
var org_type = '';
var dataList = '';
var dialog = window.SKYUI.dialog;

$(function () {
    memory();
    //满意度
    $('.satisfaction_btn').on('touchstart',function () {
        $(this).addClass('active').siblings().removeClass('active');
        var index = $(this).index();
        if(index === 2){
            $('.satisfaction_selects').hide();
            satisfactionType = '1';
        }else if(index === 0){
            $('.satisfaction_selects').show();
            satisfactionType = '3';
        }else if(index === 1){
            $('.satisfaction_selects').show();
            satisfactionType = '2';
        }
    });

    $('.satisfaction_level span').on('touchstart',function () {
            $(this).addClass('active').siblings().removeClass('active');
            if($(this).parent().hasClass('one')){//服务态度
                if($(this).index() == '0'){
                    fwtd = '3';//不满意
                }else if($(this).index() == '1'){
                    fwtd = '2';//基本满意
                }else if($(this).index() == '2'){
                    fwtd = '1';//满意
                }
            }else if($(this).parent().hasClass('two')){//效率
                if($(this).index() == '0'){
                    xl = '3';//不满意
                }else if($(this).index() == '1'){
                    xl = '2';//基本满意
                }else if($(this).index() == '2'){
                    xl = '1';//满意
                }
            }else if($(this).parent().hasClass('three')){//环境
                if($(this).index() == '0'){
                    hj = '3';//不满意
                }else if($(this).index() == '1'){
                    hj = '2';//基本满意
                }else if($(this).index() == '2'){
                    hj = '1';//满意
                }
            }else if($(this).parent().hasClass('four')){//能力
                if($(this).index() == '0'){
                    nl = '3';//不满意
                }else if($(this).index() == '1'){
                    nl = '2';//基本满意
                }else if($(this).index() == '2'){
                    nl = '1';//满意
                }
            }else if($(this).parent().hasClass('five')){//廉洁
                if($(this).index() == '0'){
                    lj = '3';//不满意
                }else if($(this).index() == '1'){
                    lj = '2';//基本满意
                }else if($(this).index() == '2'){
                    lj = '1';//满意
                }
            }
    });


    //每一项工作的
    $('.cell').on('touchstart',function () {
        if(!$(this).hasClass('active')){
            $(this).addClass('active');
            $(this).next('.satisfaction_box').show()
        }else{
            $(this).removeClass('active');
            $(this).next('.satisfaction_box').hide()
        }
    })
});

//记忆卡
function memory() {
    if(window.localStorage.getItem("dataList")!=null&&window.localStorage.getItem("dataList")!=''){
        list = JSON.parse(window.localStorage.getItem("dataList"));
        satisfactionType = list.satisfactionType;
        org_type = list.org_type;
        if(typeof list.other_evaluate != 'undefined'){
            $sky.bindId('other_evaluate').value = list.other_evaluate;
        }
        if(satisfactionType == '1'){
            $('.satisfaction_btn').eq(2).addClass('active');
        }else if(satisfactionType == '2'){
            $('.satisfaction_selects').show();
            $('.satisfaction_btn').eq(1).addClass('active');
        }else if(satisfactionType == '3'){
            $('.satisfaction_selects').show();
            $('.satisfaction_btn').eq(0).addClass('active');
        }
        for(var i in list.secondList){
            if(list.secondList[i].evaluate == '1'){//满意
                $('.satisfaction_level').eq(i).children().eq(2).addClass('active');
            }else if(list.secondList[i].evaluate == '2'){//基本满意
                $('.satisfaction_level').eq(i).children().eq(1).addClass('active');
            }else if(list.secondList[i].evaluate == '3'){//不满意
                $('.satisfaction_level').eq(i).children().eq(0).addClass('active');
            }
            switch (i){
                case '0':
                    fwtd = list.secondList[i].evaluate;//服务态度
                    break;
                case '1':
                    xl = list.secondList[i].evaluate;//效率
                    break;
                case '2':
                    hj = list.secondList[i].evaluate;//环境
                    break;
                case '3':
                    nl = list.secondList[i].evaluate;//能力
                    break;
                case '4':
                    lj = list.secondList[i].evaluate;//廉洁
                    break;
            }
        }
    }
}

//下一步评价
function next() {
        if(satisfactionType == ''||satisfactionType == null){
            dialog.toast("请选择对司法部机关履职的满意度!", 'none', 1000);
            return false;
        }
        //基本满意和不满意
        if(satisfactionType == '2'||satisfactionType=='3'){
            if(fwtd == ''||fwtd == null){
                dialog.toast("请选择对司法部服务态度的满意度!", 'none', 1000);
                return false;
            }
            if(xl == ''||xl == null){
                dialog.toast("请选择对司法部效率的满意度!", 'none', 1000);
                return false;
            }
            if(hj == ''||hj == null){
                dialog.toast("请选择对司法部环境的满意度!", 'none', 1000);
                return false;
            }
            if(nl == ''||nl == null){
                dialog.toast("请选择对司法部能力的满意度!", 'none', 1000);
                return false;
            }
            if(lj == ''||lj == null){
                dialog.toast("请选择对司法部廉洁的满意度!", 'none', 1000);
                return false;
            }
            dataList =
                {
                    satisfactionType: satisfactionType,
                    org_type: '1',
                    other_evaluate: $sky.bindId('other_evaluate').value,
                    secondList: [
                        {evaluate_index: 1, evaluate: fwtd},
                        {evaluate_index: 2, evaluate: xl},
                        {evaluate_index: 3, evaluate: hj},
                        {evaluate_index: 4, evaluate: nl},
                        {evaluate_index: 5, evaluate: lj}
                    ]
                };
        }else{
            dataList =
                {
                    satisfactionType: satisfactionType,
                    org_type: '1',
                    other_evaluate: $sky.bindId('other_evaluate').value,
                    secondList: []
                };
        }
    window.localStorage.setItem("dataList",JSON.stringify(dataList));
    window.location.href=$sky.Util.urlTimestamp('../job/job.html?dataList='+JSON.stringify(dataList));
}