/**
 * Created by lwc on 2018/9/7.
 */
// ============================================全局数据============================================
var flow_pkid = $sky.Model.getUrlParam('pkid');//案件流程id
var complaint_id = $sky.Model.getUrlParam('complaint_id');//建议标识
var last_day = $sky.Model.getUrlParam('last_day');//办结时间剩余天数
var url_stepover = APP_SERVER_URL + 'suggestion/stepOver';
var dialog = window.SKYUI.dialog;
var suggestionCode = '';//清理建议Code
var suggestionName = '';//清理建议名称
var suggestionData = [
    {
        "code": "1",
        "name": "保留"
    },
    {
        "code": "2",
        "name": "清理"
    }
];
// ============================================1.初始化页面============================================
(function () {
    var result = template('item',{"last_day":last_day});
    $('.list').append(result);
})();

// ============================================2.事件集============================================
//清理建议
function changeSuggestion() {
    var nowValue = $sky.bindId('suggestion_title');
        new Picker({
            //"canHide": false,//隐藏取消按钮
            "title": '请选择',//标题(可选)
            "defaultValue": '',//默认值-多个以空格分开（可选）
            "type": 1,//需要联动级数[1、2、3]（可选）
            "data": suggestionData,//数据(必传)
            "keys": {
                "id": "code",
                "value": "name"
            },//数组内的键名称(必传，id、text、data)
            "callBack": function (val, code) {
                //回调函数（val为选择的值）
                suggestionCode = code.split(",")[0];
                suggestionName = val;
                nowValue.value = suggestionName;
                if(suggestionCode == '1'){
                    $sky.bindId('reason').innerText = '保留原因';
                }else{
                    $sky.bindId('reason').innerText = '取消后的办理方式';
                }

            }
        });
}

function back() {
    window.history.back(-1);
}

// ============================================3.函数集============================================
//提交
function saveForm(){
    var param = {
        type : '2',//类型，1为微信，2为app
        pkid : complaint_id,//案件id
        flow_pkid : flow_pkid,//案件流程id
        dispose_choose : suggestionCode,//清除建议
        dispose_content : $sky.bindId('according_title').value,//设立依据
        dispose_title : $sky.bindId('name_title').value,//证明名称
        dispose_detail : $sky.bindId('reason_title').value,//取消后办理方式或者保留原因
        stepover_reason : $sky.bindId('feedback_title').value//办结情况反馈
    };
    if(param.dispose_title == ''){
        dialog.toast("请填写证明名称！", 'none', 1000);
        return false;
    }
    if(param.dispose_content == ''){
        dialog.toast("请填写设立依据！", 'none', 1000);
        return false;
    }
    if(param.dispose_choose == ''){
        dialog.toast("请填写清理建议！", 'none', 1000);
        return false;
    }
    if(param.dispose_detail == ''){
        dialog.toast("请填写原因或办理方式！", 'none', 1000);
        return false;
    }

    console.log(param);
    dialog.confirm("确定提交办结？", function () {
        SKYUI.dialog.loading.open('请稍候...');
        $sky.Model.getAjax('post', url_stepover, param).then(function (res) {
            if (res.success) {
                dialog.toast("提交成功！", 'none', 1000);
                SKYUI.dialog.loading.close();
                window.location.href = $sky.Util.urlTimestamp("../list/control/list.html");
            } else {
                SKYUI.dialog.loading.close();
                dialog.toast(res.errorMsg, 'none', 1000);
            }
        })
    })
}