console.log("====================缓存的数据====================");
var cacheSessionData = $sky.Model.handLocalStorage.get("cacheListData");
console.log(cacheSessionData);
console.log("================================================");
// ============================================全局数据============================================
var pkid = $sky.Model.getUrlParam('pkid');
var type = $sky.Model.getUrlParam('type');
var url_consultRepliesAndComments = APP_SERVER_URL + 'consult/consultRepliesAndComments?pkid=' + $sky.Model.getUrlParam('pkid');
var url_hand = APP_SERVER_URL + 'consult/sendFlowerOrEgg';
var url_expert_reply = APP_SERVER_URL + 'consult/comment'; //专家回复接口
var url_layer_reply = APP_SERVER_URL + 'consult/lawyerReply'; //律师回复接口
var url_ask_more = APP_SERVER_URL + "consult/askMore";
var url_reply_ask_more = APP_SERVER_URL + "consult/replyAskMore";
var url_consult_lockReply = APP_SERVER_URL + "consult/lockReply";//抢单
var url_consult_unlockReply = APP_SERVER_URL + "consult/unlockReply";//取消抢单
var url_consult_expertReply = APP_SERVER_URL + "consult/expertReply";//专家回复
var url_consult_evaluate = APP_SERVER_URL + "consult/evaluate";//满意与不满
var url_consult_suggestion_applyReview = APP_SERVER_URL + "consult/suggestion/applyReview"
var url_consult_reply_modify = APP_SERVER_URL + "consult/reply/modify";
var url_consult_reply_suggestModification = APP_SERVER_URL + "consult/reply/suggestModification";
var url_consult_expertreply_modify = APP_SERVER_URL + "consult/expertReply/modify";
var url_consult_comment = APP_SERVER_URL + "consult/comment/modify";

var dialog = window.SKYUI.dialog;
var repliesAndCommentsData; //全局数据
var role = CURRENT_ACCOUNT.getUserRole() + '';
if (role === '1' || role === '4') {
    role = '1';
}

var userId = CURRENT_ACCOUNT.getId() + '';
var $dialog;//用来保存回复对话框对象（回复对话框点击确定小于20个字，对话框是不能关闭的）

var data;
// ============================================1.初始化页面============================================
// ============================================1.页面初始化状态============================================
(function () {
    dialog.loading.open("loading...");
    url_consultRepliesAndComments = url_consultRepliesAndComments + '&skytimeStamp=' + Date.parse(new Date());
    // url_consultRepliesAndComments = './a.json';
    $sky.Model.getAjax('get', url_consultRepliesAndComments).then(function (data) {
        repliesAndCommentsData = data;
        dialog.loading.close();
        createTemplate(data);
        // 不需要委托与采纳时，隐藏委托与按钮（场景：别人查看你的咨询回复页面）
        if (type != "") {
            hasTypeHide("[id^='img']");
            hasTypeHide("[id^='adopt_img']");
            hasTypeHide(".like");
        }
    })
})();

// ============================================2.事件集============================================
/**
 * 显示更多事件
 * @param obj
 */
function showDetail(index, id) {
    $sky.bindId('middle_content_up' + index).style.display = "none";
    $sky.bindId('middle_content_down' + index).style.display = "block";
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "block";
    $sky.bindId('middle_content_down' + index).style.display = "none";
}

/**
 * 显示更多事件
 * @param obj
 */
function showHistoryItemDetail(index) {
    $sky.bindId('history_content_up' + index).style.display = "none";
    $sky.bindId('history_content_down' + index).style.display = "block";
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideHistoryItemDetail(index) {
    $sky.bindId('history_content_up' + index).style.display = "block";
    $sky.bindId('history_content_down' + index).style.display = "none";
}

/**
 * 赞、砸事件集
 * @param obj
 * @param arror 箭头方向
 * @param str 提示语
 * @param type 类型（采纳或是赞、砸）
 * @param index（当前索引值）
 */
function like(obj, arror, str, type, index) {
    //律师和专家的id都是放在lawyerid中的
    var lawyerid = repliesAndCommentsData.data.list[index].lawyerid;
    if (lawyerid === userId) {
        dialog.toast('You cant do thumb up for yourself', 'none', 1000);
        return;
    }
    if (hasClass($sky.bindId(obj.substring(1)), 'canopt')) {
        add(index, str, type, obj);
    } else {
        if (obj.substring(6, 8) === "up") {
            dialog.toast('You cant have thumb up！', 'none', 1000);
        } else {
            dialog.toast('You cant step on it！', 'none', 1000);
        }
    }
}

/**
 * 评价
 * @param index
 */
// function feedback(index) {
//     window.location.href = $sky.Util.urlTimestamp("../feedback/feedback.html?replyId=" + repliesAndCommentsData.data.list[index].replyid + "&source=exam");
// }
function feedback(index) {
    window.location.href = $sky.Util.urlTimestamp("../../criticism/evaluate/mine/mine.html?business_id=" + repliesAndCommentsData.data.list[index].replyid);
}

/**
 * 专家/律师回复
 */
function lawyerReply() {
    var url;
    if (role === "2") { //专家
        url = url_consult_expertReply;

        dialog.confirmLongText('您的解答建议将直接覆盖原回复内容，确定继续进行解答？', function () {
            $dialog = dialog.consultReplyConfirm('我来解答',
                function () {
                    postReply(url, "expertAndlawyer");
                });
        });
    } else if (role === "1" || role + '' === '4') { //律师
        url = url_layer_reply;
        $dialog = dialog.consultReplyConfirm('您的回复',
            function () {
                postReply(url, "expertAndlawyer");
            });
    } else {
        console.error("当前用户类型不确定！");
    }

}

/**
 * 专家点评
 */
function expertReply(item) {
    dialog.confirmLongText('您的建议将作为对原服务人员回复内容的认可或补充，确定对原回复内容进行点评？', function () {
        $dialog = dialog.simpleEvaluateConfirm('您的点评',
            function () {
                postReply(url_expert_reply, "expert", JSON.parse(removeAllSpace(item)));
            });
    });
}


/**
 * 追问回复
 */
function askReply(item) {
    var item = JSON.parse(removeAllSpace(item));
    var role = CURRENT_ACCOUNT.getUserRole();
    if (role === "0" || role === 0) {
        $dialog = dialog.simpleEvaluateConfirm('Your Question',
            function () {
                postReply(url_ask_more, "askUser", item);
            });
    } else if (role === "1" || role === 1 || role + '' === '4') { //律师
        $dialog = dialog.consultReplyConfirm('Your Answer',
            function () {
                postReply(url_reply_ask_more, "askLawyer", item);
            });
    } else if (role === "2" || role === 2) { //专家
        console.error("当前身份是专家，不应该使用追问追答")
    } else {
        console.error("当前身份不确定")
    }
}

function removeAllSpace(str) {
    return str.replace(/\s+/g, "");
}

/**
 * 抢答
 * 恒定条件：
 *      两种情况：抢答，和取消抢答（抢答成功的提示字肯定是cancelTipTxt（取消抢答））
 *      这个按钮可定是有抢答按钮的情况下调用
 */
function gradReply() {
    if ($sky.bindId('bottomGrap').style.display === "none") {//处理抢答成功，页面刷新的情况
        cancelReplyHttp(url_consult_unlockReply);
    } else {
        gradReplyHttp(url_consult_lockReply);//请求服务器抢答(lawyerReply必须要放到改方法中)
    }
}

/**
 * 已被抢答的事件处理
 */
function jump() {
    // window.location.replace(document.referrer);
}

/**
 * 专家提醒整改
 */
function expertRemind(replyid) {
    dialog.confirmLongText('您的修改建议将发送至该服务人员，且后期将涉及相应的沟通交流，确定对原回复内容提醒修改？', function () {
        var param = {
            replyId: replyid,
            pkid: pkid,
            suggestion: ''
        };
        postSuggestionCommon('expertRemind', url_consult_reply_suggestModification, param, '提醒整改描述', '提醒整改成功！')
    });

}

/**
 * 律师申请复核
 */
function lawyerApplyReview(replyid) {
    var param = {
        replyid: replyid,
        conId: pkid,
        reason: ''
    };
    postSuggestionCommon('lawyerApplyReview', url_consult_suggestion_applyReview, param, '您的复核描述', '申请复核成功！')
}

/**
 * 律师整改提交
 */
function lawyerSubmit(replyid) {
    var param = {
        replyid: replyid,
        conId: pkid,
        replyContent: ''
    };
    var busId = 1;
    postSuggestionCommon('lawyerSubmit', url_consult_reply_modify, param, '我来修改', '意见修改成功！', busId)
}


//专家修改回复
function exceptModfiyReply(replyid) {
    var param = {
        replyid: replyid,
        replyContent: ''
    };

    var busId = 1;//将上一次填写的内容复制到输入框中
    postSuggestionCommon('exceptModfiyReply', url_consult_expertreply_modify, param, '修改回复', '修改回复成功！', busId)
}

//专家撤销点评
function exceptRevokeComment() {

    var param = {
        commentId: data.list[0].comments[0].commentid,
        type: 2,
        conId: data.list[0].conid

    };
    dialog.confirmLongText('您确定要撤销点评吗？', function () {
        dialog.loading.open("提交中");
        $sky.Model.getAjax('post', url_consult_comment, param).then(function (data) {
            if (data.success + '' === "true") {
                dialog.toast('撤销成功', 'none', 1000);
                setTimeout(function () {
                    var pageName = window.location.href;
                    window.location.replace(pageName);
                }, 500)
            }

        }).catch(function (error) {
            dialog.loading.close();
            dialog.toast('有异常，请您稍等！', 'none', 1000);
        }).then(function () {
            dialog.loading.close();
        });
    });

}

//专家修改点评
function exceptModfiyComment() {
    var param = {
        commentId: data.list[0].comments[0].commentid,
        type: 1,
        conId: data.list[0].conid,
        commentContent: ''
    };
    var busId = 1;//将上一次填写的内容复制到输入框中
    postSuggestionCommon('exceptModfiyComment', url_consult_comment, param, '修改点评', '修改点评成功！', busId)
}

//申请退回
function applyReturn() {
    window.location.replace('../applyreturn/applyreturn.html?pkid=' + pkid);
}

// ============================================3.函数集============================================
/**
 * 创建初始化页面模板
 * 处理：页面刷新情况（抢答成功和没有开始抢答的情况）
 * 抢答相关：
 *  抢答页面、抢答成功、抢答失败、抢答成功别人再进、抢答成功页面刷新
 * @param data
 */
function createTemplate(datas) {
    console.log(datas);
//1、页面有回复数据渲染
    data = datas.data;
    // 判断是否有点评，并更新datas数据
    if (data.list.length > 0 && data.list[0].comments.length > 0) {
        data.hascomment = 1;
        data.list[0].exceptcanmodfiy = 1;
    } else {
        data.hascomment = 0;
    }

    historyList = data.list;
    data.historyArray = [];
    if (data.list.length > 1) {
        $(data.list).each(function (index, value) {
            if (index != (data.list.length - 1)) {
                data.historyArray[index] = value;
            }
        })
        data.historyArray.reverse();
        // data.historyArray = historyList.splice(historyList.length - 1, historyList.length - 1).reverse();
        var lastListData = data.list[data.list.length - 1];//data中最后一条list数据
        var suggestionsArraData = new Array();//所有的时间轴数据重组集合
        $(data.list).each(function (index, value) {
            $(value.suggestions).each(function (index2, value2) {
                suggestionsArraData.push(value2);
            })
        })
        lastListData.suggestions.splice(0, lastListData.suggestions.length);//清空最后一条list数组中原有suggestions
        lastListData.suggestions = suggestionsArraData;//最后一条list数组中的时间轴重新赋值
        data.list.splice(0, data.list.length);//清空data中list数据
        data.list.push(lastListData);//添加重组后的一条list
    }

    var roleSelf = false;
    if (repliesAndCommentsData.data.consultid === userId) {
        roleSelf = true
    }
    data.role = role;
    console.log("role:" + role);
    //有回复时，将服务器数据转为为条目数据（公众、律师、专家）
    switch (role + "") {//防止role是数字类型
        case "1"://律师
            data.canEntrusts = 0;
            $(data.list).each(function (index, value) {
                value.evaluable = 3; //evaluable满意新增状态3（律师和专家的身份）

                value.cansuggest = 0;//律师没有提醒整改的按钮

                if (value.lawyerid == userId) { //只要列表中有一条是我的，我就不能再点评了
                    data.canreply = 0;
                }
                value.cancomment = 0; //无论如何律师是不能点评律师的（只能回复用户）

                // value.canask = 0;//默认都不可追问
                // var num = value.talks.length - 1;
                // if (num >= 0 && value.talks[num].answer == null) {
                //     value.canask = 1;
                // }
            })
            break;
        case "2"://当前身份是专家
            data.canEntrusts = 0;
            $(data.list).each(function (index, value) { //每大条
                value.evaluable = 3; //evaluable满意新增状态3（律师和专家的身份,不显示）
                $(value.comments).each(function (index1, value1) { //专家的每条评论
                    if (value1.expertid == userId) {
                        value.cancomment = 0; //只有列表中有一条是我  的，我就不能再点评了
                    }

                    // data.canreply = 0; //专家是不能直接回复用户的
                })
            })
            break;
        case "0"://用户
            data.canEntrusts = 1;
            data.canreply = 0; //回复(0为false，1为true)
            $.each(data.list, function (index, value) {
                value.cansuggest = 0;//律师没有提醒整改的按钮
                value.cancomment = 0; //点评
            })
            break;
        default:
            console.warn("无用户角色");
            data.canEntrusts = 1;
            data.canreply = 0; //回复(0为false，1为true)
            $(data.list).each(function (index, value) {
                value.cancomment = 0; //点评
            })
            break;

    }
    console.log("=============转换后渲染数据=================");
    console.log(data);
    template.defaults.imports.titleFormat = function (usertype, content, userid, status) {
        switch (usertype + '') {
            case '1':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            case '2':
                return '专家提出修改意见'
            case '3':
                return '形成复议结果'
            case '4':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            default:
                return '';
        }
    }
    template.defaults.imports.textFormat = function (text) {
        switch (usertype + '') {
            case '1':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            case '2':
                return '专家提出修改意见'
            case '3':
                return '形成复议结果'
            case '4':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            default:
                return '';
        }
    }
    template.defaults.imports.filterTimeAxisTime = function (date, flag) {
        var timeLeftTime;
        if (flag === '1' || flag === '4') {
            timeLeftTime = date.substring(0, 10);
            return timeLeftTime
        } else if (flag === '2') {
            timeLeftTime = date.split(' ')[1].substring(0, 5);
            return timeLeftTime
        } else {
            return ''
        }
    };
    template.defaults.imports.replyTip = function (content) {
        if (role === "1" || role === 1 || role + '' === '4') { //律师
            return "追答"
        } else if (role === "0" || role === 0) { //用户
            return "Ask More Question"
        } else {
            return ""
        }
    };
    template.defaults.imports.middle_content_up = function (content) {
        if (content.length < 42) {
            return content
        } else {
            return content.substr(0, 460) + "..."
        }
    };
    template.defaults.imports.time_filter = function (time) {
        //return time.substring(0, 10)
        return time
    };
    template.defaults.imports.laywerCanreply = function (canreply) {
        //初始化head的回复按钮（已抢答但还未回复）
        if ((canreply === 1 || canreply === "1") && (datas.data.lockable === "0" || datas.data.lockable === 0)) {
            return true
        } else {
            return false
        }
    };
    template.defaults.imports.textFormat = function (text) {
        return text.replace(/\s/g, '');
    };

    var html = template('repitem', datas);
    $sky.bindId("content").innerHTML = html;
    //普通用户看不到时间轴
    if ($sky.bindId("timeAxisContainer") != null) {
        if (role + '' === '0') {
            $('.timeAxisContainer').each(function (index, value) {
                value.style.display = 'none';
            });
        }
    }


    /**
     * 留言咨询回复24小时后不能追问
     */


    if ((Date.now() - new Date(data.consulttime.replace(/-/g, "/"))) > 24 * 60 * 60 * 1000) {
        $sky.bindId("ask_btns").style.display = "none";
    }


    //时间轴无数据，隐藏时间轴(万一后台返回两条数据，但是里面有一条是没有suggestions数据的，这里统一都隐藏)
    for (var index = 0; index < data.list.length; index++) {
        if (data.list[index].suggestions.length === 0) {
            $('.timeAxisContainer').each(function (index, value) {
                value.style.display = 'none';
            });
        }
    }
    //2、回复无数据或抢答时情况，页面初始化处理（因为list.length是0，下面也有律师身份判断，所以这里处理的都是抢答情况）
    if (datas.data.list.length == 0) {//有律师回复了，就不能有抢答页面了
        if (role === "1" || role === 1 || role + '' === '4') { //律师 canreply
            var html = template('answer', data);
            $sky.bindId("emptyContainer").innerHTML = html;
            if ((datas.data.lockable === 0 || datas.data.lockable === "0") && (datas.data.canreply === "1" || datas.data.canreply === 1)) {//我抢了，但没取消抢答或者回复，直接页面又刷新
                showCancelReplyView();
            } else if ((datas.data.lockable === 0 || datas.data.lockable === "0") || (datas.data.canreply === "0" && datas.data.canreply === 0)) {//被别人抢了，我才进来了（因为这是没有数据(length=0)情况时，所以这里都是在抢单状态）
                // showAnswerNone();
                showGrapedView();
                console.log("很遗憾，您手慢了一点，继续加油！");
            } else if (datas.data.lockable === 1 || datas.data.lockable === "1") {//抢单页面，还没有被抢
                var html = template('answer', data);
                $sky.bindId("emptyContainer").innerHTML = html;
                showGrapReplyView();
            } else {
                showAnswerNone();
                console.log("其它情况");
            }
        } else { //用户和专家进来如果没有回复，都是暂无回复
            var html = template('empty', data);
            $sky.bindId("emptyContainer").innerHTML = html;
        }
        $('#repitemNum').hide();//暂无回复时，隐藏共有多少条回复
        $('#repitemContent').hide();//暂无回复时，隐藏回复item相关的布局
        $("body").css("background-color", "white");//暂无回复时，背景设置为白色
    }
}

/**
 * 放缩动画
 * @param prop
 */
function zoom(prop) {
    prop.addClass('niceIn');
    setTimeout(function () {
        prop.removeClass('niceIn');
    }, 1000);
}

/**
 * 赞、砸数字操作
 * @param index
 * @param str
 * @param type
 */
function add(index, str, type, obj) {
    if (type == 1) {
        handHttp(type, index, obj);
    } else if (type == 2) {
        handHttp(type, index, obj);
    } else {
        console.log('没有对应类型');
    }
}

function handHttp(type, index, obj) {
    var param = {
        replyid: repliesAndCommentsData.data.list[index].replyid,
        type: (parseInt(type) - 1)
    };
    $sky.Model.getAjax('post', url_hand, param).then(function (data) {
        console.log("进入");
        if (data.success) {
            $.tipsBox({
                obj: $(obj),
                str: '+1',
                arrow: 'top',
                callback: function () {
                }
            });
            console.log('赞/砸成功');
            zoom($(obj));
            if (type == 1) { //鲜花
                console.log("鲜花");
                $('#hand_up' + index).text(data.data.count);
            } else if (type == 2) { //鸡蛋
                console.log("鸡蛋");
                $('#hand_down' + index).text(data.data.count);

            }
            removeClass($sky.bindId('like_up' + index), 'canopt');
            removeClass($sky.bindId('like_down' + index), 'canopt');
        } else {
            console.log('赞/砸失败');
            dialog.toast('The network is out of order, please try again', 'none', 1000);
        }
    })
}

/**
 * 添加、删除、判断class
 */
function hasClass(elements, cName) {
    return !!elements.className.match(new RegExp("(\\s|^)" + cName + "(\\s|$)")); // ( \\s|^ ) 判断前面是否有空格 （\\s | $ ）判断后面是否有空格 两个感叹号为转换为布尔值 以方便做判断
}

function addClass(elements, cName) {
    if (!hasClass(elements, cName)) {
        elements.className += " " + cName;
    }
}

function removeClass(elements, cName) {
    if (hasClass(elements, cName)) {
        elements.className = elements.className.replace(new RegExp("(\\s|^)" + cName + "(\\s|$)"), " "); // replace方法是替换
    }
}

/**
 * 不需要委托与采纳时，隐藏委托与按钮（场景：别人查看你的咨询回复页面）
 * @param ids
 */
function hasTypeHide(ids) {
    $(ids).each(function (index, elem) {
        elem.style.display = "none";
    })
}

/**
 * 回复处理
 * @param url
 */
function postReply(url, flag, item) {
    if (pkid === "") {
        console.error("pkid为空")
        return
    }
    var param = {};
    var wordNumber;
    var tipTxt;
    switch (flag) {
        case "expertAndlawyer"://专家或律师回复提交
            var repContent = $sky.bindId("startContent").innerHTML + $sky.bindId('wtnr').value + ' ' + $sky.bindId("endContent").innerHTML;
            param = {
                pkid: pkid,
                replyContent: repContent
            }

            wordNumber = 20;
            tipTxt = "Your reply was submitted successfully";
            break
        case "expert": //专家点评提交
            param = {
                pkid: item.replyid,
                commentContent: $sky.bindId('wtnr').value
            }
            wordNumber = 10;
            tipTxt = "Your review was submitted successfully";
            break
        case "askLawyer": //追答提交
            var repContent = $sky.bindId("startContent").innerHTML + $sky.bindId('wtnr').value + ' ' + $sky.bindId("endContent").innerHTML;
            var num = item.talks.length - 1;
            param = {
                askId: item.talks[num].ask.replyid,
                replyContent: repContent
            }
            wordNumber = 10;
            tipTxt = "Your reply submission was successful";
            break
        case "askUser": //追问
            param = {
                consultId: repliesAndCommentsData.data.pkid,
                replyId: item.replyid,
                consultContent: $sky.bindId('wtnr').value
            }
            wordNumber = 10;
            tipTxt = "Your question was submitted successfully";
            break
        default:
            console.error("没有匹配对应的参数")
    }
    if ($sky.bindId('wtnr').value.length < wordNumber) {
        dialog.toast('Please enter something greater than ' + wordNumber + ' child！', 'none', 1000);
        return
    }
    dialog.removeAll($dialog);
    dialog.loading.open("Data submission...");
    $sky.Model.getAjax('post', url, param).then(function (data) {

        if (data.success) {
            dialog.loading.close();
            dialog.toast(tipTxt || 'Submitted successfully', 'none', 1000);
            setTimeout(function () {
                var pageName = window.location.href;
                window.location.replace(pageName);
            }, 500)
        } else if (data.errorCode + "" === '9') {
            dialog.loading.close();
            dialog.toast('The question has been answered by others！', 'none', 1000);
        } else if (data.errorCode + "" === '10') {
            dialog.loading.close();
            dialog.toast('The response has been reviewed！', 'none', 1000);
        } else if (data.errorCode + "" === '11') {
            dialog.loading.close();
            dialog.toast('The reply has been reminded for rectification！', 'none', 1500);
        } else {
            dialog.loading.close();
            dialog.toast('fail to submit！', 'none', 1000);
        }
    }).catch(function () {
        dialog.loading.close();
    }).then(function () {
        dialog.loading.close();
    })
}

/**
 *  取消抢答界面
 */
function showCancelReplyView() {
    $sky.bindClass('bottomGrap')[0].style.display = "none";
    $sky.bindClass('remind')[0].style.display = "none";
    $sky.bindClass('graped')[0].style.display = "none";
    $sky.bindClass('bottomTab')[0].style.display = "inline";
    $sky.bindClass('remind')[0].style.display = "block";
    $sky.bindId('remindTime').innerHTML = repliesAndCommentsData.data.desiredtime || "";
}

/**
 *  显示抢单和取消抢答都不显示
 */
function showAnswerNone() {
    $sky.bindClass('bottomGrap')[0].style.display = "none";
    $sky.bindClass('bottomTab')[0].style.display = "none";
    $sky.bindClass('remind')[0].style.display = "none";
    $sky.bindClass('graped')[0].style.display = "none";

}

/**
 * 抢答界面
 */
function showGrapReplyView() {
    $sky.bindClass('bottomGrap')[0].style.display = "block";
    $sky.bindClass('bottomTab')[0].style.display = "none";
    $sky.bindClass('remind')[0].style.display = "none";
    $sky.bindClass('graped')[0].style.display = "none";
}

/**
 * 已被抢走显示的
 */
function showGrapedView() {
    $sky.bindId('graped').style.display = "block";
    $sky.bindClass('bottomGrap')[0].style.display = "none";
    $sky.bindClass('bottomTab')[0].style.display = "none";
    $sky.bindClass('remind')[0].style.display = "none";
}

/**
 *  抢答请求
 * @param url
 */
function gradReplyHttp(url) {
    dialog.loading.open('抢单中...');
    var param = {
        pkid: pkid,
    };
    $sky.Model.getAjax('post', url_consult_lockReply, param).then(function (data) {
        if (data.success || data.success + '' === "true") {
            switch (data.statusCode + "") {
                case "2000":
                    showCancelReplyView();
                    dialog.toast('成功抢答！', 'none', 500);
                    lawyerReply();
                    break;
                case "4001":
                    dialog.toast('手慢了，此单已被抢！', 'none', 1000);
                    showGrapedView()
                    break;
                case "4002":
                    dialog.toast('对不起，您一次只能抢答一条！', 'none', 1500);
                    break;
                default:
                    console.log("无相关匹配状态码");
            }
        } else {
            toastServiceError();
        }
    }, function () {
        toastServiceError();
    }).catch(function (error) {
        toastServiceError();
    }).then(function () {
        dialog.loading.close();
    });
}

/**
 *  取消抢答请求
 * @param url
 */
function cancelReplyHttp(url) {
    dialog.loading.open('取消抢单中...');
    var param = {
        pkid: pkid,
    };
    $sky.Model.getAjax('post', url_consult_unlockReply, param).then(function (data) {
        if (data.success || data.success === "true") {
            showGrapReplyView();
        }
    }).then(function () {
        dialog.loading.close();
    });
}

/**
 * 错误统一处理
 */
function toastServiceError() {
    dialog.loading.close();
    dialog.toast('有异常，请您稍等！', 'none', 1000);
    console.error("抢单请求失败");
}

/**
 * 满意请求
 * @param param
 */
function satisfiedHttp(param) {
    dialog.loading.open("提交中...");
    $sky.Model.getAjax('post', url_consult_evaluate, param).then(function (data) {
        if (data.success + "" === "true") {
            dialog.toast('感谢您的支持', 'none', 1000);
            setTimeout(function () {
                var pageName = window.location.href;
                window.location.replace(pageName);
            }, 500)
        } else {
            dialog.toast('提交失败，请稍等', 'none', 1000);
        }
    }).catch(function (error) {
        dialog.loading.close();
        dialog.toast('有异常，请您稍后提交！', 'none', 1000);
    }).then(function () {
        dialog.loading.close();
    });
}

/**
 * post请求通用封装
 */
function postSuggestionCommon(flag, url, param, title, tip, busId) {

    // var timeLeftTime = date.substring(0, 10);
    // var timeLeftTime2 = date.split(' ')[1].substring(0, 5);
    // // handleMethod('2017-12-23 13:52:12');
    var wordNumber = 10;


    $dialog = dialog.simpleEvaluateConfirm(title,
        function () {
            switch (flag) {
                case 'expertRemind'://提醒整改
                    param.suggestion = $sky.bindId('wtnr').value;
                    break;
                case 'lawyerApplyReview'://律师申请复核
                    param.reason = $sky.bindId('wtnr').value;
                    break;
                case 'lawyerSubmit'://律师提交整改
                    param.replyContent = $sky.bindId('wtnr').value;
                    break;
                case 'exceptModfiyReply'://专家提交整改
                    param.replyContent = $sky.bindId('wtnr').value;
                    break;
                case 'exceptModfiyComment'://专家点评修改
                    param.commentContent = $sky.bindId('wtnr').value;
                    break;

            }
            if ($sky.bindId('wtnr').value.length < wordNumber) {
                dialog.toast('请您输入大于' + wordNumber + '个字的内容！', 'none', 1000);
                return
            }


            dialog.removeAll($dialog);
            dialog.loading.open("提交中");
            $sky.Model.getAjax('post', url, param).then(function (data) {
                if (data.success + '' === "true") {
                    if (tip.length > 0) {
                        dialog.toast(tip, 'none', 1000);
                    } else {
                        dialog.toast('提交成功', 'none', 1000);
                    }

                    setTimeout(function () {
                        var pageName = window.location.href;
                        window.location.replace(pageName);
                    }, 500)
                } else {
                    if (data.errorCode + "" === '9') {
                        dialog.loading.close();
                        dialog.toast('咨询已被其他人回复！', 'none', 1000);
                    } else if (data.errorCode + "" === '10') {
                        dialog.loading.close();
                        dialog.toast('回复已被点评！', 'none', 1000);
                    } else if (data.errorCode + "" === '11') {
                        dialog.loading.close();
                        dialog.toast('回复已被提醒整改！', 'none', 1500);
                    } else {
                        dialog.loading.close();
                        dialog.toast('有异常，请您稍等！', 'none', 1000);
                    }
                }
            }).catch(function (error) {
                dialog.loading.close();
                dialog.toast('有异常，请您稍等！', 'none', 1000);
            }).then(function () {
                dialog.loading.close();
            });
        }, function () {

        }, function () {
            if ((role + '' === '1' || role + '' === '4') && busId === 1) {
                $sky.bindId('wtnr').value = repliesAndCommentsData.data.list[0].replycontent;
            }
            if (role + '' === '2' && flag === 'exceptModfiyReply') {
                $sky.bindId('wtnr').innerText = data.list[0].replycontent;
            }
            if (role + '' === '2' && flag === 'exceptModfiyComment') {
                $sky.bindId('wtnr').innerText = data.list[0].comments[0].commentcontent;
            }

        });

}


// ============================================4.语音听写、合成============================================
var url_text2MP3 = 'http://www.12348.gov.cn/sfb12348/sfbMobile/aliyun/text2WAV';
var url_translate = 'http://www.12348.gov.cn/sfb12348/sfbMobile/aliyun/translate';
var chineseAduio;
var enAudio;
var lastAudio;
var nowAudio;
var voiceFlag = false;
var iosVoice = false;//用于苹果再次点击播放录音

var oldText = "";

function text2MP3(text, flag, img) {
    if (text == "en") {
        var englishText = $sky.bindId('english_text').innerHTML;
        audioController(englishText, flag, img);
    } else if (text == "en2") {
        var englishText = $sky.bindId('middle_content_up2').innerHTML;
        audioController(englishText, flag, img);
    } else {
        audioController(text, flag, img);
    }

    // var tts = cordova.plugins.AliAndroidSpeechTTS;
    // if (oldText == "" || oldText != text) {
    //     dialog.loading.open("请稍候...");
    //     cordova.plugins.AliAndroidSpeechTTS.play(text, function () {
    //         dialog.loading.close();
    //     }, null);
    // } else {
    //     tts.rePlay();
    // }
    // oldText = text;
}

function audioController(text, flag, img) {
    var audio;
    var readVoiceImg;
    audio = $sky.bindId(flag);
    nowAudio = audio;
    if (typeof (lastAudio) != "undefined") {
        lastAudio.pause();
    }

    readVoiceImg = $sky.bindId(img + flag);
    audio.volume = 1;
    if (audio.src.indexOf("mp3") != -1) {

        if (audio.paused && (lastAudio != nowAudio || voiceFlag) || iosVoice) {
            voiceFlag = false;
            iosVoice = false;
            audio.play();
        } else {
            voiceFlag = true;
            audio.pause();// 暂停
        }
    } else {
        SKYUI.dialog.loading.open("Please Waiting...");

        var texts;
        var re = new RegExp("^[a-zA-Z]");
        if (re.test(text)) {
            texts = text.split('.');
        } else {
            texts = text.split('。');
        }


        if (1 == texts.length) {
            texts = text.split(".");
        }
        texts = trimSpace(texts);
        var num = texts.length;
        var sortTexts = [];
        var indexs = [];
        for (var i = 0; i < num; i++) {
            speechText(texts[i], function (data) {
                for (var j = 0; j < num; j++) {
                    if (texts[j] == data.text) {
                        sortTexts[j] = data.audioPath;
                        console.log(sortTexts[j]);
                        indexs.push(j);
                    }
                }
                if (indexs.length == num) {
                    dialog.loading.close();

                    if (getMobileFolder() == "ios") {
                        iosVoice = true;
                        dialog.toast("The conversion is successful and will play", 'none', 500);
                    }
                    audio.src = sortTexts[0];
                    audio.play();
                    var flag = 1;
                    audio.onended = function () {
                        audio.src = sortTexts[flag];
                        audio.play();

                        if (flag == num) {
                            audio.src = sortTexts[0];
                            audio.play();
                            flag = 1;
                        } else {
                            ++flag;
                        }
                    };
                }
            });
        }
    }
    lastAudio = audio;
}


/**
 * 中文合成
 * @param text
 * @param callback 回调
 */
function speechText(text, callback) {
    var returnData = {};
    $sky.Model.getAjax('post', url_text2MP3, {sourceText: text})
        .then(function (data) {
            returnData.audioPath = data.data.wavUrl;
            returnData.text = data.data.sourceText;
            callback(returnData);
        }).catch(function (error) {
        console.error(error);
    });

}

/**
 * 小段中文翻译
 * @param text
 * @param callback
 */
function translateText(text) {
    var returnData = {};
    return new ES6Promise(function (resolve, reject) {
        $sky.Model.getAjax('post', url_translate, {sourceText: text})
            .then(function (data) {
                returnData.targetText = data.data.targetText;
                returnData.text = data.data.sourceText;
                resolve(returnData);
            }).catch(function (error) {
            reject(error);
        });
    });
}

/**
 *数组去除空值
 * @param texts
 */
function trimSpace(array) {
    for (var i = 0; i < array.length; i++) {
        if (array[i] == "" || typeof(array[i]) == "undefined") {
            array.splice(i, 1);
            i = i - 1;
        }
    }
    return array;
}


function zh2EnMp3(text, flag, id) {
    dialog.loading.open("translating...");

    var texts = text.split('，');
    if (1 == texts.length) {
        texts = text.split(".");
    }
    texts = trimSpace(texts);
    var num = texts.length;
    var sortTexts = [];
    var indexs = [];

    for (var i = 0; i < num; i++) {
        translateText(texts[i]).then(function (data) {
            for (var j = 0; j < num; j++) {
                if (texts[j] == data.text) {
                    sortTexts[j] = data.targetText;
                    indexs.push(j);
                }
            }
            if (indexs.length == num) {
                if (flag == "zj") {
                    $sky.bindClass("voice_Img2")[0].style.display = "none";
                    for (var j = 0; j < num; j++) {
                        var lastLetter = sortTexts[j].substring(sortTexts[j].length - 1, sortTexts[j].length);
                        if (j == num - 1 && /[a-z]/i.test(lastLetter)) {//判读最后一个字符为英文字母，最后一句加上句号
                            $sky.bindId("middle_content_up2").innerHTML = $sky.bindId("middle_content_up2").innerHTML + sortTexts[j] + '.';
                        } else if (/[a-z]/i.test(lastLetter)) { //判读最后一个字符为英文字母，在每段最后添加逗号
                            $sky.bindId("middle_content_up2").innerHTML = $sky.bindId("middle_content_up2").innerHTML + sortTexts[j] + ',';
                        } else {
                            $sky.bindId("middle_content_up2").innerHTML = $sky.bindId("middle_content_up2").innerHTML + sortTexts[j];
                        }
                    }
                    $sky.bindId('enTranslate1').style.display = "block";
                } else {
                    for (var j = 0; j < num; j++) {
                        var lastLetter = sortTexts[j].substring(sortTexts[j].length - 1, sortTexts[j].length);
                        if (j == num - 1 && /[a-z]/i.test(lastLetter)) {//判读最后一个字符为英文字母，最后一句加上句号
                            $sky.bindId("middle_content_up1").innerHTML = $sky.bindId("middle_content_up1").innerHTML + sortTexts[j] + '.';
                        } else if (/[a-z]/i.test(lastLetter)) { //判读最后一个字符为英文字母，在每段最后添加逗号
                            $sky.bindId("middle_content_up1").innerHTML = $sky.bindId("middle_content_up1").innerHTML + sortTexts[j] + ',';
                        } else {
                            $sky.bindId("middle_content_up1").innerHTML = $sky.bindId("middle_content_up1").innerHTML + sortTexts[j];
                        }
                    }
                    $sky.bindClass("voice_Img1")[0].style.display = "none";
                    $sky.bindClass("voice_Img1")[1].style.display = "none";
                    $sky.bindId('enTranslate').style.display = "block";
                }

                console.log($sky.bindId("middle_content_up1").innerHTML);

                dialog.loading.close();
            }
        });
    }
}


/**
 * 根据手机类型返回 android、ios
 * @returns
 */
function getMobileFolder() {
    var iphone = navigator.userAgent.toLocaleLowerCase().match(/iPhone/i);
    if (iphone && iphone.length) {
        return "ios";
    } else {
        return "android";
    }
}

window.addEventListener("pagehide", function (ev) {
    if (typeof (lastAudio) != "undefined") {
        lastAudio.pause();
    }
    if (typeof (nowAudio) != "undefined") {
        nowAudio.pause();
    }
});
