// ============================================全局数据============================================
var consultTypeData = [
    {
        "Name": "Attorney consultation", //律师咨询
        "Code": "zxlx",
        "Level": [
            {
                "Name": "Marital relations",//婚姻关系
                "Code": "4000"
            },
            {
                "Name": "Child support",//子女抚养
                "Code": "40011"
            },
            {
                "Name": "Elderly support",//老人赡养
                "Code": "40021"
            },
            {
                "Name": "Inheritance",//遗产继承
                "Code": "4002"
            },
            {
                "Name": "Labor and personnel",//劳动人事
                "Code": "4006"
            },
            {
                "Name": "Industrial accident",//工伤事故
                "Code": "40016"
            },
            {
                "Name": "Social security",//社会保障
                "Code": "40029"
            },
            {
                "Name": "Contract disputes",//合同纠纷
                "Code": "40030"
            },
            {
                "Name": "Credit and debt",//债权债务
                "Code": "40018"
            },
            {
                "Name": "Traffic accident",//交通事故
                "Code": "40019"
            },
            {
                "Name": "Doctor-patient disputes",//医患纠纷
                "Code": "4009"
            },
            {
                "Name": "Consumer rights",//消费维权
                "Code": "40031"
            },
            {
                "Name": "Real estate disputes",//房产纠纷
                "Code": "4005"
            },
            {
                "Name": "Land disputes",//土地纠纷
                "Code": "4003"
            },
            {
                "Name": "Architectural engineering",//建筑工程
                "Code": "40020"
            },
            {
                "Name": "Expropriation compensation",//征收补偿
                "Code": "40014"
            },
            {
                "Name": "Property management",//物业管理
                "Code": "40023"
            },
            {
                "Name": "Company related",//公司相关
                "Code": "40032"
            },
            {
                "Name": "Intellectual property",//知识产权
                "Code": "40033"
            },
            {
                "Name": "Finance and insurance",//金融保险
                "Code": "40025"
            },
            {
                "Name": "Securities and futures",//证券期货
                "Code": "40034"
            },
            {
                "Name": "Public security and fire protection",//治安消防
                "Code": "40035"
            },
            {
                "Name": "Criminal offence",//刑事犯罪
                "Code": "40036"
            },
            {
                "Name": "Neighborly relations",//邻里关系
                "Code": "40012"
            },
            {
                "Name": "Infringement disputes",//侵权纠纷
                "Code": "40037"
            },
            {
                "Name": "Others",//其他
                "Code": "40028"
            }
        ]
    },
    {
        "Name": "Notarization consultation",//公证咨询
        "Code": "gzzx",
        "Level": [
            {
                "Name": "Domestic notarization",//国内公证
                "Code": "6100001"
            },
            {
                "Name": "Hong Kongrelated notarization",//涉港公证
                "Code": "6100002"
            },
            {
                "Name": "Macao-related notarization",//涉澳公证
                "Code": "6100003"
            },
            {
                "Name": "Taiwan-related notarization",//涉台公证
                "Code": "6100004"
            },
            {
                "Name": "Foreign-related notarization",//涉外公证
                "Code": "6100005"
            },
            {
                "Name": "Others",//其他
                "Code": "6100006"
            }
        ]
    },
    {
        "Name": "Legal aid consultation",//法律援助
        "Code": "flyz",
        "Level": [
            {
                "Name": "Civil",//民事
                "Code": "6200001"
            },
            {
                "Name": "Criminal",//刑事
                "Code": "6200002"
            },
            {
                "Name": "Administrative",//行政
                "Code": "6200003"
            },
            {
                "Name": "Others",//其他
                "Code": "6200007"
            }
        ]
    },
    {
        "Name": "People's mediation consultation",//人民调解咨询
        "Code": "rmtj",
        "Level": [
            {
                "Name": "Marriage and family disputes",//婚姻家庭纠纷
                "Code": "6300001"
            },
            {
                "Name": "Neighborhood disputes",//邻里纠纷
                "Code": "6300002"
            },
            {
                "Name": "Real estate homestead disputes",//房产宅基地纠纷
                "Code": "6300003"
            },
            {
                "Name": "Contract disputes",//合同纠纷
                "Code": "6300004"
            },
            {
                "Name": "Production and management disputes",//生产经营纠纷
                "Code": "6300005"
            },
            {
                "Name": "Compensation for damages disputes",//损害赔偿纠纷
                "Code": "6300006"
            },
            {
                "Name": "Mountain forest land disputes",//山林土地纠纷
                "Code": "6300007"
            },
            {
                "Name": "Land expropriation and house removal disputes",//征地拆迁纠纷
                "Code": "6300008"
            },
            {
                "Name": "Environmental pollution disputes",//环境污染纠纷
                "Code": "6300009"
            },
            {
                "Name": "Wage arrears for migrant rural workers disputes",//拖欠农民工工资纠纷
                "Code": "63000010"
            },
            {
                "Name": "Labor dispute",//劳动争议纠纷
                "Code": "63000011"
            },
            {
                "Name": "Tourism disputes",//旅游纠纷
                "Code": "63000012"
            },
            {
                "Name": "Electronic commerce disputes",//电子商务纠纷
                "Code": "63000013"
            },
            {
                "Name": "Other consumption disputes",//其他消费纠纷
                "Code": "63000014"
            },
            {
                "Name": "Medical disputes",//医疗纠纷
                "Code": "63000015"
            },
            {
                "Name": "Road traffic accident disputes",//道路交通事故纠纷
                "Code": "63000016"
            },
            {
                "Name": "Property disputes",//物业纠纷
                "Code": "63000017"
            },
            {
                "Name": "Other disputes",//其他纠纷
                "Code": "63000018"
            }
        ]
    },
    {
        "Name": "Judicial expertise consultation",//司法鉴定
        "Code": "sfjd",
        "Level": [
            {
                "Name": "Forensic pathology judicial expertise",//法医病理司法鉴定
                "Code": "6400001"
            },
            {
                "Name": "Forensic clinical judicial expertise",//法医临床司法鉴定
                "Code": "6400002"
            },
            {
                "Name": "Forensic mental disease judicial expertise",//法医精神病司法鉴定
                "Code": "6400003"
            },
            {
                "Name": "Forensic physical evidence judicial expertise",//法医物证司法鉴定
                "Code": "6400004"
            },
            {
                "Name": "Forensic toxic evidence judicial expertise",//法医毒物司法鉴定
                "Code": "6400005"
            },
            {
                "Name": "Documents judicial expertise",//文书司法鉴定
                "Code": "6400006"
            },
            {
                "Name": "Trace judicial expertise",//痕迹司法鉴定
                "Code": "6400007"
            },
            {
                "Name": "Micro material evidence judicial expertise",//微量物证司法鉴定
                "Code": "6400008"
            },
            {
                "Name": "Audio-visual materials judicial expertise",//声像资料司法鉴定
                "Code": "6400009"
            },
            {
                "Name": "Environmental damage judicial expertise",//环境损害司法鉴定
                "Code": "64000010"
            },
            {
                "Name": "Intellectual property patent technology judicial expertise",//知识产权专利技术司法鉴定
                "Code": "64000011"
            },
            {
                "Name": "Cause of traffic accident, speed of a motor vehicle, trace expertise",//交通事故成因、车速、痕迹鉴定
                "Code": "64000012"
            },
            {
                "Name": "Accident related personnel individual recognition expertise",//事故相关人员个体识别鉴定
                "Code": "64000013"
            },
            {
                "Name": "Mental disturbance medical identification",//精神障碍医学鉴定
                "Code": "64000014"
            },
            {
                "Name": "Coal product quality determination",//煤炭产品质量鉴定
                "Code": "64000015"
            },
            {
                "Name": "Mechanical and electrical products performance identification",//机电产品性能鉴定
                "Code": "64000016"
            },
            {
                "Name": "Electrical product performance identification",//电器产品性能鉴定
                "Code": "64000017"
            },
            {
                "Name": "Motor vehicles performance examination",//机动车性能检测
                "Code": "64000018"
            },
            {
                "Name": "Others",//其他
                "Code": "64000019"
            }
        ]
    },
    {
        "Name": "Arbitration consultation",//仲裁
        "Code": "zc",
        "Level": [
            {
                "Name": "Domestic arbitration",//国内仲裁
                "Code": "6500001"
            },
            {
                "Name": "International arbitration",//国际仲裁
                "Code": "6500002"
            }
        ]
    }
];
var provinceData = [
    {
        "Code": "11",
        "Name": "Beijing City",//北京市
        "level": [
            {
                "Code": "110101",
                "Name": "Dongcheng District"//东城区
            },
            {
                "Code": "110102",
                "Name": "Xicheng District"//西城区
            },
            {
                "Code": "110105",
                "Name": "Chaoyang District"//朝阳区
            },
            {
                "Code": "110106",
                "Name": "Fengtai District"//丰台区
            },
            {
                "Code": "110107",
                "Name": "Shijingshan District"//石景山区
            },
            {
                "Code": "110108",
                "Name": "Haidian District"//海淀区
            },
            {
                "Code": "110109",
                "Name": "Mentougou District"//门头沟区
            },
            {
                "Code": "110111",
                "Name": "Fangshan District"//房山区
            },
            {
                "Code": "110112",
                "Name": "Tongzhou District"//通州区
            },
            {
                "Code": "110113",
                "Name": "Shunyi District"//顺义区
            },
            {
                "Code": "110114",
                "Name": "Changping District"//昌平区
            },
            {
                "Code": "110115",
                "Name": "Daxing District"//大兴区
            },
            {
                "Code": "110116",
                "Name": "Huairou District"//怀柔区
            },
            {
                "Code": "110117",
                "Name": "Pinggu District"//平谷区
            },
            {
                "Code": "110228",
                "Name": "Miyun District"//密云区
            },
            {
                "Code": "110229",
                "Name": "Yanqing District"//延庆区
            }
        ]
    },
    {
        "Code": "12",
        "Name": "Tianjin City",//天津市
        "level": [
            {
                "Code": "120101",
                "Name": "Heping District"//Heping District
            },
            {
                "Code": "120102",
                "Name": "Hedong District"//河东区
            },
            {
                "Code": "120103",
                "Name": "Hexi District"//河西区
            },
            {
                "Code": "120104",
                "Name": "Nankai District"//南开区
            },
            {
                "Code": "120105",
                "Name": "Hebei District"//河北区
            },
            {
                "Code": "120106",
                "Name": "Hongqiao District"//红桥区
            },
            {
                "Code": "120110",
                "Name": "Dongli District"//东丽区
            },
            {
                "Code": "120111",
                "Name": "Xiqing District"//西青区
            },
            {
                "Code": "120112",
                "Name": "Jinnan District"//津南区
            },
            {
                "Code": "120113",
                "Name": "Beichen District"//北辰区
            },
            {
                "Code": "120114",
                "Name": "Wuqing District"//武清区
            },
            {
                "Code": "120115",
                "Name": "Baodi District"//宝坻区
            },
            {
                "Code": "120116",
                "Name": "Binhai New District"//滨海新区
            },
            {
                "Code": "120221",
                "Name": "Ninghe County"//宁河县
            },
            {
                "Code": "120223",
                "Name": "Jinghai County"//静海县
            },
            {
                "Code": "120225",
                "Name": "Ji County"//蓟县
            }
        ]
    },
    {
        "Code": "13",
        "Name": "Hebei Province",//河北省
        "level": [
            {
                "Code": "1301",
                "Name": "Shijiazhuang City"//石家庄市
            },
            {
                "Code": "1302",
                "Name": "Tangshan City"//唐山市
            },
            {
                "Code": "1303",
                "Name": "Qinhuangdao City"//秦皇岛市
            },
            {
                "Code": "1304",
                "Name": "Handan City"//邯郸市
            },
            {
                "Code": "1305",
                "Name": "Xingtai City"//邢台市
            },
            {
                "Code": "1306",
                "Name": "Baoding City"//保定市
            },
            {
                "Code": "1307",
                "Name": "Zhangjiakou City"//张家口市
            },
            {
                "Code": "1308",
                "Name": "Chengde City"//承德市
            },
            {
                "Code": "1309",
                "Name": "Cangzhou City"//沧州市
            },
            {
                "Code": "1310",
                "Name": "Langfang City"//廊坊市
            },
            {
                "Code": "1311",
                "Name": "Hengshui City"//衡水市
            }
        ]
    },
    {
        "Code": "14",
        "Name": "Shanxi Province",//山西省
        "level": [
            {
                "Code": "1401",
                "Name": "Taiyuan City"//太原市
            },
            {
                "Code": "1402",
                "Name": "Datong City"//大同市
            },
            {
                "Code": "1403",
                "Name": "Yangquan City"//阳泉市
            },
            {
                "Code": "1404",
                "Name": "Changzhi City"//长治市
            },
            {
                "Code": "1405",
                "Name": "Jincheng City"//晋城市
            },
            {
                "Code": "1406",
                "Name": "Shuozhou City"//朔州市
            },
            {
                "Code": "1407",
                "Name": "Jinzhong City"//晋中市
            },
            {
                "Code": "1408",
                "Name": "Yuncheng City"//运城市
            },
            {
                "Code": "1409",
                "Name": "Xinzhou City"//忻州市
            },
            {
                "Code": "1410",
                "Name": "Linfen City"//临汾市
            },
            {
                "Code": "1411",
                "Name": "Lvliang City"//吕梁市
            }
        ]
    },
    {
        "Code": "15",
        "Name": "Nei Monggol Autonomous Region",//内蒙古自治区
        "level": [
            {
                "Code": "1501",
                "Name": "Hohhot City"//呼和浩特市
            },
            {
                "Code": "1502",
                "Name": "Baotou City"//包头市
            },
            {
                "Code": "1503",
                "Name": "Wuhai City"//乌海市
            },
            {
                "Code": "1504",
                "Name": "Chifeng City"//赤峰市
            },
            {
                "Code": "1505",
                "Name": "Tongliao City"//通辽市
            },
            {
                "Code": "1506",
                "Name": "Ordos City"//鄂尔多斯市
            },
            {
                "Code": "1507",
                "Name": "Hulun Buir City"//呼伦贝尔市
            },
            {
                "Code": "1508",
                "Name": "Bayan Nur City"//巴彦淖尔市
            },
            {
                "Code": "1509",
                "Name": "Ulanqab City"//乌兰察布市
            },
            {
                "Code": "1522",
                "Name": "Hinggan League"//兴安盟
            },
            {
                "Code": "1525",
                "Name": "Xilingol League"//锡林郭勒盟
            },
            {
                "Code": "1529",
                "Name": "Alxa League"//阿拉善盟
            }
        ]
    },
    {
        "Code": "21",
        "Name": "Liaoning Province",//辽宁省
        "level": [
            {
                "Code": "2101",
                "Name": "Shenyang City"//沈阳市
            },
            {
                "Code": "2102",
                "Name": "Dalian City"//大连市
            },
            {
                "Code": "2103",
                "Name": "Anshan City"//鞍山市
            },
            {
                "Code": "2104",
                "Name": "Fushun City"//抚顺市
            },
            {
                "Code": "2105",
                "Name": "Benxi City"//本溪市
            },
            {
                "Code": "2106",
                "Name": "Dandong City"//丹东市
            },
            {
                "Code": "2107",
                "Name": "Jinzhou City"//锦州市
            },
            {
                "Code": "2108",
                "Name": "Yingkou City"//营口市
            },
            {
                "Code": "2109",
                "Name": "Fuxin City"//阜新市
            },
            {
                "Code": "2110",
                "Name": "Liaoyang City"//辽阳市
            },
            {
                "Code": "2111",
                "Name": "Panjin City"//盘锦市
            },
            {
                "Code": "2112",
                "Name": "Tieling City"//铁岭市
            },
            {
                "Code": "2113",
                "Name": "Chaoyang City"//朝阳市
            },
            {
                "Code": "2114",
                "Name": "Huludao City"//葫芦岛市
            }
        ]
    },
    {
        "Code": "22",
        "Name": "Jilin Province",//吉林省
        "level": [
            {
                "Code": "2201",
                "Name": "Changchun City"//长春市
            },
            {
                "Code": "2202",
                "Name": "Jilin City"//吉林市
            },
            {
                "Code": "2203",
                "Name": "Siping City"//四平市
            },
            {
                "Code": "2204",
                "Name": "Liaoyuan City"//辽源市
            },
            {
                "Code": "2205",
                "Name": "Tonghua City"//通化市
            },
            {
                "Code": "2206",
                "Name": "Baishan City"//白山市
            },
            {
                "Code": "2207",
                "Name": "Songyuan City"//松原市
            },
            {
                "Code": "2208",
                "Name": "Baicheng City"//白城市
            },
            {
                "Code": "2224",
                "Name": "Yanbian Korean Autonomous Prefecture"//延边朝鲜族自治州
            }
        ]
    },
    {
        "Code": "23",
        "Name": "Heilongjiang Province",//黑龙江省
        "level": [
            {
                "Code": "2301",
                "Name": "Harbin City"//哈尔滨市
            },
            {
                "Code": "2302",
                "Name": "Qiqihar City"//齐齐哈尔市
            },
            {
                "Code": "2303",
                "Name": "Jixi City"//鸡西市
            },
            {
                "Code": "2304",
                "Name": "Hegang City"//鹤岗市
            },
            {
                "Code": "2305",
                "Name": "Shuangyashan City"//双鸭山市
            },
            {
                "Code": "2306",
                "Name": "Daqing City"//大庆市
            },
            {
                "Code": "2307",
                "Name": "Yichun City"//伊春市
            },
            {
                "Code": "2308",
                "Name": "Jiamusi City"//佳木斯市
            },
            {
                "Code": "2309",
                "Name": "Qitaihe City"//七台河市
            },
            {
                "Code": "2310",
                "Name": "Mudanjiang City"//牡丹江市
            },
            {
                "Code": "2311",
                "Name": "Heihe City"//黑河市
            },
            {
                "Code": "2312",
                "Name": "Suihua City"//绥化市
            },
            {
                "Code": "2327",
                "Name": "Daxing'anling Prefecture"//大兴安岭地区
            }
        ]
    },
    {
        "Code": "31",
        "Name": "Shanghai City",//上海市
        "level": [
            {
                "Code": "310101",
                "Name": "Huangpu District"//黄浦区
            },
            {
                "Code": "310104",
                "Name": "Xuhui District"//徐汇区
            },
            {
                "Code": "310105",
                "Name": "Changning District"//长宁区
            },
            {
                "Code": "310106",
                "Name": "Jingan District"//静安区
            },
            {
                "Code": "310107",
                "Name": "Putuo District"//普陀区
            },
            {
                "Code": "310108",
                "Name": "Zhabei District"//闸北区
            },
            {
                "Code": "310109",
                "Name": "Hongkou District"//虹口区
            },
            {
                "Code": "310110",
                "Name": "Yangpu District"//杨浦区
            },
            {
                "Code": "310112",
                "Name": "Minhang District"//闵行区
            },
            {
                "Code": "310113",
                "Name": "Baoshan District"//宝山区
            },
            {
                "Code": "310114",
                "Name": "Jiading District"//嘉定区
            },
            {
                "Code": "310115",
                "Name": "Pudong New District"//浦东新区
            },
            {
                "Code": "310116",
                "Name": "Jinshan District"//金山区
            },
            {
                "Code": "310117",
                "Name": "Songjiang District"//松江区
            },
            {
                "Code": "310118",
                "Name": "Qingpu District"//青浦区
            },
            {
                "Code": "310120",
                "Name": "Fengxian District"//奉贤区
            },
            {
                "Code": "310230",
                "Name": "Chongming District"//崇明县
            }
        ]
    },
    {
        "Code": "32",
        "Name": "Jiangsu Province",//江苏省
        "level": [
            {
                "Code": "3201",
                "Name": "Nanjing City"//南京市
            },
            {
                "Code": "3202",
                "Name": "Wuxi City"//无锡市
            },
            {
                "Code": "3203",
                "Name": "Xuzhou City"//徐州市
            },
            {
                "Code": "3204",
                "Name": "Changzhou City"//常州市
            },
            {
                "Code": "3205",
                "Name": "Suzhou City"//苏州市
            },
            {
                "Code": "3206",
                "Name": "Nantong City"//南通市
            },
            {
                "Code": "3207",
                "Name": "Lianyungang City"//连云港市
            },
            {
                "Code": "3208",
                "Name": "Huaian City"//淮安市
            },
            {
                "Code": "3209",
                "Name": "Yancheng City"//盐城市
            },
            {
                "Code": "3210",
                "Name": "Yangzhou City"//扬州市
            },
            {
                "Code": "3211",
                "Name": "Zhenjiang City"//镇江市
            },
            {
                "Code": "3212",
                "Name": "Taizhou City"//泰州市
            },
            {
                "Code": "3213",
                "Name": "Suqian City"//宿迁市
            }
        ]
    },
    {
        "Code": "33",
        "Name": "Zhejiang Province",//浙江省
        "level": [
            {
                "Code": "3301",
                "Name": "Hangzhou City"//杭州市
            },
            {
                "Code": "3302",
                "Name": "Ningbo City"//宁波市
            },
            {
                "Code": "3303",
                "Name": "Wenzhou City"//温州市
            },
            {
                "Code": "3304",
                "Name": "Jiaxing City"//嘉兴市
            },
            {
                "Code": "3305",
                "Name": "Huzhou City"//湖州市
            },
            {
                "Code": "3306",
                "Name": "Shaoxing City"//绍兴市
            },
            {
                "Code": "3307",
                "Name": "Jinhua City"//金华市
            },
            {
                "Code": "3308",
                "Name": "Quzhou City"//衢州市
            },
            {
                "Code": "3309",
                "Name": "Zhoushan City"//舟山市
            },
            {
                "Code": "3310",
                "Name": "Taizhou City"//台州市
            },
            {
                "Code": "3311",
                "Name": "Lishui City"//丽水市
            }
        ]
    },
    {
        "Code": "34",
        "Name": "Anhui Province",//安徽省
        "level": [
            {
                "Code": "3401",
                "Name": "Hefei City"//合肥市
            },
            {
                "Code": "3402",
                "Name": "Wuhu City"//芜湖市
            },
            {
                "Code": "3403",
                "Name": "Bengbu City"//蚌埠市
            },
            {
                "Code": "3404",
                "Name": "Huainan City"//淮南市
            },
            {
                "Code": "3405",
                "Name": "Ma'anshan City"//马鞍山市
            },
            {
                "Code": "3406",
                "Name": "Huaibei City"//淮北市
            },
            {
                "Code": "3407",
                "Name": "Tongling City"//铜陵市
            },
            {
                "Code": "3408",
                "Name": "Anqing City"//安庆市
            },
            {
                "Code": "3410",
                "Name": "Huangshan City"//黄山市
            },
            {
                "Code": "3411",
                "Name": "Chuzhou City"//滁州市
            },
            {
                "Code": "3412",
                "Name": "Fuyang City"//阜阳市
            },
            {
                "Code": "3413",
                "Name": "Suzhou City"//宿州市
            },
            {
                "Code": "3414",
                "Name": "Chaohu City"//巢湖市
            },
            {
                "Code": "3415",
                "Name": "Lu'an City"//六安市
            },
            {
                "Code": "3416",
                "Name": "Bozhou City"//亳州市
            },
            {
                "Code": "3417",
                "Name": "Chizhou  City"//池州市
            },
            {
                "Code": "3418",
                "Name": "Xuancheng City"//宣城市
            }
        ]
    },
    {
        "Code": "35",
        "Name": "Fujian Province",//福建省
        "level": [
            {
                "Code": "3501",
                "Name": "Fuzhou City"//福州市
            },
            {
                "Code": "3502",
                "Name": "Xiamen City"//厦门市
            },
            {
                "Code": "3503",
                "Name": "Putian City"//莆田市
            },
            {
                "Code": "3504",
                "Name": "Sanming City"//三明市
            },
            {
                "Code": "3505",
                "Name": "Quanzhou City"//泉州市
            },
            {
                "Code": "3506",
                "Name": "Zhangzhou City"//漳州市
            },
            {
                "Code": "3507",
                "Name": "Nanping City"//南平市
            },
            {
                "Code": "3508",
                "Name": "Longyan City"//龙岩市
            },
            {
                "Code": "3509",
                "Name": "Ningde City"//宁德市
            }
        ]
    },
    {
        "Code": "36",
        "Name": "Jiangxi Province",//江西省
        "level": [
            {
                "Code": "3601",
                "Name": "Nanchang City"//南昌市
            },
            {
                "Code": "3602",
                "Name": "Jingdezhen City"//景德镇市
            },
            {
                "Code": "3603",
                "Name": "Pingxiang City"//萍乡市
            },
            {
                "Code": "3604",
                "Name": "Jiujiang City"//九江市
            },
            {
                "Code": "3605",
                "Name": "Xinyu City"//新余市
            },
            {
                "Code": "3606",
                "Name": "Yingtan City"//鹰潭市
            },
            {
                "Code": "3607",
                "Name": "Ganzhou City"//赣州市
            },
            {
                "Code": "3608",
                "Name": "Ji'an City"//吉安市
            },
            {
                "Code": "3609",
                "Name": "Yichun City"//宜春市
            },
            {
                "Code": "3610",
                "Name": "Fuzhou City"//抚州市
            },
            {
                "Code": "3611",
                "Name": "Shangrao City"//上饶市
            }
        ]
    },
    {
        "Code": "37",
        "Name": "Shandong Province",//山东省
        "level": [
            {
                "Code": "3701",
                "Name": "Ji'nan City"//济南市
            },
            {
                "Code": "3702",
                "Name": "Qingdao City"//青岛市
            },
            {
                "Code": "3703",
                "Name": "Zibo City"//淄博市
            },
            {
                "Code": "3704",
                "Name": "Zaozhuang City"//枣庄市
            },
            {
                "Code": "3705",
                "Name": "Dongying City"//东营市
            },
            {
                "Code": "3706",
                "Name": "Yantai City"//烟台市
            },
            {
                "Code": "3707",
                "Name": "Weifang City"//潍坊市
            },
            {
                "Code": "3708",
                "Name": "Jining City"//济宁市
            },
            {
                "Code": "3709",
                "Name": "Tai'an City"//泰安市
            },
            {
                "Code": "3710",
                "Name": "Weihai City"//威海市
            },
            {
                "Code": "3711",
                "Name": "Rizhao City"//日照市
            },
            {
                "Code": "3712",
                "Name": "Laiwu City"//莱芜市
            },
            {
                "Code": "3713",
                "Name": "Linyi City"//临沂市
            },
            {
                "Code": "3714",
                "Name": "Dezhou City"//德州市
            },
            {
                "Code": "3715",
                "Name": "Liaocheng City"//聊城市
            },
            {
                "Code": "3716",
                "Name": "Binzhou City"//滨州市
            },
            {
                "Code": "3717",
                "Name": "Heze City"//菏泽市
            }
        ]
    },
    {
        "Code": "41",
        "Name": "Henan Province",//河南省
        "level": [
            {
                "Code": "4101",
                "Name": "Zhengzhou City"//郑州市
            },
            {
                "Code": "4102",
                "Name": "Kaifeng City"//开封市
            },
            {
                "Code": "4103",
                "Name": "Luoyang City"//洛阳市
            },
            {
                "Code": "4104",
                "Name": "Pingdingshan City"//平顶山市
            },
            {
                "Code": "4105",
                "Name": "Anyang City"//安阳市
            },
            {
                "Code": "4106",
                "Name": "Hebi City"//鹤壁市
            },
            {
                "Code": "4107",
                "Name": "Xinxiang City"//新乡市
            },
            {
                "Code": "4108",
                "Name": "Jiaozuo City"//焦作市
            },
            {
                "Code": "4109",
                "Name": "Puyang City"//濮阳市
            },
            {
                "Code": "4110",
                "Name": "Xuchang City"//许昌市
            },
            {
                "Code": "4111",
                "Name": "Luohe City"//漯河市
            },
            {
                "Code": "4112",
                "Name": "Sanmenxia City"//三门峡市
            },
            {
                "Code": "4113",
                "Name": "Nanyang City"//南阳市
            },
            {
                "Code": "4114",
                "Name": "Shangqiu City"//商丘市
            },
            {
                "Code": "4115",
                "Name": "Xinyang City"//信阳市
            },
            {
                "Code": "4116",
                "Name": "Zhoukou City"//周口市
            },
            {
                "Code": "4117",
                "Name": "Zhumadian City"//驻马店市
            }
        ]
    },
    {
        "Code": "42",
        "Name": "Hubei province",//湖北省
        "level": [
            {
                "Code": "4201",
                "Name": "Wuhan City"//武汉市
            },
            {
                "Code": "4202",
                "Name": "Huangshi City"//黄石市
            },
            {
                "Code": "4203",
                "Name": "Shiyan City"//十堰市
            },
            {
                "Code": "4205",
                "Name": "Yichang City"//宜昌市
            },
            {
                "Code": "4206",
                "Name": "Xiangfan City"//襄樊市
            },
            {
                "Code": "4207",
                "Name": "Ezhou City"//鄂州市
            },
            {
                "Code": "4208",
                "Name": "Jingmen City"//荆门市
            },
            {
                "Code": "4209",
                "Name": "Xiaogan City"//孝感市
            },
            {
                "Code": "4210",
                "Name": "Jingzhou City"//荆州市
            },
            {
                "Code": "4211",
                "Name": "Huanggang City"//黄冈市
            },
            {
                "Code": "4212",
                "Name": "Xianning City"//咸宁市
            },
            {
                "Code": "4213",
                "Name": "Suizhou City"//随州市
            },
            {
                "Code": "4228",
                "Name": "Enshi Tujia and Miao Autonomous Prefecture"//恩施土家族苗族自治州
            }
        ]
    },
    {
        "Code": "43",
        "Name": "Hunan Province",//湖南省
        "level": [
            {
                "Code": "4301",
                "Name": "Changsha City"//长沙市
            },
            {
                "Code": "4302",
                "Name": "Zhuzhou City"//株洲市
            },
            {
                "Code": "4303",
                "Name": "Xiangtan City"//湘潭市
            },
            {
                "Code": "4304",
                "Name": "Hengyang City"//衡阳市
            },
            {
                "Code": "4305",
                "Name": "Shaoyang City"//邵阳市
            },
            {
                "Code": "4306",
                "Name": "Yueyang City"//岳阳市
            },
            {
                "Code": "4307",
                "Name": "Changde City"//常德市
            },
            {
                "Code": "4308",
                "Name": "Zhangjiajie City"//张家界市
            },
            {
                "Code": "4309",
                "Name": "Yiyang City"//益阳市
            },
            {
                "Code": "4310",
                "Name": "Chenzhou City"//郴州市
            },
            {
                "Code": "4311",
                "Name": "Yongzhou City"//永州市
            },
            {
                "Code": "4312",
                "Name": "Huaihua City"//怀化市
            },
            {
                "Code": "4313",
                "Name": "Loudi City"//娄底市
            },
            {
                "Code": "4331",
                "Name": "Xiangxi Tujia and Miao Autonomous Prefecture"//湘西土家族苗族自治州
            }
        ]
    },
    {
        "Code": "44",
        "Name": "Guangdong Province",//广东省
        "level": [
            {
                "Code": "4401",
                "Name": "Guangzhou City"//广州市
            },
            {
                "Code": "4402",
                "Name": "Shaoguan City"//韶关市
            },
            {
                "Code": "4403",
                "Name": "Shenzhen City"//深圳市
            },
            {
                "Code": "4404",
                "Name": "Zhuhai City"//珠海市
            },
            {
                "Code": "4405",
                "Name": "Shantou City"//汕头市
            },
            {
                "Code": "4406",
                "Name": "Foshan City"//佛山市
            },
            {
                "Code": "4407",
                "Name": "Jiangmen City"//江门市
            },
            {
                "Code": "4408",
                "Name": "Zhanjiang City"//湛江市
            },
            {
                "Code": "4409",
                "Name": "Maoming City"//茂名市
            },
            {
                "Code": "4412",
                "Name": "Zhaoqing City"//肇庆市
            },
            {
                "Code": "4413",
                "Name": "Huizhou City"//惠州市
            },
            {
                "Code": "4414",
                "Name": "Meizhou City"//梅州市
            },
            {
                "Code": "4415",
                "Name": "Shanwei City"//汕尾市
            },
            {
                "Code": "4416",
                "Name": "Heyuan City"//河源市
            },
            {
                "Code": "4417",
                "Name": "Yangjiang City"//阳江市
            },
            {
                "Code": "4418",
                "Name": "Qingyuan City"//清远市
            },
            {
                "Code": "4419",
                "Name": "Dongguan City"//东莞市
            },
            {
                "Code": "4420",
                "Name": "Zhongshan City"//中山市
            },
            {
                "Code": "4451",
                "Name": "Chaozhou City"//潮州市
            },
            {
                "Code": "4452",
                "Name": "Jieyang City"//揭阳市
            },
            {
                "Code": "4453",
                "Name": "Yunfu City"//云浮市
            }
        ]
    },
    {
        "Code": "45",
        "Name": "Guangxi Zhuang Autonomous Region",//广西壮族自治区
        "level": [
            {
                "Code": "4501",
                "Name": "Nanning City"//南宁市
            },
            {
                "Code": "4502",
                "Name": "Liuzhou City"//柳州市
            },
            {
                "Code": "4503",
                "Name": "Guilin City"//桂林市
            },
            {
                "Code": "4504",
                "Name": "Wuzhou City"//梧州市
            },
            {
                "Code": "4505",
                "Name": "Beihai City"//北海市
            },
            {
                "Code": "4506",
                "Name": "Fangchenggang City"//防城港市
            },
            {
                "Code": "4507",
                "Name": "Qinzhou City"//钦州市
            },
            {
                "Code": "4508",
                "Name": "Guigang City"//贵港市
            },
            {
                "Code": "4509",
                "Name": "Yulin City"//玉林市
            },
            {
                "Code": "4510",
                "Name": "Baise City"//百色市
            },
            {
                "Code": "4511",
                "Name": "Hezhou City"//贺州市
            },
            {
                "Code": "4512",
                "Name": "Hechi City"//河池市
            },
            {
                "Code": "4513",
                "Name": "Laibin City"//来宾市
            },
            {
                "Code": "4514",
                "Name": "Chongzuo City"//崇左市
            }
        ]
    },
    {
        "Code": "46",
        "Name": "Hainan Province",//海南省
        "level": [
            {
                "Code": "4601",
                "Name": "Haikou City"//海口市
            },
            {
                "Code": "4602",
                "Name": "Sanya City"//三亚市
            },
            {
                "Code": "4603",
                "Name": "Sansha City"//三沙市
            }
        ]
    },
    {
        "Code": "50",
        "Name": "Chongqing City",//重庆市
        "level": [
            {
                "Code": "500101",
                "Name": "Wanzhou District"//万州区
            },
            {
                "Code": "500102",
                "Name": "Fuling District"//涪陵区
            },
            {
                "Code": "500103",
                "Name": "Yuzhong District"//渝中区
            },
            {
                "Code": "500104",
                "Name": "Dadukou District"//大渡口区
            },
            {
                "Code": "500105",
                "Name": "Jiangbei District"//江北区
            },
            {
                "Code": "500106",
                "Name": "Shapingba District"//沙坪坝区
            },
            {
                "Code": "500107",
                "Name": "Jiulongpo District"//九龙坡区
            },
            {
                "Code": "500108",
                "Name": "Nan'an District"//南岸区
            },
            {
                "Code": "500109",
                "Name": "Beibei District"//北碚区
            },
            {
                "Code": "500110",
                "Name": "Qijiang District"//綦江区
            },
            {
                "Code": "500111",
                "Name": "Dazu District"//大足区
            },
            {
                "Code": "500112",
                "Name": "Yubei District"//渝北区
            },
            {
                "Code": "500113",
                "Name": "Banan District"//巴南区
            },
            {
                "Code": "500114",
                "Name": "Qianjiang District"//黔江区
            },
            {
                "Code": "500115",
                "Name": "Changshou District"//长寿区
            },
            {
                "Code": "500116",
                "Name": "Jiangjin District"//江津区
            },
            {
                "Code": "500117",
                "Name": "Hechuan District"//合川区
            },
            {
                "Code": "500118",
                "Name": "Yongchuan District"//永川区
            },
            {
                "Code": "500119",
                "Name": "Nanchuan District"//南川区
            },
            {
                "Code": "500223",
                "Name": "Tongnan County"//潼南县
            },
            {
                "Code": "500224",
                "Name": "Tongliang County"//铜梁县
            },
            {
                "Code": "500226",
                "Name": "Rongchang County"//荣昌县
            },
            {
                "Code": "500227",
                "Name": "Bishan County"//璧山县
            },
            {
                "Code": "500228",
                "Name": "Liangping County"//梁平县
            },
            {
                "Code": "500229",
                "Name": "Chengkou County"//城口县
            },
            {
                "Code": "500230",
                "Name": "Fengdu County"//丰都县
            },
            {
                "Code": "500231",
                "Name": "Dianjiang County"//垫江县
            },
            {
                "Code": "500232",
                "Name": "Wulong County"//武隆县
            },
            {
                "Code": "500233",
                "Name": "Zhong County"//忠县
            },
            {
                "Code": "500234",
                "Name": "Kai County"//开县
            },
            {
                "Code": "500235",
                "Name": "Yunyang County"//云阳县
            },
            {
                "Code": "500236",
                "Name": "Fengjie County"//奉节县
            },
            {
                "Code": "500237",
                "Name": "Wushan County"//巫山县
            },
            {
                "Code": "500238",
                "Name": "Wuxi County"//巫溪县
            },
            {
                "Code": "500240",
                "Name": "Shizhu Tujia Autonomous County"//石柱土家族自治县
            },
            {
                "Code": "500241",
                "Name": "Xiushan Tujia and Miao Autonomous County"//秀山土家族苗族自治县
            },
            {
                "Code": "500242",
                "Name": "Youyang Tujia and Miao Autonomous County"//酉阳土家族苗族自治县
            },
            {
                "Code": "500243",
                "Name": "Pengshui Miao and Tujia Autonomous County"//彭水苗族土家族自治县
            }
        ]
    },
    {
        "Code": "51",
        "Name": "Sichuan Province",//四川省
        "level": [
            {
                "Code": "5101",
                "Name": "Chengdu City"//成都市
            },
            {
                "Code": "5103",
                "Name": "Zigong City"//自贡市
            },
            {
                "Code": "5104",
                "Name": "Panzhihua City"//攀枝花市
            },
            {
                "Code": "5105",
                "Name": "Luzhou City"//泸州市
            },
            {
                "Code": "5106",
                "Name": "Deyang City"//德阳市
            },
            {
                "Code": "5107",
                "Name": "Mianyang City"//绵阳市
            },
            {
                "Code": "5108",
                "Name": "Guangyuan City"//广元市
            },
            {
                "Code": "5109",
                "Name": "Suining City"//遂宁市
            },
            {
                "Code": "5110",
                "Name": "Neijiang City"//内江市
            },
            {
                "Code": "5111",
                "Name": "Leshan City"//乐山市
            },
            {
                "Code": "5113",
                "Name": "Nanchong City"//南充市
            },
            {
                "Code": "5114",
                "Name": "Meishan City"//眉山市
            },
            {
                "Code": "5115",
                "Name": "Yibin City"//宜宾市
            },
            {
                "Code": "5116",
                "Name": "Guang'an City"//广安市
            },
            {
                "Code": "5117",
                "Name": "Dazhou City"//达州市
            },
            {
                "Code": "5118",
                "Name": "Ya'an City"//雅安市
            },
            {
                "Code": "5119",
                "Name": "Bazhong City"//巴中市
            },
            {
                "Code": "5120",
                "Name": "Ziyang City"//资阳市
            },
            {
                "Code": "5132",
                "Name": "Ngawa Tibetan and Qiang Autonomous Prefecture"//阿坝藏族羌族自治州
            },
            {
                "Code": "5133",
                "Name": "Garze Tibetan Autonomous Prefecture"//甘孜藏族自治州
            },
            {
                "Code": "5134",
                "Name": "Liangshan Yi Autonomous Prefecture"//凉山彝族自治州
            },
            {
                "Code": "5133",
                "Name": "Garze Tibetan Autonomous Prefecture"//甘孜藏族自治州
            },
            {
                "Code": "5134",
                "Name": "Liangshan Yi Autonomous Prefecture"//凉山彝族自治州
            }
        ]
    },
    {
        "Code": "52",
        "Name": "Guizhou Province",//贵州省
        "level": [
            {
                "Code": "5201",
                "Name": "Guiyang City"//贵阳市
            },
            {
                "Code": "5202",
                "Name": "Liupanshui City"//六盘水市
            },
            {
                "Code": "5203",
                "Name": "Zunyi City"//遵义市
            },
            {
                "Code": "5204",
                "Name": "Anshun City"//安顺市
            },
            {
                "Code": "5205",
                "Name": "Bijie City"//毕节市
            },
            {
                "Code": "5206",
                "Name": "Tongren City"//铜仁市
            },
            {
                "Code": "5223",
                "Name": "Southwest Guizhou Bouyei and Miao Autonomous Prefecture"//黔西南布依族苗族自治州
            },
            {
                "Code": "5226",
                "Name": "Southeast Miao and Dong Autonomous Prefecture"//黔东南苗族侗族自治州
            },
            {
                "Code": "5227",
                "Name": "South Guizhou Bouyei and Miao Autonomous Prefecture"//黔南布依族苗族自治州
            }
        ]
    },
    {
        "Code": "53",
        "Name": "Yunnan Province",//云南省
        "level": [
            {
                "Code": "5301",
                "Name": "Kunming City"//昆明市
            },
            {
                "Code": "5303",
                "Name": "Qujing City"//曲靖市
            },
            {
                "Code": "5304",
                "Name": "Yuxi City"//玉溪市
            },
            {
                "Code": "5305",
                "Name": "Baoshan City"//保山市
            },
            {
                "Code": "5306",
                "Name": "Zhaotong City"//昭通市
            },
            {
                "Code": "5307",
                "Name": "Lijiang City"//丽江市
            },
            {
                "Code": "5308",
                "Name": "Pu'er City"//普洱市
            },
            {
                "Code": "5309",
                "Name": "Lincang City"//临沧市
            },
            {
                "Code": "5323",
                "Name": "Chuxiong Yi Autonomous Prefecture"//楚雄彝族自治州
            },
            {
                "Code": "5325",
                "Name": "Honghe Hani and Yi Autonomous Prefecture"//红河哈尼族彝族自治州
            },
            {
                "Code": "5326",
                "Name": "Wenshan Zhuang and Miao Autonomous Prefecture"//文山壮族苗族自治州
            },
            {
                "Code": "5328",
                "Name": "Xishuangbanna Dai Autonomous Prefecture"//西双版纳傣族自治州
            },
            {
                "Code": "5329",
                "Name": "Dali Bai Autonomous prefecture"//大理白族自治州
            },
            {
                "Code": "5331",
                "Name": "Dehong Dai and Jingpo Autonomous Prefecture"//德宏傣族景颇族自治州
            },
            {
                "Code": "5333",
                "Name": "Nujiang Lisu Autonomous Prefecture"//怒江傈僳族自治州
            },
            {
                "Code": "5334",
                "Name": "Diqing Tibetan Autonomous Prefecture"//迪庆藏族自治州
            }
        ]
    },
    {
        "Code": "54",
        "Name": "Tibet Autonomous Region",//西藏自治区
        "level": [
            {
                "Code": "5401",
                "Name": "Lhasa City"//拉萨市
            },
            {
                "Code": "5421",
                "Name": "Changdu Prefecture"//昌都地区
            },
            {
                "Code": "5422",
                "Name": "Shannan Prefecture"//山南地区
            },
            {
                "Code": "5423",
                "Name": "Shigatse Prefecture"//日喀则地区
            },
            {
                "Code": "5424",
                "Name": "Nagqu Prefecture"//那曲地区
            },
            {
                "Code": "5425",
                "Name": "Ngari Prefecture"//阿里地区
            },
            {
                "Code": "5426",
                "Name": "Nyingchi Prefecture"//林芝地区
            }
        ]
    },
    {
        "Code": "61",
        "Name": "Shanxi Province",//陕西省
        "level": [
            {
                "Code": "6101",
                "Name": "Xi'an City"//西安市
            },
            {
                "Code": "6102",
                "Name": "Tongchuan City"//铜川市
            },
            {
                "Code": "6103",
                "Name": "Baoji City"//宝鸡市
            },
            {
                "Code": "6104",
                "Name": "Xianyang City"//咸阳市
            },
            {
                "Code": "6105",
                "Name": "Weinan City"//渭南市
            },
            {
                "Code": "6106",
                "Name": "Yan'an City"//延安市
            },
            {
                "Code": "6107",
                "Name": "Hanzhoung City"//汉中市
            },
            {
                "Code": "6108",
                "Name": "Yulin City"//榆林市
            },
            {
                "Code": "6109",
                "Name": "Ankang City"//安康市
            },
            {
                "Code": "6110",
                "Name": "Shangluo City"//商洛市
            }
        ]
    },
    {
        "Code": "62",
        "Name": "Gansu Province",//甘肃省
        "level": [
            {
                "Code": "6201",
                "Name": "Lanzhou City"//兰州市
            },
            {
                "Code": "6202",
                "Name": "Jiayuguan City"//嘉峪关市
            },
            {
                "Code": "6203",
                "Name": "Jinchang City"//金昌市
            },
            {
                "Code": "6204",
                "Name": "Baiyin City"//白银市
            },
            {
                "Code": "6205",
                "Name": "Tianshui City"//天水市
            },
            {
                "Code": "6206",
                "Name": "Wuwei City"//武威市
            },
            {
                "Code": "6207",
                "Name": "Zhangye City"//张掖市
            },
            {
                "Code": "6208",
                "Name": "Pingliang City"//平凉市
            },
            {
                "Code": "6209",
                "Name": "Jiuquan City"//酒泉市
            },
            {
                "Code": "6210",
                "Name": "Qingyang City"//庆阳市
            },
            {
                "Code": "6211",
                "Name": "Dingxi City"//定西市
            },
            {
                "Code": "6212",
                "Name": "Longnan City"//陇南市
            },
            {
                "Code": "6229",
                "Name": "Linxia Hui Autonomous Prefecture"//临夏回族自治州
            },
            {
                "Code": "6230",
                "Name": "Gannan Tibetan Autonomous Prefecture"//甘南藏族自治州
            }
        ]
    },
    {
        "Code": "63",
        "Name": "Qinghai Province",//青海省
        "level": [
            {
                "Code": "6301",
                "Name": "Xining City"//西宁市
            },
            {
                "Code": "6321",
                "Name": "Haidong Prefecture"//海东地区
            },
            {
                "Code": "6322",
                "Name": "Haibei Tibetan Autonomous Prefecture"//海北藏族自治州
            },
            {
                "Code": "6323",
                "Name": "Huangnan Tibetan Autonomous Prefecture"//黄南藏族自治州
            },
            {
                "Code": "6325",
                "Name": "Hainan Tibetan Autonomous Prefecture"//海南藏族自治州
            },
            {
                "Code": "6326",
                "Name": "Golog Tibetan Autonomous Prefecture"//果洛藏族自治州
            },
            {
                "Code": "6327",
                "Name": "Yushu Tibetan Autonomous Prefecture"//玉树藏族自治州
            },
            {
                "Code": "6328",
                "Name": "Haixi Mongolian and Tibetan Autonomous Prefecture"//海西蒙古族藏族自治州
            }
        ]
    },
    {
        "Code": "64",
        "Name": "Ningxia Hui Autonomous Region",//宁夏回族自治区
        "level": [
            {
                "Code": "6401",
                "Name": "Yinchuan City"//银川市
            },
            {
                "Code": "6402",
                "Name": "Shizuishan City"//石嘴山市
            },
            {
                "Code": "6403",
                "Name": "Wuzhong City"//吴忠市
            },
            {
                "Code": "6404",
                "Name": "Guyuan City"//固原市
            },
            {
                "Code": "6405",
                "Name": "Zhongwei City"//中卫市
            }
        ]
    },
    {
        "Code": "65",
        "Name": "Xinjiang Uygur Autonomous Region",//新疆维吾尔自治区
        "level": [
            {
                "Code": "6501",
                "Name": "Urumqi City"//乌鲁木齐市
            },
            {
                "Code": "6502",
                "Name": "Karamay City"//克拉玛依市
            },
            {
                "Code": "6521",
                "Name": "Turpan Prefecture"//吐鲁番地区
            },
            {
                "Code": "6522",
                "Name": "Hami Prefecture"//哈密地区
            },
            {
                "Code": "6523",
                "Name": "Changji Hui Autonomous Prefecture"//昌吉回族自治州
            },
            {
                "Code": "6527",
                "Name": "Bortala Mongol Autonomous Prefecture"//博尔塔拉蒙古自治州
            },
            {
                "Code": "6528",
                "Name": "Bayingolin Mongol Autonomous Prefecture"//巴音郭楞蒙古自治州
            },
            {
                "Code": "6529",
                "Name": "Akesu Prefecture"//阿克苏地区
            },
            {
                "Code": "6530",
                "Name": "Kizilsu Kirghiz Autonomous Prefecture"//克孜勒苏柯尔克孜自治州
            },
            {
                "Code": "6531",
                "Name": "Kashi Prefecture"//喀什地区
            },
            {
                "Code": "6532",
                "Name": "Hotan Prefecture"//和田地区
            },
            {
                "Code": "6540",
                "Name": "Ili Kazak Autonomous Prefecture"//伊犁哈萨克自治州
            },
            {
                "Code": "6542",
                "Name": "Tarbagatay Prefecture"//塔城地区
            },
            {
                "Code": "6543",
                "Name": "Altay Prefecture"//阿勒泰地区
            }
        ]
    },
    {
        "Code": "66",
        "Name": "Xinjiang Production and Construction Corps",//新疆生产建设兵团
        "level": [
            {
                "Code": "",
                "Name": "All"
            },
            {
                "Code": "6601",
                "Name": "First Division"//第一师
            },
            {
                "Code": "6602",
                "Name": "Second Division"//第二师
            },
            {
                "Code": "6603",
                "Name": "Third Division"//第三师
            },
            {
                "Code": "6604",
                "Name": "Fourth Division"//第四师
            },
            {
                "Code": "6605",
                "Name": "Fifth Division"//第五师
            },
            {
                "Code": "6606",
                "Name": "Sixth Division"//第六师
            },
            {
                "Code": "6607",
                "Name": "Seventh Division"//第七师
            },
            {
                "Code": "6608",
                "Name": "Eighth Division"//第八师
            },
            {
                "Code": "6609",
                "Name": "Ninth Division"//第九师
            },
            {
                "Code": "6610",
                "Name": "Tenth Division"//第十师
            },
            {
                "Code": "6611",
                "Name": "Eleventh Division"//第十一师
            },
            {
                "Code": "6612",
                "Name": "Twelfth Division"//第十二师
            },
            {
                "Code": "6613",
                "Name": "Thirteenth Division"//第十三师
            },
            {
                "Code": "6614",
                "Name": "Fourteenth Division"//第十四师
            },
            {
                "Code": "6615",
                "Name": "Directly Under"//直属
            }
        ]
    }
];
var url_consult_type = '../../../../global/resource/consult_type.json';
var url_province = '../../../../global/resource/province_area.json';//地区2级联动json
var url_translate = 'http://www.12348.gov.cn/sfb12348/sfbMobile/aliyun/translate';
var url_personinfo = APP_SERVER_URL + 'account/user/detail';
var url_voice2Text = APP_SERVER_URL + 'iflytek/voice2Text';
var url_formSubmit = APP_SERVER_URL + 'consult/saveConsult';
var serviceTypeCode;//业务类型ID
var caseTypeCode;//案件类型对应ID
var dialog = window.SKYUI.dialog;
var $dialog;
var isAgree = true; //是否同意协议
var prot = null;
var $dialog = null;
var caseAreaCode = '';
var caseAreaName = '';
// ============================================1.初始化状态============================================
(function () {
    $('.bottom_attention').trigger('click');
    //loadConsultType();
    document.addEventListener("deviceready", onDeviceReady, false);
    loadDetail();
    noEmoji();
    console.log(window.CURRENT_ACCOUNT.getEnglishCity());
})();

// ============================================1.页面状态集============================================
function loadDetail() {
    var data = {};
    createTemplate(data);
}

// ============================================2.事件集============================================

/**
 * 提交
 */
function submit() {
    var isPass = verification();
    if (isPass) {
        dialog.confirm('Submit？', function () {
            SKYUI.dialog.loading.open("Submiting...");
            var param = {
                serviceType: 'zxlx',
                consultType: '4006',
                consultTitle: $sky.bindId('mtitle').value,
                consultContent: $sky.bindId('content').value,
                caseAreaCode : $sky.bindId('provinceType_title').value,
                bigType: 3
            };
            console.log("参数" + JSON.stringify(param));
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, 'Submit');
        });
    }
}

//获取市(地、州、盟)的code
function provincePick(){
    new Picker({
        //"canHide": false,//隐藏取消按钮
        "title": 'Please Select City',//标题(可选)
        "defaultValue": window.CURRENT_ACCOUNT.getUserPROVINCE() +"-"+ window.CURRENT_ACCOUNT.getEnglishCity(),//默认值-多个以空格分开（可选）按照Name值匹配
        "type": 2,//需要联动级数[1、2、3]（可选）
        "data": provinceData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level"//最多3级联动
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            $sky.bindId('provinceType').value = val;
            $sky.bindId('provinceType_title').value = code.split(",")[1];
        }
    });
}

/**
 * 阅读并接受条款
 */
function onAgreeClick() {
    if (isAgree) {
        isAgree = false;
        $sky.bindId('saveButton').disabled = true;
        $sky.bindId('saveButton').style.background = "#ddd";
        $sky.bindId('choose').style.display = "none";
        $sky.bindId('no_choose').style.display = "block";
    } else {
        isAgree = true;
        $sky.bindId('saveButton').disabled = false;
        $sky.bindId('saveButton').style.background = "#4d75bb";
        $sky.bindId('choose').style.display = "block";
        $sky.bindId('no_choose').style.display = "none";
    }
}

/**
 * 留言须知
 */
function onMessage() {
    isAgree = false;
    $sky.bindId('saveButton').disabled = true;
    $sky.bindId('saveButton').style.background = "#ddd";
    $sky.bindId('choose').style.display = "none";
    $sky.bindId('no_choose').style.display = "block";
    prot = dialog.consultPrompt_en(function () {

    }, function () {

    });
}


/**
 * 显示语音对话框
 * @param flag = 1：主题  ，2：内容
 */
function showVoiceDialog(flag) {
    showEnglishVoice(flag);
}

function listening(flag) {
    xunfeiListenSpeaking.startListen(function (data) {
        if (flag == 1) {
            $sky.bindId('mtitle').value = $sky.bindId('mtitle').value + data;
        } else if (flag == 2) {
            $sky.bindId("content").value = $sky.bindId("content").value + data;
        }
    }, function (data) {
        dialog.toast(data, 'none', 1000);
    },true,true);
}
/**
 * 英文翻译
 */
function showEnglishVoice(flag) {
    var permissions = cordova.plugins.permissions;
    //校验app是否有安卓写入权限
    permissions.checkPermission(permissions.WRITE_EXTERNAL_STORAGE, function(s) {
        //hasPermission 验证是否成功
        if (!s.hasPermission) {
            //没有权限
            //app申请写入权限
            permissions.requestPermission(permissions.RECORD_AUDIO, function(s) {
                if (s.hasPermission) {
                    listening(flag);
                }
                else {

                }
            }, function(error) {
                dialog.toast('网络异常!', 'none', 1000);
            });
        } else {
            listening(flag);
        }
    }, function(error) {
        dialog.toast('网络异常!', 'none', 1000);
    });
}



/**
 * 中英文切换
 */
function onSwitchEN(flag) {
    var span = $sky.bindId("switch" + flag);
    var hint = $sky.bindId("hint" + flag);
    span.innerHTML = "English";
    hint.innerHTML = "点 击 \"English\" 切 换 成 中 文 输 入";
}

/**
 * 过滤文字的emoji表情
 */
function noEmoji() {
    $('.textAndvoice textarea').on('keyup', function () {
        var textDom = $(this)[0];
        textDom.value = textDom.value.replace(/[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF][\u200D|\uFE0F]|[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF]|[0-9|*|#]\uFE0F\u20E3|[0-9|#]\u20E3|[\u203C-\u3299]\uFE0F\u200D|[\u203C-\u3299]\uFE0F|[\u2122-\u2B55]|\u303D|[\\A9|\\AE]\u3030|\\uA9|\\uAE|\u3030/ig, "");
    })
}

// ============================================3.函数集============================================
/**
 * 英译中
 * @constructor
 */
function En2ZhTranslate(text, flag) {
    dialog.loading.open("Translating...");
    if (flag == 1) {
        $sky.bindId('mtitle').value = $sky.bindId('mtitle').value +" "+text;
    } else if (flag == 2) {
        $sky.bindId("content").value = $sky.bindId("content").value+" "+ text;
    }
    dialog.loading.close();

}

function loadConsultType() {
    $sky.Model.getAjax('get', url_consult_type, {})
        .then(function (data) {
            consultTypeData = data.data;
        })
        .catch(function (error) {
            console.error(error);
        });
}

/**
 * 表单：验证
 * @param isRead
 */
function verification() {//表单验证
    var eleIds = ["provinceType_title","mtitle", "content"];
    var eleValues = ["Province","Subject", "Content"];
    if ($sky.Util.validateForm(eleIds, eleValues)) {

        if ($.trim($sky.bindId("mtitle").value).length < 5) {
            dialog.toast("The subject should be no less than 5 words", "none", 1000);
            return false;
        }
        if ($.trim($sky.bindId("content").value).length < 20) {
            dialog.toast("The content should be no less than 20 words", "none", 1500);
            return false;
        }
        return true;
    }
    return false;
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        //var state = eval(data.success.toLowerCase()); //防止传回来的success是字符串类型
        console.log("state================" + data.success);
        if (data.success) {
            dialog.toast('Submitted Successfully', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close();
                window.location.href=$sky.Util.urlTimestamp('../mine/consult_mine.html');
                //window.history.go(-1);
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast('Failure to submit', 'none', 1000);
        }
    }).then(function (error) {
        SKYUI.dialog.loading.close();
    });
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    //监听返回键按钮事件
    document.addEventListener("backbutton", eventBackButton, false);
    initAndRequestAndroidPermission();
}

//获取权限通知
function initAndRequestAndroidPermission() {
    var permissions = cordova.plugins.permissions;
    var permissionList = [
        permissions.RECORD_AUDIO
    ];
    permissions.requestPermissions(permissionList, success, error);

    function error() {
        console.warn('ACCESS_FINE_LOCATION permission is not turned on');
    }

    function success(status) {
        if (!status.hasPermission) error();
    }
}

//返回键点击响应
function eventBackButton() {
    if (undefined != prot) {
        dialog.removeAll(prot);
        prot = null;
    } else {
        history.go(-1);
    }
}
