// ============================================全局数据============================================
var url_formSubmit = APP_SERVER_URL + 'appeal/saveAppeal';//联系我们
var url_province = '../../../global/resource/province_area.json';//地区2级联动json
var serviceTypeCode;//业务类型ID
var caseTypeCode;//案件类型对应ID
var dialog = window.SKYUI.dialog;
var $dialog;
var isAgree = true; //是否同意协议
var prot = null;
var $dialog = null;
var phone_reg = /^1(3|4|5|7|8)\d{9}$/; //手机号码正则
var zzs_reg =  /^[1-9]\d*$/;//正整数正则
var zj_reg = /^[0][1-9]{2,3}-[0-9]{5,10}$/;//座机号码正则
// ============================================1.初始化状态============================================
(function () {
    $('.bottom_attention').trigger('click');
    document.addEventListener("deviceready", onDeviceReady, false);
    noEmoji();
    if(window.CURRENT_ACCOUNT.getUserName()!=null){
        $sky.bindId('person_name').value = window.CURRENT_ACCOUNT.getUserName();
    }
    if(window.CURRENT_ACCOUNT.getUserPhone()!=null){
        $sky.bindId('person_phone').value = window.CURRENT_ACCOUNT.getUserPhone();
    }
})();

// ============================================1.页面状态集============================================
function loadDetail() {
    var data = {};
    createTemplate(data);
}

// ============================================2.事件集============================================

/**
 * 提交
 */
function submit() {
    if($("#person_name").val()==""){
        dialog.toast("申请人姓名不能为空!", "none", 1500);
        return false;
    }
    if(!phone_reg.test($("#person_phone").val())){
        dialog.toast("申请人手机号有误!!", "none", 1500);
        return false;
    }
    if($("#business_name").val()==""){
        dialog.toast("欠薪企业名称不能为空!", "none", 1500);
        return false;
    }
    if($("#provinceType_title").val()==""){
        dialog.toast("欠薪行为发生地不能为空!", "none", 1500);
        return false;
    }
    if($("#business_address").val()==""){
        dialog.toast("详细地址不能为空!", "none", 1500);
        return false;
    }
    if(!zzs_reg.test($("#business_people").val())){
        dialog.toast("请填写正确欠薪人数!", "none", 1500);
        return false;
    }
    if(!zzs_reg.test($("#business_money").val())){
        dialog.toast("请填写正确欠薪金额!", "none", 1500);
        return false;
    }
    if($("#mtitle").val()==""){
        dialog.toast("请填写标题!", "none", 1500);
        return false;
    }
    if($("#content").val()==""){
        dialog.toast("请填写内容!", "none", 1500);
        return false;
    }
    if($("#business_phone")!=""){
        if(zj_reg.test($("#business_phone").val())||phone_reg.test($("#business_phone").val())){

        }else{
            dialog.toast("请填写正确的欠薪企业联系方式!", "none", 1500);
            return false;
        }
    }

    dialog.confirm('是否提交？', function () {
        SKYUI.dialog.loading.open("正在提交...");
        var param = {
            title: $sky.bindId('mtitle').value,
            content: $sky.bindId('content').value,
            applyName: $sky.bindId('person_name').value,
            applyPhone: $sky.bindId('person_phone').value,
            businessName: $sky.bindId('business_name').value,
            businessDistricode: $sky.bindId('provinceType_title').value,
            businessAddress: $sky.bindId('business_address').value,
            arrears_people: $sky.bindId('business_people').value,
            arrears_money: $sky.bindId('business_money').value,
            business_tel: $sky.bindId('business_phone').value
        };
        console.log("参数" + JSON.stringify(param));
        var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
        optButton(promiseObj, '提交');
    });
}

//获取市(地、州、盟)的code
function provincePick(){
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            console.log(data);
            provinceData = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": $sky.bindId('provinceType').value,//默认值-多个以空格分开（可选）按照Name值匹配
                "type": 2,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "Code",
                    "value": "Name",
                    "childData": "level"//最多3级联动
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    $sky.bindId('provinceType').value = val;
                    $sky.bindId('provinceType_title').value = code.split(",")[1];
                }
            });
        });
}

/**
 * 阅读并接受条款
 */
function onAgreeClick() {
    if (isAgree) {
        isAgree = false;
        $sky.bindId('saveButton').disabled = true;
        $sky.bindId('saveButton').style.background = "#ddd";
        $sky.bindId('choose').style.display = "none";
        $sky.bindId('no_choose').style.display = "block";
    } else {
        isAgree = true;
        $sky.bindId('saveButton').disabled = false;
        $sky.bindId('saveButton').style.background = "#4d75bb";
        $sky.bindId('choose').style.display = "block";
        $sky.bindId('no_choose').style.display = "none";
    }
}

/**
 * 使用须知
 */
function onMessage() {
    isAgree = false;
    $sky.bindId('saveButton').disabled = true;
    $sky.bindId('saveButton').style.background = "#ddd";
    $sky.bindId('choose').style.display = "none";
    $sky.bindId('no_choose').style.display = "block";
    prot = dialog.mgzxPrompt(function () {

    }, function () {

    });
}

/**
 * 显示语音对话框
 * @param flag = 1：主题  ，2：内容
 */
function showVoiceDialog(flag) {
    var span = $sky.bindId("switch" + flag);
    if (span.innerHTML == "中文") {
        showChineseVoice(flag);
    } else {
        showEnglishVoice(flag);
    }
}

function listening(flag) {
    xunfeiListenSpeaking.startListen(function (data) {
        if (flag == 1) {
            $sky.bindId('mtitle').value = $sky.bindId('mtitle').value + data;
        } else if (flag == 2) {
            $sky.bindId("content").value = $sky.bindId("content").value + data;
        }
    }, function (data) {
        dialog.toast(data, 'none', 1000);
    },true,true);
}
/**
 * 中文听写
 */
function showChineseVoice(flag) {
    var permissions = cordova.plugins.permissions;
    //校验app是否有安卓写入权限
    permissions.checkPermission(permissions.WRITE_EXTERNAL_STORAGE, function(s) {
        //hasPermission 验证是否成功
        if (!s.hasPermission) {
            //没有权限
            //app申请写入权限
            permissions.requestPermission(permissions.RECORD_AUDIO, function(s) {
                if (s.hasPermission) {
                    listening(flag);
                }
                else {

                }
            }, function(error) {
                dialog.toast('网络异常!', 'none', 1000);
            });
        } else {
            listening(flag);
        }
    }, function(error) {
        dialog.toast('网络异常!', 'none', 1000);
    });
}

/**
 * 过滤文字的emoji表情
 */
function noEmoji() {
    $('.textAndvoice textarea').on('keyup', function () {
        var textDom = $(this)[0];
        textDom.value = textDom.value.replace(/[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF][\u200D|\uFE0F]|[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF]|[0-9|*|#]\uFE0F\u20E3|[0-9|#]\u20E3|[\u203C-\u3299]\uFE0F\u200D|[\u203C-\u3299]\uFE0F|[\u2122-\u2B55]|\u303D|[\\A9|\\AE]\u3030|\\uA9|\\uAE|\u3030/ig, "");
    })
}

// ============================================3.函数集============================================
/**
 * 表单：验证
 * @param isRead
 */
function verification() {//表单验证
    var eleIds = ["person_name","person_phone","mtitle","content"];
    var eleValues = ["申请人姓名","申请人手机号","诉求标题","诉求内容"];
    if ($sky.Util.validateForm(eleIds, eleValues)) {
        if (!phone_reg.test($.trim($sky.bindId("person_phone").value))) {
            dialog.toast("申请人手机号格式有误!", "none", 1500);
            return false;
        }
        if ($.trim($sky.bindId("mtitle").value).length < 5) {
            dialog.toast("诉求标题不能少于5个字", "none", 1000);
            return false;
        }
        if ($.trim($sky.bindId("content").value).length < 20) {
            dialog.toast("诉求内容不能少于20个字。", "none", 1500);
            return false;
        }
        return true;
    }
    return false;
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        //var state = eval(data.success.toLowerCase()); //防止传回来的success是字符串类型
        console.log("state================" + data.success);
        if (data.success) {
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close();
                window.history.go(-1);
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    }).then(function (error) {
        SKYUI.dialog.loading.close();
    });
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    //监听返回键按钮事件
    document.addEventListener("backbutton", eventBackButton, false);
    initAndRequestAndroidPermission();
}

//获取权限通知
function initAndRequestAndroidPermission() {
    var permissions = cordova.plugins.permissions;
    var permissionList = [
        permissions.RECORD_AUDIO
    ];
    permissions.requestPermissions(permissionList, success, error);

    function error() {
        console.warn('ACCESS_FINE_LOCATION permission is not turned on');
    }

    function success(status) {
        if (!status.hasPermission) error();
    }
}

//返回键点击响应
function eventBackButton() {
    if (undefined != prot) {
        dialog.removeAll(prot);
        prot = null;
    } else {
        history.go(-1);
    }
}
