/**
 * Created by lwc on 2018/12/20.
 */
var url_trsNewsList = APP_SERVER_URL + '/trsnews/getNewsList';//获取一般新闻列表
var index = '';
var param = '';
(function () {
    clickToggle();
    lookList(window.localStorage.getItem("newsTab"));
})();
/**
 * @Date: 2018-12-19 10:33:26
 * @param clickEle tab元素（ul）
 * @param showContent 显示内容区域
 * @author lg
 * @desc:
 **/

function clickToggle() {
    $('.u_nav_list li').click(function () {
        $(this).addClass("active").siblings().removeClass("active");
        index = $(this).index();
        window.localStorage.setItem("newsTab",index);
        switch (index){
            case 0:
                loadList(137);//名人名言
                break;
            case 1:
                loadList(138);//文艺文萃
                break;
            case 2:
                loadList(139);//法史故事
                break;
            case 3:
                loadList(140);//环球法治
                break;
            case 4:
                loadList(141);//文化阵地
                break;
        }
    })
}

//跳转详情
function jumpDetail(pkid,url) {
    window.parent.location.href = $sky.Util.urlTimestamp("../xwxq/xwxq.html?pkid="+pkid+'&url='+url.toString());
}

//根据tab查看新闻列表
function lookList(index) {
    if(index==''||index ==null){
        loadList(137);//名人名言
    }else{
        $('.u_nav_list li').eq(index).addClass("active").siblings().removeClass("active");
        switch (index){
            case '0':
                loadList(137);//名人名言
                break;
            case '1':
                loadList(138);//文艺文萃
                break;
            case '2':
                loadList(139);//法史故事
                break;
            case '3':
                loadList(140);//环球法治
                break;
            case '4':
                loadList(141);//文化阵地
                break;
        }
    }
}

/**
 * 获取法治咨询列表
 */
function loadList(type) {
    $(".list").empty();
    $(".dropload-down").hide();
    var page = 0;// 页数
    var size = 10;// 每页展示20个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            // 拼接HTML
            page++;
            console.log("page:"+page);
            var result = '';
            var param = {
                channel: type,//频道号
                inputValue:'',//查询标题或内容
                pageNum: page,
                pageSize: size
            };
            $sky.Model.getAjax('post', url_trsNewsList, param)
                .then(function (data) {
                    console.log(data);
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item2', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                    }, 10);
                })
                .catch(function (error) {
                    console.log('error' + error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}