/**
 * Created by lwc on 2018/12/20.
 */
// ============================================全局数据============================================
var url_consults_list = APP_SERVER_URL + 'consult/anonymous/consults'; //咨询列表//
var url_trsNewsList = APP_SERVER_URL + 'trsnews/getNewsList';//获取一般新闻列表
var url_trsImgList = APP_SERVER_URL + 'trsnews/getImgNewsList';//获取图片新闻列表
var detail_url = APP_SERVER_URL + 'news/detail';//新闻详情url
var dialog = window.SKYUI.dialog;
var height = document.body.clientHeight||document.documentElement.clientHeight;
var mescroll = '';
var fzzx = true,pfdt = true,yfzl = true,zxxf = true,fzwh = true;
var pagenum = 1;
// ============================================1.初始化页面============================================
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    toggleTab();
    getList1();
    getList3(121);
    getList3(122);
    getList3(123);
    getList3(124);
})();

// ============================================2.事件集============================================
/**
 * dom加载完的回调
 */
function onDeviceReady() {
    initAndroidBackButton();
}

//监听返回键按钮事件
function initAndroidBackButton() {
    document.addEventListener("backbutton", eventBackButton, false);
}

//返回键点击响应
function eventBackButton() {
    if($('.newsDetailBg').css("left") == '0px'){
        BackToDetail();
        return '';
    }else if($('.newsList').css("left") == '0px'){
        BackToList();
        return '';
    }else{
        history.back();
    }
}

/*下拉刷新的回调 */
function downCallback(){
    mescroll.endSuccess();
}
/*上拉加载的回调 page = {num:1, size:10}; num:当前页 从1开始, size:每页数据条数 */
function upCallback(page){
    var result = '';
    var param_list = {
        channel: page.channel,//频道号
        inputValue:'',//查询标题或内容
        pageNum: page.num,
        pageSize: 20
    };
    if(page.flag){
        $sky.Model.getAjax('post', url_trsImgList, param_list)
            .then(function (data) {
                console.log(data);
                if(data.list.length>0){
                    for(var i in data.list) {
                        data.list[i].picture = data.list[i].url.substr(0, data.list[i].url.lastIndexOf('/') + 1) + data.list[i].picture;
                    }
                }else{
                    result = template('empty', {});
                }
                mescroll.endByPage(data.list.length, data.totalPageNum);
                $(".list").append(template('item', data));
                pagenum++;
            })
            .catch(function (error) {
                console.log('error' + error);
            });
    }else{
        $sky.Model.getAjax('post', url_trsNewsList, param_list)
            .then(function (data) {
                console.log(data);
                if (data.list.length>0) {
                    result = template('item2', data);
                } else {
                    result = template('empty', {});
                }
                mescroll.endByPage(data.list.length, data.totalPageNum);
                $(".list").append(template('item2', data));
                pagenum++;
            })
            .catch(function (error) {
                console.log('error' + error);
            });
    }
}

//跳转详情
function jumpDetail(url) {
    window.open(url, '_blank', 'location=no');
}

//跳转图片详情
function jumpImgDetail(pkid,picture) {
    $('.newsDetailBg').animate({left: 0}, 300);
    $('.newsDetailBg').css(
        {
            "height":height
        }
    );
    var param = {
        pkid : pkid
    };
    $sky.Model.getAjax('get', detail_url, param)
        .then(function (data) {
            console.log(data);
            var html = '<h1 class="newsDetailT">'+data.data.title+'</h1>'+
                '<div class="newsDetailTime">发布日期:'+data.data.releasetime+'</div>'+
                '<div class="newsDetailImg">'+
                '<img src="'+picture+'" alt="" width="100%">'+
                '</div>'+
                '<p>'+data.data.content+'</p>';
            $(".detail").html(html);
        })
        .catch(function (error) {
            console.log('error' + error);
        });
}

function BackToList() {
    $('.newsList').animate({left: '100%'}, 300);
    mescroll.destroy();
}
function BackToDetail() {
    $('.newsDetailBg').animate({left: '100%'}, 300);
}

//切换tab
function toggleTab() {
    $('.top_icon li').on('click',function () {
        $(this).addClass('active').siblings().removeClass('active');
        var index = $(this).index();
        $(".model").hide().eq(index).show();
        if(index==0){
            $(".rollImg").show();
        }else{
            $(".rollImg").hide();
        }
        switch (index){
            case 0://法治资讯
                if(fzzx){
                    getList1();
                    getList3(121);//要闻
                    getList3(122);//通知公告
                    getList3(123);//热点推荐
                    getList3(124);//专题图解
                }
                break;
            case 1://普法动态
                if(pfdt){
                    getList3(142);//主体活动
                    getList3(143);//谁执法谁普法
                    getList3(144);//普法集锦
                    getList3(145);//工作交流
                }
                break;
            case 2://依法治理
                if(yfzl){
                    getList3(146);//地方依法治理
                    getList3(147);//行业依法治理
                    getList3(148);//基层依法治理
                    getList3(149);//法治创建
                }
                break;
            case 3://在线学法
                if(zxxf){
                    getList3(130);//以案释法
                }
                break;
            case 4://法治文化
                if(fzwh){
                    getList3(137);//名人名言
                    getList3(138);//文艺华萃
                    getList3(139);//法史故事
                    getList3(140);//环球法治
                    getList3(141);//文化阵地
                }
                break;
        }
    })
}


// ============================================3.函数集============================================
/**
 * 获取swiper图片
 */
function getSwiper(){
    var page = 1;// 页数
    var size = 5;// 每页展示个
    var html_header = '<div class="swiper-container">'+
                      '<div class="swiper-wrapper">';
    var html = '';
    var html_bottom = '</div>'+
                      '<div class="swiper-pagination"></div>';

    var param_newslist = {
        channel: 164,//频道号
        inputValue:'',//查询标题或内容
        pageNum: page,
        pageSize: size
    };

    $sky.Model.getAjax('post', url_trsImgList, param_newslist)
        .then(function (data) {
            for(var i in data.list){
                data.list[i].picture = data.list[i].url.substr(0,data.list[i].url.lastIndexOf('/')+1)+data.list[i].picture;
                html+= '<div class="swiper-slide">'+
                    '<img src="'+data.list[i].picture+'" style="width: 100%;height: 4rem" alt="" width="100%" onclick=jumpImgDetail("'+data.list[i].pkid+'","'+data.list[i].picture+'") >'+
                    '<div class="fontpart"><span>'+data.list[i].title+'</span></div>'+
                    '</div>';
            }
            $(".rollImg").html(html_header+html+html_bottom);
            var swiper = new Swiper('.swiper-container', {
                autoplay: {
                    delay: 2500,
                    stopOnLastSlide: false,
                    disableOnInteraction: false
                },
                effect : 'fade',
                loop : true,
                speed:500,
                pagination: {
                    el: '.swiper-pagination',
                    dynamicBullets: true,
                    renderBullet: function (index,className) {
                        if(index == 0){
                            className = 'bannerBox active';
                        }else{
                            className = 'bannerBox';
                        }
                        return '<span class="'+className+'">' + (index + 1) + '</span>';
                    }
                },
                on: {
                    slideChange: function(){//swiper切换时执行
                        $('.bannerBox').eq(this.realIndex).addClass("active").siblings().removeClass("active");
                    },
                    autoplay:function(){//自动轮播时执行
                        $('.bannerBox').eq(this.realIndex).addClass("active").siblings().removeClass("active");
                    }
                }
            });
        })
        .catch(function (error) {
            console.log('error' + error);
        });
}
/**
 * 获取法治咨询列表
 */
function getList1() {
    getSwiper();
    $('.rollImg').show();
    var page = 1;// 页数
    var param_list = {
        channel: 121,//频道号
        inputValue:'',//查询标题或内容
        pageNum: page,
        pageSize: 3
    };
    $sky.Model.getAjax('post', url_trsImgList, param_list)
        .then(function (data) {
            console.log(data);
            if(data.list.length>0){
                for(var i in data.list){
                    data.list[i].picture = data.list[i].url.substr(0,data.list[i].url.lastIndexOf('/')+1)+data.list[i].picture;
                }
                $(".list1").html(template('item', data));
            }else{
                result = template('empty', {});
            }
        })
        .catch(function (error) {
            console.log('error' + error);
        });
}

/**
 * 跳转图片咨询列表
 */
function showList(channel,flag) {
    $('.newsList').animate({left: 0}, 300);
    $(".mescroll").html(
        '<div id="newsList" class="list"></div>'
    );
    pagenum = 1;
    //创建MeScroll对象
    mescroll = new MeScroll("mescroll", {
        down: {
            auto: false, //是否在初始化完毕之后自动执行下拉回调callback; 默认true
            callback: downCallback //下拉刷新的回调
        },
        up: {
            auto: true, //是否在初始化时以上拉加载的方式自动加载第一页数据; 默认false
            isBounce: true, //此处禁止ios回弹,解析(务必认真阅读,特别是最后一点): http://www.mescroll.com/qa.html#q10
            callback: function () {
                upCallback({num:pagenum, size:20,channel:channel,flag:flag});
            } //上拉回调,此处可简写; 相当于 callback: function (page) { upCallback(page); }
        }
    });
}

/**
 * 获取法治咨询列表
 */
function getList3(index) {
            var result = '';
            var param = {
                channel: index,//频道号
                inputValue:'',//查询标题或内容
                pageNum: 1,
                pageSize: 3
            };
            if(index==130){
                param.pageSize = 1000;
            }
            $sky.Model.getAjax('post', url_trsNewsList, param)
                .then(function (data) {
                    console.log(data);
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        result = template('item2', data);
                    } else {
                        $(".dropload-down").hide();
                    }
                    switch (index){
                        case 121://要闻
                            fzzx = !fzzx;
                            $('.list2').html(result);
                            break;
                        case 122://通知公告
                            $('.list3').html(result);
                            break;
                        case 123://热点推荐
                            $('.list4').html(result);
                            break;
                        case 124://专题图解
                            $('.list5').html(result);
                            break;
                        case 130://以案释法
                            zxxf = !zxxf;
                            $('.list14').html(result);
                            break;
                        case 142://主体活动
                            pfdt = !pfdt;
                            $('.list6').html(result);
                            break;
                        case 143://谁执法谁普法
                            $('.list7').html(result);
                            break;
                        case 144://普法集锦
                            $('.list8').html(result);
                            break;
                        case 145://工作交流
                            $('.list9').html(result);
                            break;
                        case 146://地方依法治理
                            yfzl = !yfzl;
                            $('.list10').html(result);
                            break;
                        case 147://行业依法治理
                            $('.list11').html(result);
                            break;
                        case 148://基层依法治理
                            $('.list12').html(result);
                            break;
                        case 149://法治创建
                            $('.list13').html(result);
                            break;
                        case 137://名人名言
                            fzwh = !fzwh;
                            $('.list15').html(result);
                            break;
                        case 138://文艺华萃
                            $('.list16').html(result);
                            break;
                        case 139://法史故事
                            $('.list17').html(result);
                            break;
                        case 140://环球法治
                            $('.list18').html(result);
                            break;
                        case 141://文化阵地
                            $('.list19').html(result);
                            break;
                    }
                })
                .catch(function (error) {
                    console.log('error' + error);
                });
}


