// ============================================全局数据============================================
var consult_list_url = APP_SERVER_URL + "exam/verify/verifyList";
var url_consult_type = '../../../global/resource/consult_type.json';
var url_province = '../../../global/resource/province_control.json';
var url_department = '../../../global/resource/department.json';//部门json
var url_sxfl = APP_SERVER_URL + 'complaintType/getTypeListByFid';//事项分类
var url_detail = '';
var consultTypeData = [];
var provinceData = [];
var servicetype = "";
var dialog = window.SKYUI.dialog;
var keywords = ""; //查询的关键字
var KEY_SIGN = "sign";
var KEY_USER = "USER_DATA";
var refresh_flag = false;
var cityCode = '';
var levelCode = '';
var departmentCode = '';
var DealCode = '1';//默认待办
var flag = '';
var param = '';
var detailType = '';
var State = '';
var LevelData = [
    {
        "code": "1",
        "name": "部委"
    },
    {
        "code": "2",
        "name": "省(自治区、直辖市)"
    },
    {
        "code": "3",
        "name": "市(地、州、盟)"
    },
    {
        "code": "4",
        "name": "县(市、区)"
    }
];
var DealData = [
    {
        "code": "1",
        "name": "待办"
    },
    {
        "code": "2",
        "name": "已办"
    },
    {
        "code": "3",
        "name": "隔离"
    },
    {
        "code": "4",
        "name": "抄送"
    },
    {
        "code": "5",
        "name": "退回"
    },
    {
        "code": "6",
        "name": "申请办结修改"
    }
];
var statusData = [
    {
        "code": "10",
        "name": "转交内部司局"
    },
    {
        "code": "20",
        "name": "转交国务院部委"
    },
    {
        "code": "30",
        "name": "转交省、自治区、直辖市"
    },
    {
        "code": "40",
        "name": "转交省、自治区、直辖市政府司法厅(局)"
    },
    {
        "code": "97",
        "name": "撤回"
    },
    {
        "code": "98",
        "name": "退回"
    },
    {
        "code": "99",
        "name": "办结"
    }
];

var flagData = [
    {
        "code": "1",
        "name": "有效"
    },
    {
        "code": "0",
        "name": "无效"
    }
];

var publicData = [
    {
        "code": "1",
        "name": "已公示"
    },
    {
        "code": "0",
        "name": "未公示"
    }
];
// ============================================1.初始化状态========================================

$(function () {
    userInfo();
    //办理岗
    if(window.CURRENT_ACCOUNT.getUserRole() == '11'){
        DealData.splice(3,1);
    }else if(window.CURRENT_ACCOUNT.getUserRole() == '12'){
        DealData.splice(2,1);
        DealData.splice(3,1);
        $('#three').hide();
        $('#four').hide();
        $('#seven').hide();
        $('#eight').hide();
    }
});

// ============================================2.事件集============================================
//查询
function search(){
    if(DealCode == '1'){//待办
        url_detail = APP_SERVER_URL + 'suggestion/getTransactionList';
        detailType = '1';
    }else if(DealCode == '2'){//已办
        url_detail = APP_SERVER_URL + 'suggestion/getHistory';
        flag = '1';
        detailType = '2';
    }else if(DealCode == '3'){//隔离
        url_detail = APP_SERVER_URL + 'suggestion/getHistory';
        flag = '0';//0无效 1有效
        detailType = '3';
    }else if(DealCode == '4'){//抄送
        url_detail = APP_SERVER_URL + 'suggestion/getCopyToList';
        flag = '1';//0无效 1有效
        detailType = '4';
    }else if(DealCode == '5'){//退回
        url_detail = APP_SERVER_URL + 'suggestion/getTransactionList';
        flag = '1';//0无效 1有效
        detailType = '5';
        State = 98;//退回
    }else if(DealCode == '6'){//申请办结修改
        url_detail = APP_SERVER_URL + 'suggestion/getApplyModifyList';
        flag = '1';//0无效 1有效
        detailType = '6';
    }else{
        dialog.toast('请先选择办理状态!', 'none', '1000');
        return false;
    }
    if(window.CURRENT_ACCOUNT.getUserRole() == '11' && detailType == '2'){
        param = {
            url: url_detail,
            complaint_area: cityCode,
            complaint_hierarchy : levelCode,
            complaint_department: departmentCode,
            begin_date: $sky.bindId('start_title').value,
            end_date : $sky.bindId('end_title').value,
            complaint_title :  $sky.bindId('keyword').value,
            detailType:detailType,
            pageNum: 1,
            pageSize: 10,
            State : State,
            state : $sky.bindId('ten_title2').value,
            flag : $sky.bindId('eleven_title2').value,
            public_flag : $sky.bindId('twelve_title2').value
        };
    }else{
        param = {
            url: url_detail,
            complaint_area: cityCode,
            complaint_hierarchy : levelCode,
            complaint_department: departmentCode,
            begin_date: $sky.bindId('start_title').value,
            end_date : $sky.bindId('end_title').value,
            complaint_title :  $sky.bindId('keyword').value,
            flag:flag,
            detailType:detailType,
            pageNum: 1,
            pageSize: 10,
            State : State
        };
    }

    window.parent.location.href = $sky.Util.urlTimestamp('../../business/criticism/list/control/search/list.html?param='+ JSON.stringify(param));

}

/**
 * 跳转详情
 */
function jump(pkid) {
    // window.parent.location.href = $sky.Util.urlTimestamp('../../business/consult/detail/consult_detail.html?pkid=' + pkid);
    window.parent.location.href = $sky.Util.urlTimestamp('../../business/exam/audit/exam_audit.html?pkid=' + pkid);
}

/**
 * 刷新
 */
function onRefresh() {
    loadList();
}

/**
 * 地区二级联动
 */
function provincePicker() {
    var nowValue = $sky.bindId('province');
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            console.log(data);
            provinceData = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": '',//默认值-多个以空格分开（可选）
                "type": 2,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "Code",
                    "value": "Name",
                    "childData": "level"
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    cityCode = code.split(",")[0];
                    nowValue.value = val.split(" ")[1];
                }
            });
        });
}

/**
 * 擅长类型 一级联动
 */
function LevelTypePicker() {
    var nowValue = $sky.bindId('department_level');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": LevelData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            levelCode = code.split(",")[0];
            nowValue.value = val;
            if(levelCode == '1'){
                $('#province_title').hide();
            }else{
                $('#province_title').show();
            }
        }
    });
}

function changeDepartment() {
    if(levelCode==''||levelCode==null){
        dialog.toast("请先选择部门层级！", 'none', 1000);
        return false;
    }
    $sky.Model.getAjax('get', url_department, {})
        .then(function (data) {
            var provinceData = data.data;
            console.log(provinceData[0]);
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择部门',//标题(可选)
                "defaultValue": '',//默认值-多个以空格分开（可选）
                "type": 1,//需要联动级数[1、2、3]（可选）
                "data": provinceData[levelCode-1].level,//数据(必传)
                "keys": {
                    "id": "code",
                    "value": "name"
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    departmentCode = code.split(",")[0];
                    $sky.bindId('department').value = val;
                }
            });
        }).catch(function (error) {
        console.error(error);
    });
}

function DealPicker() {
    new Picker({
        //"canHide": false,//隐藏取消按钮
        "title": '请选择部门',//标题(可选)
        "defaultValue": '',//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": DealData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            DealCode = code.split(",")[0];
            $sky.bindId('deal').value = val;
            if(DealCode == '6' && window.CURRENT_ACCOUNT.getUserRole() == '12'){
                $('#province_title').hide();
            }else if(window.CURRENT_ACCOUNT.getUserRole() == '12'){
                $('#province_title').show();
            }else if(window.CURRENT_ACCOUNT.getUserRole() == '11'&&DealCode == '1'){
                $('#three').show();
                $('#province_title').show();
                $('#four').show();
                $('#five').show();
                $('#six').show();
                $('#seven').show();
                $('#eight').show();
                $('#nine').hide();
                $('#ten').hide();
                $('#eleven').hide();
                $('#twelve').hide();
            }else if(window.CURRENT_ACCOUNT.getUserRole() == '11'&&DealCode == '2'){
                $('#three').show();
                $('#province_title').show();
                $('#four').show();
                $('#five').show();
                $('#six').show();
                $('#seven').show();
                $('#eight').show();
                $('#nine').show();
                $('#ten').show();
                $('#eleven').show();
                $('#twelve').show();
            }else if(window.CURRENT_ACCOUNT.getUserRole() == '11'&&DealCode == '3'){
                $('#three').show();
                $('#province_title').show();
                $('#four').show();
                $('#five').show();
                $('#six').show();
                $('#seven').hide();
                $('#eight').hide();
                $('#nine').hide();
                $('#ten').hide();
                $('#eleven').hide();
                $('#twelve').hide();
            }else if(window.CURRENT_ACCOUNT.getUserRole() == '11'&&DealCode == '5'){
                $('#three').show();
                $('#province_title').show();
                $('#four').show();
                $('#five').show();
                $('#six').show();
                $('#seven').show();
                $('#eight').show();
                $('#nine').show();
                $('#ten').hide();
                $('#eleven').hide();
                $('#twelve').hide();
            }else if(window.CURRENT_ACCOUNT.getUserRole() == '11'&&DealCode == '6'){
                $('#three').hide();
                $('#province_title').hide();
                $('#four').hide();
                $('#five').show();
                $('#six').show();
                $('#seven').hide();
                $('#eight').hide();
                $('#nine').hide();
                $('#ten').hide();
                $('#eleven').hide();
                $('#twelve').hide();
            }
        }
    });
}


//第一级
function changeOne() {
    var param = {
        fid : 0
    };
    $sky.Model.getAjax('get', url_sxfl, param).then(function (res) {
        if (res.success) {
            console.log(res);
            if(res.list.length > 0){
                new Picker({
                    //"canHide": false,//隐藏取消按钮
                    "title": '请选择一级分类',//标题(可选)
                    "defaultValue": '',//默认值-多个以空格分开（可选）
                    "type": 1,//需要联动级数[1、2、3]（可选）
                    "data": res.list,//数据(必传)
                    "keys": {
                        "id": "pkid",
                        "value": "type_name"
                    },//数组内的键名称(必传，id、text、data)
                    "callBack": function (val, code) {
                        //回调函数（val为选择的值）
                        $sky.bindId('seven_title').value = val;
                        $sky.bindId('seven_title2').value = code.split(",")[0];
                        $sky.bindId('eight_title').value = '';
                        $sky.bindId('nine_title').value = '';
                        $sky.bindId('eight_title2').value = '';
                        $sky.bindId('nine_title2').value = '';
                        $('#nine').hide();
                    }
                });
            }
        } else {
            dialog.toast(res.errorMsg, 'none', 1000);
        }
    });
}


//第二级
function changeTwo() {
    var param = {
        fid : $sky.bindId('seven_title2').value
    };
    $sky.Model.getAjax('get', url_sxfl, param).then(function (res) {
        if (res.success) {
            console.log(res);
            if(res.list.length > 0){
                new Picker({
                    //"canHide": false,//隐藏取消按钮
                    "title": '请选择二级分类',//标题(可选)
                    "defaultValue": '',//默认值-多个以空格分开（可选）
                    "type": 1,//需要联动级数[1、2、3]（可选）
                    "data": res.list,//数据(必传)
                    "keys": {
                        "id": "pkid",
                        "value": "type_name"
                    },//数组内的键名称(必传，id、text、data)
                    "callBack": function (val, code) {
                        //回调函数（val为选择的值）
                        $sky.bindId('eight_title').value = val;
                        $sky.bindId('eight_title2').value = code.split(",")[0];
                        $sky.bindId('nine_title').value = '';
                        $sky.bindId('nine_title2').value = '';
                        $sky.Model.getAjax('get', url_sxfl, {fid : $sky.bindId('eight_title2').value}).then(function (res) {
                            if (res.success) {
                                if(res.list.length > 0){
                                    $('#nine').show();
                                    $('#eight').css("border-bottom","0px solid #ddd");
                                    $('#eight_title').css("border-bottom","1px solid #ddd");
                                }else{
                                    $('#nine').hide();
                                    $('#eight').css("border-bottom","1px solid #ddd");
                                    $('#eight_title').css("border-bottom","0px solid #ddd");
                                }
                            } else {
                                dialog.toast(res.errorMsg, 'none', 1000);
                            }
                        });
                    }
                });
            }
        } else {
            dialog.toast(res.errorMsg, 'none', 1000);
        }
    });
}


//第三级
function changeThree() {
    var param = {
        fid : $sky.bindId('eight_title2').value
    };
    $sky.Model.getAjax('get', url_sxfl, param).then(function (res) {
        if (res.success) {
            console.log(res);
            if(res.list.length > 0){
                new Picker({
                    //"canHide": false,//隐藏取消按钮
                    "title": '请选择三级分类',//标题(可选)
                    "defaultValue": '',//默认值-多个以空格分开（可选）
                    "type": 1,//需要联动级数[1、2、3]（可选）
                    "data": res.list,//数据(必传)
                    "keys": {
                        "id": "pkid",
                        "value": "type_name"
                    },//数组内的键名称(必传，id、text、data)
                    "callBack": function (val, code) {
                        //回调函数（val为选择的值）
                        $sky.bindId('nine_title').value = val;
                        $sky.bindId('nine_title2').value = code.split(",")[0];
                    }
                });
            }
        } else {
            dialog.toast(res.errorMsg, 'none', 1000);
        }
    });
}

//办理状态
function statusPicker() {
    new Picker({
        //"canHide": false,//隐藏取消按钮
        "title": '请选择办理状态',//标题(可选)
        "defaultValue": '',//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": statusData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            $sky.bindId('ten_title').value = val;
            $sky.bindId('ten_title2').value = code.split(",")[0];
        }
    });
}

//是否有效
function flagPicker() {
    new Picker({
        //"canHide": false,//隐藏取消按钮
        "title": '请选择是否有效',//标题(可选)
        "defaultValue": '',//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": flagData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            $sky.bindId('eleven_title').value = val;
            $sky.bindId('eleven_title2').value = code.split(",")[0];
        }
    });
}

//是否公示
function publicPicker() {
    new Picker({
        //"canHide": false,//隐藏取消按钮
        "title": '请选择是否公示',//标题(可选)
        "defaultValue": '',//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": publicData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            $sky.bindId('twelve_title').value = val;
            $sky.bindId('twelve_title2').value = code.split(",")[0];
        }
    });
}

/**
 * 根据关键字搜索
 */
function searchKeyWord() {
    keywords = $sky.bindId("institutionName").value;
    loadList();
}

// ============================================3.函数集============================================
/**
 * 设置用户信息
 */
function userInfo() {
    $sky.bindId('name').innerHTML = CURRENT_ACCOUNT.getUserName();
    $sky.bindId('number').innerHTML = CURRENT_ACCOUNT.getUserCode();
}

/**
 * 显示更多事件
 * @param obj
 */
function showDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "none";
    $sky.bindId('middle_content_down' + index).style.display = "block";
    event.stopPropagation();
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "block";
    $sky.bindId('middle_content_down' + index).style.display = "none";
    event.stopPropagation();
}

