// ============================================全局数据============================================
var url_province = '../../../global/resource/province.json';
var url_third_url = APP_SERVER_URL + '3party/3party.json?timep=' + (new Date()).valueOf();
var url_user_todos = APP_SERVER_URL + 'user/todos';
var thirdUrl;
var url_consults_list = APP_SERVER_URL + 'consult/anonymous/consults'; //咨询列表//
var url_ConsultNumber = APP_SERVER_URL + 'consult/anonymous/consultNumber';//咨询数量
var dialog = window.SKYUI.dialog;
// ============================================1.初始化状态========================================

$(function () {
    window.localStorage.removeItem("dataList");
    document.addEventListener("deviceready", onDeviceReady, false);
    if (CURRENT_ACCOUNT.getUserRole() == 0) {
        $sky.bindId('lyzx').style.display = "block";
        showUserTodos();
    } else {
        $sky.bindId('lyzx').style.display = "none";
        $sky.bindId('fkzx').style.display = "none";
        $sky.bindId('criticism').style.display = "none";
        //$sky.bindId('exam_edit').style.display = "none";
    }
    getThirdUrl();
    loadList();
    loadNumber();
    // var defaultCity = $sky.Model.getDefaultCityName();
    // if (defaultCity) {
    //     $sky.bindId("city").innerText = defaultCity;
    // } else {
    //     changeCity();
    // }
    //swiperPic();
});

!function () {
    // 显示第一个
    // $(".tabA").hide();
    // $(".tabA").eq(0).show();

    // 点击切换监听事件
    $('.tabRow ul li').click(function () {//后代选择器
        var index = $(this).index();//获取点击的那个
        console.log("--->" + index);
        $(this).addClass("active").siblings().removeClass("active");
        // $(".tabA").hide();//隐藏
        // $(".tabA").eq(index).show();//显示

        console.log("----scroll----->" +  $('.scroll').css('padding-top'));
        console.log("----tabList----->" +  $('.tabList').css('top'));
    });

}();

// ============================================2.事件集===========================================
// swiper
function swiperPic() {
    var mySwiper = new Swiper ('.swiper-container', {
        autoplay : 3000,
        loop: true,
        // 如果需要分页器
        pagination: '.swiper-pagination'
    });
}

function jump(pkid, type) {
    if (type.indexOf("法律职业资格考试咨询") > -1) {//考试类咨询
        window.parent.location.href = $sky.Util.urlTimestamp("../../business/exam/public/exam_public.html?pkid=" + pkid);
    } else { //普通类咨询
        window.parent.location.href = $sky.Util.urlTimestamp("../../business/consult/detail/new/consult_detail.html?pkid=" + pkid);
    }
}

/**
 *留言咨询
 */
function onLyzx() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../../setting/account/auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../business/consult/mine/consult_mine.html');
    }
}

/**
 * 法考咨询
 */
function onFkzx() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../../setting/account/auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../business/consult/exam-edit/consult_exam_edit.html');
    }
}

/**
 *智能法律咨询
 */
function onLawConsult() {
    if (typeof thirdUrl != "undefined" && typeof (thirdUrl.intelligentLaw) != "undefined") {
            window.parent.open($sky.Util.urlTimestamp(thirdUrl.intelligentLaw), '_blank', 'location=no');
    } else {
        window.parent.open($sky.Util.urlTimestamp('http://ai.12348.gov.cn'), '_blank', 'location=no');
    }
}

/**
 * 机器人咨询
 */
function onRobotConsult() {
    if (typeof thirdUrl != "undefined" && typeof (thirdUrl.robotConsultation) != "undefined") {
        window.parent.open($sky.Util.urlTimestamp(thirdUrl.robotConsultation), '_blank', 'location=no');
    } else {
        window.parent.open($sky.Util.urlTimestamp('https://ask.12348.gov.cn'), '_blank', 'location=no');
    }
}

/**
 * 法律法规库
 */
function onFlfg() {
    window.parent.open($sky.Util.urlTimestamp('https://flk.npc.gov.cn/'), '_blank', 'location=no');
}

/**
 * 案例库
 */
function onPuttedForward() {
    window.parent.open($sky.Util.urlTimestamp('http://alk.12348.gov.cn/mobile'), '_blank', 'location=no');
}

/**
 * 知识库
 */
function onknowledgeBase() {
    window.parent.open($sky.Util.urlTimestamp('https://zhsk.12348.gov.cn/wap/'), '_blank', 'location=no');
}


/**
 * 法治宣传
 */
function onFzxc() {
    window.parent.open($sky.Util.urlTimestamp('http://legalinfo.moj.gov.cn/pub/sfbzhfx/index.html'), '_blank', 'location=no');

}


/**
 * 法律援助工作网络问卷调研
 */
function onWjdcForward() {
    window.parent.open($sky.Util.urlTimestamp('https://www.wjx.cn/jq/84485185.aspx'), '_blank', 'location=no');
}

/**
 * 国务院互联网督查
 */
function onhlwdcForward() {
    window.parent.open($sky.Util.urlTimestamp('http://www.gov.cn/hudong/ducha/2021-01/26/content_5582430.htm'), '_blank', 'location=no');
}

function changeCity() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            var provinceData = data.data;
            new Picker({
                "canHide": false,
                "title": '请选择城市',//标题(可选)
                "defaultValue": $sky.Model.getDefaultCityFullName(),//默认值-多个以空格分开（可选）
                "type": 2,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "Code",
                    "value": "Name",
                    "childData": "level"//最多3级联动
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    var codes = code.split(",")
                    var cityCode = "" == codes[1] ? codes[0] : codes[1];
                    if (val.substring(val.length - 2, val.length) == "所有") {
                        cityName = val.substring(0, val.length - 3);
                    } else {
                        cityName = val.split(" ")[1];
                    }
                    $sky.Model.setDefaultCityCode(cityCode);
                    $sky.Model.setDefaultCityName(cityName);
                    $sky.Model.setDefaultCityFullName(val);
                    $sky.bindId('city').innerText = cityName;
                }
            });
        })
        .catch(function (error) {
            console.error(error);
        });
}

function onExamEdit() {
    if (CURRENT_ACCOUNT.getUserRole() === 0) {
        window.parent.location.href = $sky.Util.urlTimestamp('../../business/consult/exam-edit/consult_exam_edit.html')
    } else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../setting/account/auth/login/auth_login.html');
    }

}


// ============================================3.函数集============================================
/**
 * 获取第三方链接地址
 */
function getThirdUrl() {
    $sky.Model.getAjax('get', url_third_url, {})
        .then(function (data) {
            thirdUrl = data.data;
        });
}

/**
 * 获取未读消息
 */
function showUserTodos() {
    var params = {
        usertype: "1",
        businesstype: "1",
        scenetype: "1001,1002,1003,1004,1005",
        timestamp: Date.parse(new Date())
    };
    $sky.Model.getAjax('get', url_user_todos, params)
        .then(function (data) {
            if (data) {
                var todoNum = 0;
                for (var i = 1001; i <= 1005; i++) {
                    todoNum += data["" + i];
                }
                $sky.bindId('unread').style.display = todoNum > 0 ? "inherit" : "none";
            }
        });
}



/**
 * 获取热门咨询列表
 */
function loadList() {
    tag1 = true;
    tag2 = false;
    $(".list").empty();
    $(".dropload-down").hide();
    var page = 1;// 页数
    var size = 5;// 每页展示20个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            // 拼接HTML
            var result = '';
            var param = {
                keyword: '',
                type: '',
                startTime: '',
                endTime: '',
                pageNum: page,
                pageSize: size,
                timestamp: new Date().getTime()
            };
            $sky.Model.getAjax('get', url_consults_list, param)
                .then(function (data) {
                    console.log(data);
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                    } else {
                        if (page == 1) {
                            me.lock();
                            me.noData();
                            if (!hasData) {
                                $(".dropload-down").hide();
                                result = template('empty', {});
                            }
                        }
                    }
                    setTimeout(function () {
                        $(".list").empty();
                        $('.list').append(result);
                    }, 1);
                    $(".dropload-down").hide();
                })
                .catch(function (error) {
                    console.log('error' + error);
                    if (errorTimes < 1) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}

/**
 * 获取咨询总数量
 */

function loadNumber() {
    $sky.Model.getAjax('get', url_ConsultNumber, {})
        .then(function (data) {
            console.log(data);
            var result = template('question', data);
            $('.list2').append(result);
        })
        .catch(function (error) {
            console.log('error' + error);
        });
}

