// ============================================全局数据============================================
var url_lawyer_list = APP_SERVER_URL + 'people/lawyers?';

var typeData = [
    {
        "code": "400_1",
        "name": "婚姻关系"
    },
    {
        "code": "400_2",
        "name": "财产继承"
    },
    {
        "code": "400_3",
        "name": "土地流转"
    },
    {
        "code": "400_4",
        "name": "宅基地"
    },
    {
        "code": "400_5",
        "name": "房产交易"
    },
    {
        "code": "400_6",
        "name": "劳动合同"
    },
    {
        "code": "400_7",
        "name": "电子商务"
    },
    {
        "code": "400_8",
        "name": "价格争议"
    },
    {
        "code": "400_9",
        "name": "医疗卫生"
    },
    {
        "code": "400_10",
        "name": "生产经营"
    },
    {
        "code": "400_11",
        "name": "子女抚养"
    },
    {
        "code": "400_12",
        "name": "邻里关系"
    },
    {
        "code": "400_13",
        "name": "土地确权"
    },
    {
        "code": "400_14",
        "name": "征地拆迁"
    },
    {
        "code": "400_15",
        "name": "拆违拆临"
    },
    {
        "code": "400_16",
        "name": "工伤事故"
    },
    {
        "code": "400_17",
        "name": "旅游出行"
    },
    {
        "code": "400_18",
        "name": "民间借贷"
    },
    {
        "code": "400_19",
        "name": "交通事故"
    },
    {
        "code": "400_20",
        "name": "建筑工程"
    },
    {
        "code": "400_21",
        "name": "老人赡养"
    },
    {
        "code": "400_22",
        "name": "山林纠纷"
    },
    {
        "code": "400_23",
        "name": "物业管理"
    },
    {
        "code": "400_24",
        "name": "拖欠农民工工资"
    },
    {
        "code": "400_25",
        "name": "金融债券"
    },
    {
        "code": "400_26",
        "name": "环境损害"
    },
    {
        "code": "400_27",
        "name": "权利侵害"
    },
    {
        "code": "400_28",
        "name": "其他"
    }
];//表单数据保存

// ============================================1.初始化状态============================================
$(function () {
    loadList('#box1');
    tabChange();
});

// ============================================2.事件集============================================
/**
 * 列表item 点击事件
 * @param lawyerid
 */
function onItemClick(lawyerid) {
    window.location.href = $sky.Util.urlTimestamp('../../worker/detail/lawyer_worker_detail.html?lawyerid=' + lawyerid);
}

// ============================================3.函数集============================================
/*获取律师列表*/
function loadList(name) {
    var pageNum = 0;// 页数
    var pageSize = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.container').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            pageNum++;
            // 拼接HTML
            var result = '';
            var params = {};
            $sky.Model.getAjax('get', url_lawyer_list + 'pageNum=' + pageNum + '&pageSize=' + pageSize, {})
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $(name).append(result);
                        }
                    }
                    setTimeout(function () {
                        $(name).append(result);
                        // me.resetload();
                    }, 1);

                })
                .catch(function () {
                    console.log('Ajax error!');
                    errorTimes++;
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        me.resetload();
                    }
                });
        }
    });
}

/*tab切换操作*/
function tabChange() {
    $(function () {
        var f = 0;
        var cq = 0;
        $('.m-nav_tab li').tap(function (callback) {
            var t = $(this).index();
            f = -25 * t + "%";
            cq = 100 * t + "%";
            $(this).parents('.m-tab_slider').find('.m-nav_content').css({
                '-webkit-transform': 'translate(' + f + ')',
                '-webkit-transition': '200ms linear'
            });
            $(this).parents('.m-tab_slider').find('.m-tab_line').css({
                '-webkit-transform': 'translate(' + cq + ')',
                '-webkit-transition': '200ms linear'
            });
            $(this).siblings().removeClass('m-tab_on');
            $(this).addClass('m-tab_on');

            switch (t) {
                case 0:
                    loadList('#box1');
                    break;

                case 1:
                    loadList('#box2');
                    break;

                case 2:
                    loadList('#box3');
                    break;

                case 3:
                    loadList('#box4');
                    break;
            }
        })

    })
}