// ============================================全局数据============================================
var url_lawyer = APP_SERVER_URL + 'inhouse/staff?pkid=';
var url_lawyerConsults = APP_SERVER_URL + 'consult/lawyerConsults';

var lawyerId = $sky.Model.getUrlParam('lawyerid');
// ============================================1.初始化状态============================================
$(function () {
    loadInfo();
    loadList();
});

/**
 * 获取律师详情
 */
function loadInfo() {
    $sky.Model.getAjax('get', url_lawyer + lawyerId, {})
        .then(function (data) {
            template.defaults.imports.phone_filter = function (phone) {
                if(typeof (phone) == "undefined"){2
                    return "暂无电话";
                }else {
                    if(!isNaN(phone.replace(/\-/g,""))){
                        return phone;
                    }else {
                        return "暂无电话";
                    }
                }
            };
            $('.info').append(template('header', data.data));
        });

}

/**
 * 获取律师参与的咨询列表
 */
function loadList() {
    // 页数
    var pageNum = 0;
    // 每页展示10个
    var pageSize = 5;
    var errorTimes = 0;

    var hasData = false;
    $('.content').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            pageNum++;
            // 拼接HTML
            var result = '';
            $sky.Model.getAjax('get', url_lawyerConsults + '?lawyerid=' + lawyerId + '&pageNum=' + pageNum + '&pageSize=' + pageSize, {})
                .then(function (data) {
                    var dd = {};
                    dd.list = data.list;
                    var arrLen = dd.list.length;
                    console.log(dd.list);
                    console.log("==========")
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('loadmore', dd);

                        // 如果没有数据
                    } else {
                        // 锁定
                        me.lock();
                        // 无数据
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    // 为了测试，延迟1秒加载
                    setTimeout(function () {
                        // 插入数据到页面，放到最后面
                        $('.list').append(result);
                        // 每次数据插入，必须重置
                        me.resetload();
                    }, 1);

                })
                .catch(function () {
                    console.log('Ajax error!');
                    // 即使加载出错，也得重置,最多重置5次
                    errorTimes++;
                    if (errorTimes < 5) {
                        // me.resetload();
                    }
                });
        }
    });
}

// ============================================2.事件集============================================
/**
 * 详情
 * @param pkid
 */
function detailClick(pkid) {
    window.location.href = $sky.Util.urlTimestamp('../../../../business/consult/detail/consult_detail.html?pkid=' + pkid);
}

/**
 * 留言咨询
 */
function consult() {
    window.location.href = $sky.Util.urlTimestamp("../../../../business/consult/edit/consult_edit.html");
}

/**
 *我要委托
 */
function consign() {
    window.location.href = $sky.Util.urlTimestamp("../../../../business/entrust/edit/entrust_edit.html?lawyerId="+ lawyerId);
}

// ============================================3.函数集============================================
