// ============================================全局数据============================================
var url_formSubmit = window.APP_SERVER_URL + "account/user/modifyPassword";
var dialog = window.SKYUI.dialog;
var keys =
    'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCDnW10C2kIRNeI8t7YIDPWjPzO+Hv0AjzvyT2fZP1I0fUbvCd6rLDZKe+1g+4xV0yzf1w3GEU5xdQcEbXEc42Q/6WpztnBN2XF0lvD8nBirAe0kxEgpcGejj9uWKvA/4FqCU2GJWVSOb+onvg+Sh3/eaNyh/iSWJ7o1pi4JWjXfwIDAQAB';
// ============================================1.初始化状态============================================
(function () {
    loadDetail();
    bottomShow(2);
})();

// ============================================1.页面状态集============================================
function loadDetail() {
    var data = {};
    createTemplate(data);
}

// ============================================2.事件集============================================

/**
 * 提交
 */
function submit() {
    var isPass = verification();
    if (isPass) {
        var encrypt = new JSEncrypt();
        encrypt.setPublicKey(keys);
        var oldPwd = encrypt.encrypt(encodeURIComponent($sky.bindId('oldNumber').value));
        var NewPwd = encrypt.encrypt(encodeURIComponent($sky.bindId('newNumber').value));
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open();
            var param = {
                oldPassword: oldPwd,
                newPassword: NewPwd
            };
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}

/**
 * 失焦：检查是否和旧密码一致
 */
function checkOldNumber() {
    var oldNumber = $sky.bindId('oldNumber').value;
    var newNumber = $sky.bindId('newNumber').value;
    if (oldNumber === newNumber) {
        dialog.toast('您的旧密码不能与新密码相同！', 'none', 1500);
    }
}

/**
 * 失焦：检查两次输入是否一致
 */
function checkNewNumber() {
    var confirmNewNumber = $sky.bindId('confirmNewNumber').value;
    var newNumber = $sky.bindId('newNumber').value;
    if (newNumber != confirmNewNumber) {
        dialog.toast('您的新密码两次输入不一致！', 'none', 1500);
        flagTwo = false;
    }

}

// ============================================3.函数集============================================

/**
 * 表单：验证
 * @param isRead
 */
function verification() {//表单验证
    var oldNumber = $sky.bindId('oldNumber').value;
    var newNumber = $sky.bindId('newNumber').value;
    var confirmNewNumber = $sky.bindId('confirmNewNumber').value;
    var eleIds = ["oldNumber", "newNumber", "confirmNewNumber"];
    var eleValues = ["旧密码", '新密码', '确认新密码'];
    if (!$sky.Util.validateForm(eleIds, eleValues)) {
        return false;
    }
    if (oldNumber === newNumber) {
        dialog.toast('您的旧密码不能与新密码相同！', 'none', 1500);
        return false;
    }
    if (newNumber != confirmNewNumber) {
        dialog.toast('您的新密码两次输入不一致！', 'none', 1500);
        return false;
    }
    return true;
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}

/**
 * 底部按钮组显示与影藏
 * @param flag
 */
function bottomShow(flag) {
    if (flag === 1) {
        $sky.bindId('send_group').style.display = "none";
    } else {
        $sky.bindId('send_group').style.display = "block";
    }

}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        if (data.success + '' === 'true') {
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close();
                $sky.Model.handLocalStorage.remove("last_login_time");
                $sky.Model.handSessionStorage.clear();
                window.parent.location.replace($sky.Util.urlTimestamp('../login/auth_login.html'));
            }, 400);
        } else {
            if(data.errorCode === 12){
                dialog.toast('旧密码输入错误', 'none', 1000);
            }else {
                dialog.toast(msg + '失败', 'none', 1000);
            }
        }
    }, function () {
        dialog.toast(msg + '失败', 'none', 1000);
    })
        .then(function () {
            SKYUI.dialog.loading.close();
        });
}


