// ============================================全局数据============================================
var url_valicode = APP_SERVER_URL + '/SMS/sendSecurityCode';//获取验证码
var url_isRegister = APP_SERVER_URL + '/SMS/checkPhoneIsRegist';//是否注册接口
var url_check = APP_SERVER_URL + '/SMS/checkSecurityCode';//验证码校验是否正确
var url_changePsd = APP_SERVER_URL + '/SMS/retrievePsw';//重置密码
var dialog = window.SKYUI.dialog;
var countdown=60;//倒计时60s
var code = '';//验证码
var phone_reg = /^1(3|4|5|7|8)\d{9}$/;
var telephone = '';
// ============================================1.初始化状态============================================

// ============================================2.事件集============================================
/*
 获取验证码
 * */
function getCode(){
    telephone = $sky.bindId('phone').value;
    var param={
        telephone: telephone
    };
    if(telephone == ''){
        dialog.toast("请填写手机号码!", 'none', 1000);
        return '';
    }
    if(!phone_reg.test(telephone)){
        dialog.toast("手机号格式有误!", 'none', 1000);
        return '';
    }
    //防止多次点击
    $sky.bindId("code_title").disabled = true;

    //检验手机号是否已注册!
    $sky.Model.getAjax('post', url_isRegister, param)
        .then(function (data) {
            console.log(data);
            if(data.success){
                console.log("手机号已注册");
                var param2 ={
                    telephone:telephone,
                    businessType:'3'
                };
                $sky.Model.getAjax('post', url_valicode, param2)
                    .then(function (data) {
                        console.log(data);
                        if(data.success){
                            settime();
                        }else{
                            dialog.toast(data.errorMsg, 'none', 1000);
                            return '';
                        }
                    }).catch(function (error) {
                    $sky.bindId("code_title").disabled = false;
                    dialog.toast(error, 'none', 1000);
                    console.error(error);
                });
            }else{
                dialog.toast(data.errorMsg, 'none', 1000);
                return '';
            }
        }).catch(function (error) {
        $sky.bindId("code_title").disabled = false;
        dialog.toast(error, 'none', 1000);
        console.error(error);
    });
}
/*提交
 * */
function submit() {
    var param = {
        telephone:telephone,
        securityCode:$sky.bindId('code').value,
        password:$sky.bindId('newPwd').value
    };
    if(param.telephone == ''){
        dialog.toast("请发送验证码!", 'none', 1000);
        return '';
    }

    if(param.securityCode == ''){
        dialog.toast("请填写验证码!", 'none', 1000);
        return '';
    }

    //验证短信验证码是否正确
    $sky.Model.getAjax('post', url_check, param)
        .then(function (data) {
            console.log(data);
            if(data.success){
                console.log('验证码正确');
                if($sky.bindId('newPwd').value == ''){
                    dialog.toast("请填写新密码!", 'none', 1000);
                    return '';
                }
                if ($sky.bindId('newPwd').value < 6) {
                    dialog.toast("请输入6-13位数新密码!", 'none', 1000);
                    return false;
                }

                if ($sky.bindId('newPwd').value !== $sky.bindId('comPwd').value) {
                    dialog.toast("两次密码输入不一致!", 'none', 1000);
                    return false;
                }

                dialog.confirm("确定重置密码？", function () {
                    dialog.loading.open("重置中...");
                    $sky.Model.getAjax('post', url_changePsd, param)
                        .then(function (data) {
                            console.log(data);
                            dialog.loading.close();
                            if(data.success){
                                dialog.toast("密码重置成功,请使用新密码进行登录!", 'none', 1000);
                                setTimeout(function () {
                                    window.location.href = $sky.Util.urlTimestamp("../login/auth_login.html");
                                },1000);
                            }else{
                                dialog.toast(data.errorMsg, 'none', 1000);
                                return '';
                            }
                        });
                });
            }else{
                dialog.toast(data.errorMsg, 'none', 1000);
                return '';
            }
        });
}


function settime() {
    if (countdown == 0) {
        $sky.bindId("code_title").disabled = false;
        $('#code_title').val("获取验证码");
        countdown = 60;
        return '';
    } else {
        $sky.bindId("code_title").disabled = true;
        $('#code_title').val("重新发送" + countdown + "s");
        countdown--;
    }
    setTimeout(function() {
        settime();
    },1000);
}