// ============================================全局数据============================================
var url_account_detail = APP_SERVER_URL + 'account/user/detail';
var url_inhouse_detail = APP_SERVER_URL + 'inhouse/staff';
var url_login_out = APP_SERVER_URL + 'logout';
var url_version = APP_SERVER_URL + "android/phone/latestVersion.json";
var url_user_todos = APP_SERVER_URL + 'user/todos';
var showHeader = $sky.Model.getUrlParam("showHeader");
var isShowMessage = $sky.Model.getUrlParam("isShowMessage");
var dialog = window.SKYUI.dialog;
var count = 0, timer, countNum = 7;//实际应点击countNum+1次

// ============================================1.初始化状态============================================
window.onload = function () {
    controllerLog()
};

$(function () {
    hideHeader();
    showUpdateLint();

    if (CURRENT_ACCOUNT.getUserRole() === "") {
        if ($sky.bindId("name") != null) {
            $sky.bindId("name").innerHTML = "您好";
        }
        $sky.bindId("btn_login").innerHTML = "登录";
    } else if (CURRENT_ACCOUNT.getUserRole() === 0) {
        loadInfo(url_account_detail, {pkid: ""});
        showUserTodo({
            timestamp: Date.parse(new Date()),
            usertype: "1",
            businesstype: "1",
            scenetype: "1001,1002,1003,1004,1005"
        }).then(function (data) {
            var todoNum = 0;
            for (var i = 1001; i <= 1005; i++) {
                todoNum += data["" + i];
            }
            $sky.bindId('p_read').style.display = todoNum > 0 ? "block" : "none";
        });
    } else if (CURRENT_ACCOUNT.getUserRole() === 1) {
        loadInfo(url_inhouse_detail, {});
        showUserTodo({
            timestamp: Date.parse(new Date()),
            usertype: "2",
            businesstype: "1",
            scenetype: "2003,2004"
        }).then(function (data) {
            $sky.bindId('zg_read').style.display = data["2003"] > 0 ? "block" : "none";
            $sky.bindId('zj_read').style.display = data["2004"] > 0 ? "block" : "none";
        });
    } else if (CURRENT_ACCOUNT.getUserRole() === 2) {
        loadInfo(url_inhouse_detail, {});
        showUserTodo({
            timestamp: Date.parse(new Date()),
            usertype: "3",
            businesstype: "1",
            scenetype: "3001,3002,3003"
        }).then(function (data) {
            var todoNum = 0;
            for (var i = 3001; i <= 3003; i++) {
                todoNum += data["" + i];
            }
            $sky.bindId('jy_read').style.display = todoNum > 0 ? "block" : "none";
        });
    }
});

// ============================================2.事件集============================================
/*我的咨询*/
function onMyConsult() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../../business/consult/mine/consult_mine.html');
    }
}

/*我的批评*/
function onMyCriticism() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../../business/criticism/list/list.html');
    }
}

/*我的建议*/
function onMySuggestion() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../../business/suggestion/suggestionList.html');
    }
}


/*我的诉求*/
function onMyAppeal() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../../farmworker/appeal/appeal.html');
    }
}


/*我的委托*/
function onMyEntrust() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../../business/entrust/list/entrust_list.html');
    }
}


/*基本信息*/
function editInfo() {
    window.parent.location.href = $sky.Util.urlTimestamp('../profile/edit/profile_edit.html')
}

/*电子证照
* http://txzf.skynj.com/sfjdCertApp/app_cert/index.html?fromHome=2#/w_certHome/5/'用户id'/
* */
function eCard() {
    //判断姓名，手机号，身份证号是否齐全
    if(!CURRENT_ACCOUNT.getUserName()){
        dialog.toast('请补齐姓名', 'none', 1000);
        return;
    }
    if(!CURRENT_ACCOUNT.getUserPhone()){
        dialog.toast('请补齐手机号', 'none', 1000);
        return;
    }
    if(!CURRENT_ACCOUNT.getUserCode()){
        dialog.toast('请补齐身份证号', 'none', 1000);
        return;
    }
    window.parent.open($sky.Util.urlTimestamp('http://txzf.skynj.com/sfjdCertApp/app_cert/index.html?fromHome=2#/w_certHome/5/'+CURRENT_ACCOUNT.getId()+'/'), '_blank', 'location=no');
}

/*我的投诉*/
function myComplain() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../../business/complaint/list/complaint_list.html')
    }
}

/*我的信访*/
function myVisit() {
    if(window.CURRENT_ACCOUNT.getUserRole() === ''){
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    }else {
        window.parent.location.href = $sky.Util.urlTimestamp('../../../business/petition/list/petition_list.html')
    }
}

/*消息中心*/
function myMessage() {
    window.parent.location.href = $sky.Util.urlTimestamp('../../message/list/message_list.html');
}

/**
 * 分享
 */
function onShare() {
    window.parent.location.href = $sky.Util.urlTimestamp('../share/share.html');
}

//驻唱人员列表
/**
 * 整改意见
 */
function onRectificationOpinions() {
    window.parent.location.href = $sky.Util.urlTimestamp('../../../business/consult/lawyer/modification/lawyer_modification.html?experthandletype=2&title=整改意见')
}

/**
 * 专家解答
 */
function onExpertAnswer() {
    window.parent.location.href = $sky.Util.urlTimestamp('../../../business/consult/lawyer/modification/lawyer_modification.html?experthandletype=3&title=专家解答')
}


//专家组
/**
 * 我的建议
 */
function onMySuggest() {
    window.parent.location.href = $sky.Util.urlTimestamp('../../../business/consult/expert/modification/expert_modification.html?handletype=2&title=我的建议')
}

/**
 * 我的解答
 */
function onAnswer() {
    window.parent.location.href = $sky.Util.urlTimestamp('../../../business/consult/expert/modification/expert_modification.html?handletype=3&title=我的解答')
}

/**
 * 退出
 */
function onExit() {
    if (CURRENT_ACCOUNT.getUserRole() === "") {
        window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
    } else {
        dialog.confirm('确定要退出登录？', function () {
            SKYUI.dialog.loading.open();
            var rootPath = $sky.Model.handSessionStorage.get("ROOT_FILE_PATH");
            if(CURRENT_ACCOUNT.getUserRole() == '11' || CURRENT_ACCOUNT.getUserRole() == '12'){
                SKYUI.dialog.loading.close();
                $sky.Model.handLocalStorage.clear();
                $sky.Model.handSessionStorage.clear();
                window.parent.location.href = $sky.Util.urlTimestamp('../auth/login/auth_login.html');
            }else{
                $sky.Model.getAjax('post', url_login_out, {})
                    .then(function () {
                        SKYUI.dialog.loading.close();
                        $sky.Model.handLocalStorage.clear();
                        $sky.Model.handSessionStorage.clear();
                        $sky.bindId("btn_login").innerHTML = "登录";
                        if ($sky.bindId("name") != null) {
                            $sky.bindId("name").innerHTML = "您好";
                        }


                        // $sky.Model.handLocalStorage.remove("last_login_time");
                        // if (CLOUD) {
                        //     if (isIphone()) {
                        //         window.parent.open($sky.Util.urlTimestamp(rootPath + 'www/app/page/setting/account/auth/login/auth_login.html?logout=1'));
                        //     } else {
                        //         window.parent.open($sky.Util.urlTimestamp('file:///android_asset/www/app/page/setting/account/auth/login/auth_login.html?logout=1'));
                        //     }
                        // } else {
                        //     window.parent.location.replace($sky.Util.urlTimestamp('../auth/login/auth_login.html'))
                        // }
                    })
                    .catch(function (e) {
                        console.log(e);
                        SKYUI.dialog.loading.close();
                    });
            }
        });
    }
}

function showDebug() {
    if (count < countNum) {
        if (timer) {
            clearTimeout(timer);
        }
        count++;
        timer = setTimeout(function () {
            count = 0;
        }, 500);
    } else if (count === countNum) {
        count = 0;
        clearTimeout(timer);
        DEBUG = !DEBUG; //点一次取反一次
        //1添加cookie
        $sky.Model.handCookie.set('debug', DEBUG);
        // setCookie('debug', DEBUG, 'd30'); //为了方式刷新DEBUG丢值问题
        console.log("cookie添加成功，当前debug是：" + DEBUG);
        //2 隐藏vconsole
        controllerLog();
    }
}

/**
 * 检查版本
 */
function onSetting() {
    window.parent.location.href = $sky.Util.urlTimestamp('../about/account_about.html')
}

/**
 * 未回复追问列表
 */
function unAsk() {
    window.parent.location.href = $sky.Util.urlTimestamp('../../../business/consult/lawyer/asklist/lawyer_asklist.html')
}

// ============================================3.函数集============================================
/*获用户信息*/
function loadInfo(url, params) {
    if (CURRENT_ACCOUNT.getUserName()) {
        if ($sky.bindId('name') != null) {
            $sky.bindId('name').innerHTML = CURRENT_ACCOUNT.getUserName();
        }
    } else {
        $sky.Model.getAjax('get', url, params)
            .then(function (data) {
                console.log(data);
                if (data.errorCode != 2) {
                    CURRENT_ACCOUNT.setUserName(data.data.name);
                    $sky.bindId('name').innerHTML = data.data.name;
                } else {
                    console.log(data);
                    console.log(JSON.stringify(data));
                }
            })
            .catch(function (e) {
                console.log(e);
            });
    }
}


function controllerLog() {
    if (!DEBUG) {
        $('.vc-switch').each(function (index, elem) {
            elem.style.display = "none";
        });
    } else {
        if ($('.vc-switch').length === 0) {
            console.log('1');
            window.location.replace(window.location.href);
        }
        $('.vc-switch').each(function (index, elem) {
            elem.style.display = "inline";
        });
    }
}

/**
 * 获取服务器apk版本号
 */
function showUpdateLint() {
    $sky.Model.getAjax('get', url_version, {})
        .then(function (data) {
            if (data.version > APP_VERSION) {
                $sky.bindId("update").style.visibility = "visible";
            } else {
                $sky.bindId("update").style.visibility = "hidden";
            }
        }).catch(function (error) {
        console.log(error);
    });
}

/**
 * 隐藏头部标题
 */
function hideHeader() {
    if (showHeader == "true") {
        $sky.bindClass('n-header')[0].style.display = "none";
    } else if (showHeader == "") {
        $sky.bindId('left_button').style.display = "none";
    }
    if (isShowMessage == "false" && $sky.bindId('message') != null) {
        $sky.bindId('message').style.display = "none";
    }
}


/**
 * 获取未读消息
 */
function showUserTodo(params) {
    return new ES6Promise(function (resolve, reject) {
        $sky.Model.getAjax('get', url_user_todos, params)
            .then(function (data) {
                if (data.success) {
                    resolve(data);
                } else {
                    reject("无数据");
                }
            }).catch(function (error) {
            reject(error);
        });
    });
}

/**
 * 根据手机类型返回 android、ios
 * @returns
 */
function isIphone() {
    var iphone = navigator.userAgent.toLocaleLowerCase().match(/iPhone/i);
    if (iphone && iphone.length) {
        return true;
    } else {
        return false;
    }
}

