// ============================================全局数据============================================
var url_province = '../../../../global/resource/province_area.json';
var keys =
    'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCDnW10C2kIRNeI8t7YIDPWjPzO+Hv0AjzvyT2fZP1I0fUbvCd6rLDZKe+1g+4xV0yzf1w3GEU5xdQcEbXEc42Q/6WpztnBN2XF0lvD8nBirAe0kxEgpcGejj9uWKvA/4FqCU2GJWVSOb+onvg+Sh3/eaNyh/iSWJ7o1pi4JWjXfwIDAQAB';
var provinceData = [];
var consultTypeData = [];
var url_register = APP_SERVER_URL + 'userRegister';
var serviceTypeCode; //业务类型ID
var caseTypeCode; //案件类型对应ID
var dialog = window.SKYUI.dialog;
var isAgree = true; //是否同意协议
var prot = null;
var cityCode = '';
var sexCode = '';
var educationCode = '';
var industry = '';
var provinceCode = '';

var sexData = [{
    "code": "1",
    "name": "男"
}, {
    "code": "2",
    "name": "女"
}];


var identityData = [{
    "code": "1",
    "name": "农、林、牧、渔业"
}, {
    "code": "2",
    "name": "采矿业"
}, {
    "code": "3",
    "name": "制造业"
}, {
    "code": "4",
    "name": "电力、热力、燃气及水生产和供应业"
}, {
    "code": "5",
    "name": "建筑业"
}, {
    "code": "6",
    "name": "批发和零售业"
}, {
    "code": "7",
    "name": "交通运输、仓储和邮政业"
}, {
    "code": "8",
    "name": "住宿和餐饮业"
}, {
    "code": "9",
    "name": "信息传输、软件和信息技术服务业"
}, {
    "code": "10",
    "name": "金融业"
}, {
    "code": "11",
    "name": "房地产业"
}, {
    "code": "12",
    "name": "租赁和商务服务业"
}, {
    "code": "13",
    "name": "水利、环境和公共设施管理业"
}, {
    "code": "14",
    "name": "居民服务、修理和其他服务业"
}, {
    "code": "15",
    "name": "教育"
}, {
    "code": "16",
    "name": "卫生和社会工作"
}, {
    "code": "17",
    "name": "公共管理、社会保障和社会组织"
}, {
    "code": "18",
    "name": "国际组织"
},{
    "code": "19",
    "name": "科学研究和技术服务业"
},{
    "code": "20",
    "name": "文化、体育和娱乐业"
},{
    "code": "21",
    "name": "其他"
}

];

var professionData = [{
    "code": "1",
    "name": "企事业单位管理人员"
}, {
    "code": "2",
    "name": "科学研究人员"
}, {
    "code": "3",
    "name": "金融从业人员"
}, {
    "code": "4",
    "name": "法律从业人员"
}, {
    "code": "5",
    "name": "医疗卫生从业人员"
}, {
    "code": "6",
    "name": "教师"
}, {
    "code": "7",
    "name": "教授"
}, {
    "code": "8",
    "name": "文学艺术人员"
}, {
    "code": "9",
    "name": "体育工作人员"
}, {
    "code": "10",
    "name": "新闻出版、文化工作人员"
}, {
    "code": "11",
    "name": "宗教职业者"
}, {
    "code": "12",
    "name": "工人"
}, {
    "code": "13",
    "name": "农民"
}, {
    "code": "14",
    "name": "农民工"
}, {
    "code": "15",
    "name": "学生"
}, {
    "code": "16",
    "name": "商人"
}, {
    "code": "17",
    "name": "退休人员"
}, {
    "code": "18",
    "name": "无业人员"
}, {
    "code": "19",
    "name": "军人"
}, {
    "code": "20",
    "name": "警察"
}, {
    "code": "21",
    "name": "公务人员"
}, {
    "code": "22",
    "name": "公司职员"
}, {
    "code": "23",
    "name": "其他"
}];
var educationData = [{
    "code": "1",
    "name": "博士后"
}, {
    "code": "2",
    "name": "博士"
}, {
    "code": "3",
    "name": "研究生"
}, {
    "code": "4",
    "name": "大学"
}, {
    "code": "5",
    "name": "大专"
}, {
    "code": "6",
    "name": "高中"
}, {
    "code": "7",
    "name": "初中"
}, {
    "code": "8",
    "name": "中专"
}, {
    "code": "9",
    "name": "小学"
}, {
    "code": "10",
    "name": "其他"
}];

var nowYear;
var nowMonth;
var nowDate;
// ============================================1.初始化状态============================================
(function () {
    loadProvince();
    document.addEventListener("deviceready", onDeviceReady, false);
    loadDetail();
})();

// ============================================1.页面状态集============================================
function loadDetail() {
    var data = {};
    createTemplate(data);
    bottomShow(1);
}

// ============================================2.事件集============================================

/**
 * 提交
 */
function submit() {
    var isPass = verification();

    var encrypt = new JSEncrypt();
    encrypt.setPublicKey(keys);
    var password = $sky.bindId('passwordDefined').value;
    password = encrypt.encrypt(encodeURIComponent(password));

    if (isPass) {
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open("正在提交");
            var view = $($sky.bindId("age"));
            var birthday = view.attr('data-year') + "-" + view.attr('data-month');
            var param = {
                username: $sky.bindId('username').value,
                password: password,
                name: $sky.bindId('name').value || '',
                birthday: birthday || '',
                phone: $sky.bindId('phone').value,
                district: cityCode || '',
                sex: sexCode || '',
                education: educationCode || '',
                profession: industry || '', //职业
                industry: provinceCode || '' //行业
            };

            console.log("参数" + JSON.stringify(param));

            console.log("参数" + JSON.stringify(param));
            var promiseObj = $sky.Model.getAjax('post', url_register, param);
            optButton(promiseObj, '提交');
        });
    }
}

/**
 * 阅读并接受条款
 */
function onAgreeClick() {
    if (isAgree) {
        isAgree = false;
        $sky.bindId('saveButton').disabled = true;
        $sky.bindId('saveButton').style.background = "#ddd";
        $sky.bindId('choose').style.display = "none";
        $sky.bindId('no_choose').style.display = "block";
    } else {
        isAgree = true;
        $sky.bindId('saveButton').disabled = false;
        $sky.bindId('saveButton').style.background = "#4d75bb";
        $sky.bindId('choose').style.display = "block";
        $sky.bindId('no_choose').style.display = "none";
    }

}

/**
 * 留言须知
 */
function onMessage() {
    isAgree = false;
    $sky.bindId('saveButton').disabled = true;
    $sky.bindId('saveButton').style.background = "#ddd";
    $sky.bindId('choose').style.display = "none";
    $sky.bindId('no_choose').style.display = "block";
    prot = dialog.consultPrompt(function () {

    }, function () {

    });
}

/**
 *案件类型
 */
function pickerCaseType() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 2, //需要联动级数[1、2、3]（可选）
        "data": consultTypeData, //数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "Level"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            $sky.bindId('caseType').value = val;
            var codes = code.split(",");
            serviceTypeCode = codes[0];
            caseTypeCode = codes[1];
        }
    });
}

/**
 * 验证账号，正则表达
 */
function checkAccount() {
    var account = $sky.bindId('username').value;
    if (account != "") {
        if (!(/^[\w\_]{1,20}$/.test(account))) {
            $sky.bindId('username').value = "";
            dialog.toast('账号格式有误，请重填', 'none', 1000);
        } else {
            return true;
        }
    }
}

/**
 * 验证密码，正则表达
 */
function checkPassword() {
    var password = $sky.bindId('password').value;
    if (password != "") {
        if (!(/^[\w]{6,16}$/.test(password))) {
            $sky.bindId('password').value = "";
            dialog.toast('密码格式有误，请重填', 'none', 1000);
        } else {
            return true;
        }
    }
}

/**
 * 再次确认密码
 */
function checkAgainPassword() {
    var password = $sky.bindId('password').value;
    var dePassword = $sky.bindId('passwordDefined').value;
    if (dePassword != "") {
        if (dePassword == password) {
            return true;
        } else {
            dialog.toast('您输入的两次密码不同', 'none', 1000);
        }
    }
}

/**
 * 失焦：检查手机号
 */
function checkNumber() {
    var phone = document.getElementById('phone').value;
    if (!$sky.Model.checkPhoneNumber(phone)) {
        dialog.toast('手机号码有误，请重填', 'none', 1000);
    }
}

/**
 *一级联动男女
 */
function pickerOneProvince() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": sexData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('sex').value = val;
            sexCode = code.split(',')[0];
        }
    });
}

function pickerOneindustry() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": professionData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name",
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('industry').value = val;
            industry = code.split(',')[0];
        }
    });
}

function pickerOneidentity() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": identityData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name",
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('identity').value = val;
            provinceCode = code.split(',')[0];
            console.log(provinceCode);
        }
    });
}

/**
 * 学历
 */
function pickerEducation() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": educationData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name",
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('education').value = val;
            educationCode = code.split(',')[0];
        }
    });
}

function provincePicker() {
    var nowValue = $sky.bindId('district');
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": nowValue.value, //默认值-多个以空格分开（可选）
        "type": 2, //需要联动级数[1、2、3]（可选）
        "data": provinceData, //数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level" //最多3级联动
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            console.log("val:" + val);
            if (val.substring(val.length - 2, val.length) == "所有") {
                nowValue.value = val.substring(0, val.length - 3);
            } else {
                // nowValue.value = val.split(" ")[1];
                nowValue.value = val;
            }
            var codes = code.split(",");
            if (typeof (codes[1]) != 'undefined' && codes[1] != '') {
                cityCode = codes[1];
            } else {
                cityCode = codes[0];
            }

        }
    });
}

/**
 * 日期选择
 */
function pickerDate() {
    var view = $($sky.bindId("age"));
    var oneLevelId = view.attr('data-year');
    var twoLevelId = parseInt(view.attr('data-month'));
    var threeLevelId = parseInt(view.attr('data-date'));
    oneLevelId = 1990;
    twoLevelId = 1;
    new IosSelect(2, [yearData, monthData], {
        title: '日期选择',
        itemHeight: 35,
        oneLevelId: oneLevelId,
        twoLevelId: twoLevelId,
        threeLevelId: threeLevelId,
        showLoading: true,
        callback: function (selectOneObj, selectTwoObj, selectThreeObj) {
            view.attr('data-year', selectOneObj.id);
            view.attr('data-month', selectTwoObj.id);
            // view.attr('data-date', selectThreeObj.id);
            view.val(selectOneObj.value + selectTwoObj.value);
        }
    });
}

// ============================================3.函数集============================================

/**
 * 表单：验证
 * @param isRead
 */
function verification() { //表单验证
    var eleIds = ["username", "password", "passwordDefined","phone"];
    var eleValues = ["登录账号", "设置密码", "确认密码","手机号"];
    if ($sky.Util.validateForm(eleIds, eleValues)) {
        var password = $sky.bindId('password').value;
        var dePassword = $sky.bindId('passwordDefined').value;
        if (dePassword != "") {
            if (dePassword != password) {
                dialog.toast('您输入的两次密码不同', 'none', 1000);
                return false;
            }
        }
        return true;
    }
    return false;
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}

/**
 * 底部按钮组显示与影藏
 * @param flag
 */
function bottomShow() {
    $sky.bindId('send_group').style.visibility = "visible";
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        console.log("state================" + data.success);
        if (data.success) {
            dialog.toast('注册成功', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close();
                window.location.replace($sky.Util.urlTimestamp(LOGIN));
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(data.errorMsg, 'none', 1000);
        }
    })
        .then(function (error) {
            SKYUI.dialog.loading.close();
            console.log("error" + error);
        });
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    //监听返回键按钮事件
    document.addEventListener("backbutton", eventBackButton, false);
}

//返回键点击响应
function eventBackButton() {
    if (undefined != prot) {
        dialog.removeAll(prot);
        prot = null;
    } else {
        history.go(-1);
    }
}


function loadProvince() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            provinceData = data.data;
        })
        .catch(function (error) {
            console.error(error);
        });
}

// 日期数据初始化
function formatYear(nowYear) {
    var now = new Date();
    var nowYear = now.getFullYear() - 1;
    var arr = [];
    for (var i = nowYear - 118; i <= nowYear; i++) {
        arr.push({
            id: i + '',
            value: i + '年'
        });
    }
    return arr;
}

function formatMonth() {
    var arr = [];
    for (var i = 1; i <= 12; i++) {
        arr.push({
            id: i + '',
            value: i + '月'
        });
    }
    return arr;
}

function formatDate(count) {
    var arr = [];
    for (var i = 1; i <= count; i++) {
        arr.push({
            id: i + '',
            value: i + '日'
        });
    }
    return arr;
}

var yearData = function (callback) {
    callback(formatYear(nowYear))
}
var monthData = function (year, callback) {
    callback(formatMonth());
};
var dateData = function (year, month, callback) {
    if (/^(1|3|5|7|8|10|12)$/.test(month)) {
        callback(formatDate(31));
    } else if (/^(4|6|9|11)$/.test(month)) {
        callback(formatDate(30));
    } else if (/^2$/.test(month)) {
        if (year % 4 === 0 && year % 100 !== 0 || year % 400 === 0) {
            callback(formatDate(29));
        } else {
            callback(formatDate(28));
        }
    } else {
        throw new Error('month is illegal');
    }
};
