// ============================================全局数据============================================
var url_list = APP_SERVER_URL + 'message/messages';
var msgTypeData = [
    "任务指派",
    "任务催办",
    "系统提示"
];
var msgTypeImage = [
    "images/ic_zp.png",
    "images/ic_cb.png",
    "images/ic_ts.png"
];
// ============================================1.初始化页面============================================
(function () {
    loadList();
})();

// ============================================2.事件集============================================
function jump(pkid) {
    window.location.href = $sky.Util.urlTimestamp("../../../business/consult/detail/consult_detail.html?pkid=" + encodeURI(pkid));
}

// ============================================2.函数集============================================
function loadList() {
    var page = 0;// 页数
    var size = 20;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            page++;
            // 拼接HTML
            var result = '';
            var params = {
                businesstype: 0,
                pageNum: page,
                pageSize: size
            }
            $sky.Model.getAjax('get', url_list, params)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        template.defaults.imports.msgType = function (type) {
                            return msgTypeData[type - 1];
                        };
                        template.defaults.imports.msgTypeImage = function (type) {
                            return msgTypeImage[type - 1];
                        };
                        template.defaults.imports.timeFormat = function (time) {
                            return time.substr(0, 16);
                        };
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                    }, 10);
                })
                .catch(function (error) {
                    console.log(error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}
