// ============================================全局数据============================================
var url_replay = APP_SERVER_URL + 'consult/anonymous/consults';
var url_service = APP_SERVER_URL + 'news/list';
var url_consult_number = APP_SERVER_URL + 'consult/anonymous/consultNumber';

var choseType = 1;
var url_third_url = APP_SERVER_URL + '3party/3party.json?timep=' + (new Date()).valueOf();
var thirdUrl;


// ============================================1.初始化状态============================================
$(function () {
    $('.n-header').hide();

    getThirdUrl();
    loadConsultNumber();
    loadReplayList();
    loadServiceList(0);
});
window.onload = function () {
    menuSwitch()
};

function classReg(className) {
    return new RegExp("(^|\\s+)" + className + "(\\s+|$)");
}

//hasClass
hasClass = function (elem, c) {
    return classReg(c).test(elem.className);
};
//addClass
addClass = function (elem, c) {
    if (!hasClass(elem, c)) {
        elem.className = elem.className + ' ' + c;
    }
};
//removeClass
removeClass = function (elem, c) {
    elem.className = elem.className.replace(classReg(c), ' ');
};

//toggleClass
function ToggleClass(elem, c) {
    var fn = function () {
        hasClass(elem, c) ? removeClass(elem, c) : addClass(elem, c);
    };
    fn(elem, c);
}

function menuSwitch() {
    var ModuleItem = document.querySelectorAll('.Module2_tit_item'),
        ModuleItemLen = ModuleItem.length,
        ModuleItemContent = document.querySelectorAll('.Module2_titContentItem');
    for (var i = 0; i < ModuleItemLen; i++) {
        ModuleItem[i].index = i;
        ModuleItem[i].addEventListener('click', function () {
            for (var n = 0; n < ModuleItemLen; n++) {
                removeClass(ModuleItem[n], 'active');
            }
            addClass(this, 'active');
            loadServiceList(this.index);
            choseType = this.index;
        });
    }

}

// ============================================2.事件集============================================
//请律师
function askLawyer() {
    window.location.href = $sky.Util.urlTimestamp("../wap_people_institution/wap_people_institution_list.html?p_type=0&i_type=1");
}

//办公证
function doNotarization() {
    window.location.href = $sky.Util.urlTimestamp("../wap_people_institution/wap_people_institution_list.html?p_type=2&i_type=2");
}

//求法援
function assistance() {
    window.location.href = $sky.Util.urlTimestamp("../wap_people_institution/wap_people_institution_list.html?p_type&i_type=4");
}

//找调解
function mediation() {
    window.location.href = $sky.Util.urlTimestamp("../wap_people_institution/wap_people_institution_list.html?p_type=1&i_type=5");
}

//寻鉴定
function identification() {
    window.location.href = $sky.Util.urlTimestamp("../wap_people_institution/wap_people_institution_list.html?p_type&i_type=3");
}
function toArbitrate(){
    window.location.href = $sky.Util.urlTimestamp("../wap_people_institution/wap_people_institution_list.html?p_type=4&i_type=7");
}

//法治宣传
function fzxc() {
    window.location.href = $sky.Util.urlTimestamp("../../fzxc/fzxc.html");
}

/**
 *智能法律咨询
 */
function onLawConsult() {
    window.location.href = $sky.Util.urlTimestamp(thirdUrl.intelligentLaw);
}

/**
 *留言咨询
 */
function onMessageConsult() {
    window.location.href = $sky.Util.urlTimestamp("../../business/consult/mine/consult_mine.html");
}

/**
 * 机器人咨询
 */
function onRobotConsult() {
    window.location.href = $sky.Util.urlTimestamp(thirdUrl.knowledgeBaseUrl);
}

/**
 * 案例库
 */
function onPuttedForward() {
    window.location.href = $sky.Util.urlTimestamp(thirdUrl.puttedForward);
}

/**
 * 知识库
 */
function onknowledgeBase() {
    window.location.href = $sky.Util.urlTimestamp(thirdUrl.knowledgeBaseUrl);
}

function replayDetail(pkid) {
    window.location.href = $sky.Util.urlTimestamp("../consult/detail/wap_consult_detail.html?pkid=" + pkid);
}

function serviceDetail(url) {
    window.location.href = $sky.Util.urlTimestamp(url);
}

function replayMore() {
    window.location.href = $sky.Util.urlTimestamp("../consult/list/wap_consult_list.html");
}

function serviceMore() {
    var title = choseType == 0 ? '政策发布' : choseType == 1 ? '服务动态' : '信息公示';
    var typeIndex = choseType == 0 ? 1 : choseType == 1 ? 3 : 16;
    window.location.href = $sky.Util.urlTimestamp("../../news/common/list/news_list.html?title=" + title + "&type=" + typeIndex);
}

// ============================================3.函数集============================================
function loadReplayList() {
    $(".replayList").empty();
    var hasData = false;
    var result = '';
    var params = {
        pageNum: 0,
        pageSize: 5
    };

    $sky.Model.getAjax('get', url_replay, params)
        .then(function (data) {
            var arrLen = data.list.length;
            if (arrLen > 0) {
                hasData = true;
                result = template('replayItem', data);
            }
            setTimeout(function () {
                $('.replayList').append(result);
            }, 10);
        })
        .catch(function (error) {
            console.log(error);
        });

}

function loadServiceList(type) {
    $(".serviceList").empty();
    var hasData = false;
    var result = '';
    var param = {
        type: 3,
        pageNum: 0,
        pageSize: 5
    };
    $sky.Model.getAjax('get', url_service, param)
        .then(function (data) {
            var arrLen = data.list.length;
            if (arrLen > 0) {
				//for循环处理时间
				for(var i=0;i<data.list.length;i++){
					data.list[i].releasetime = data.list[i].releasetime.substring(0,10);	
				}
                hasData = true;
                result = template('serviceItem', data);
            }
            setTimeout(function () {
                $('.serviceList').append(result);
            }, 10);
        })
        .catch(function (error) {
            console.log(error);
        });

}


function loadConsultNumber() {
    var param = {};
    $sky.Model.getAjax('get', url_consult_number, param)
        .then(function (data) {
            $sky.bindId("consultNumber").textContent = data.count;
        })
        .catch(function (error) {
            console.log(error);
            $sky.bindId("consultNumber").textContent = 0;
        });

}

/**
 * 获取第三方链接地址
 */
function getThirdUrl() {
    $sky.Model.getAjax('get', url_third_url, {})
        .then(function (data) {
            thirdUrl = data.data;
        });
}