/**
 * Created by lwc on 2019/5/13.
 */
var userType = $sky.Model.getUrlParam('user_type');
var telephone = '';
var url_valicode = APP_SERVER_URL + 'SMS/sendSecurityCode';//获取验证码接口
var url_check = APP_SERVER_URL + 'SMS/checkSecurityCode';//验证码校验是否正确
var url_file = APP_SERVER_URL + 'api/attach/uploadFormFile';//文件上传
var countdown = 60;//倒计时60s
var dialog = window.SKYUI.dialog;
var phone_reg = /^1(3|4|5|7|8)\d{9}$/;
var public_name = '';
var public_cardno = '';
var gm = '';
var gwry = '';
var public_type = '1';
var securityCode = '';
var dataList = '';
var fileList = '';
var pp = '';
if (userType == 1) {
    var user_type = "公民"
}
if (userType == 2) {
    var user_type = "法人或其他组织"
}

(function () {

    document.addEventListener("deviceready", onDeviceReady, false);
    $sky.bindId('user_type').innerHTML = user_type;
    $sky.bindId('public_name').value= window.CURRENT_ACCOUNT.getUserName();
    $sky.bindId('phone').value = window.CURRENT_ACCOUNT.getUserPhone();
    $sky.bindId('public_cardno').value = localStorage.getItem("sky_user_code");

})();


function selectCheck(flag) {
    if (flag == 1) {
        $("#gm").removeClass("unchecked");
        $("#gm").addClass("ischecked");
        $("#gwry").removeClass("ischecked");
        $("#gwry").addClass("unchecked");
    }
    if (flag == 2) {
        $("#gwry").removeClass("unchecked");
        $("#gwry").addClass("ischecked");
        $("#gm").removeClass("ischecked");
        $("#gm").addClass("unchecked");
    }
}


/**
 * 发送验证码
 */
function getCode() {
    telephone = $sky.bindId('phone').value;
    var param = {
        telephone: telephone
    };
    if (telephone == '') {
        dialog.toast("请填写手机号码!", 'none', 1000);
        return '';
    }
    if (!phone_reg.test(telephone)) {
        dialog.toast("手机号格式有误!", 'none', 1000);
        return '';
    }
    //防止多次点击
    $sky.bindId("code_title").disabled = true;

    var param = {
        telephone: telephone,
        businessType: '1'//登录验证码
    };

    $sky.Model.getAjax('post', url_valicode, param)
        .then(function (data) {
            console.log(data);
            if (data.success) {
                settime();
            } else {
                $sky.bindId("code_title").disabled = false;
                dialog.toast(data.errorMsg, 'none', 1000);
                return '';
            }
        }).catch(function (error) {
        $sky.bindId("code_title").disabled = false;
        dialog.toast(error, 'none', 1000);
        console.error(error);
    });
}


function settime() {
    if (countdown == 0) {
        $sky.bindId("code_title").disabled = false;
        $('#code_title').val("获取验证码");
        countdown = 60;
        return '';
    } else {
        $sky.bindId("code_title").disabled = true;
        $('#code_title').val("重新发送" + countdown + "s");
        countdown--;
    }
    setTimeout(function () {
        settime();
    }, 1000);
}

/**
 * 身份证验证
 */
function checkIdCardNo(number) {

    var num = $.trim(number);
    if (num != "") {
        if (num == '') {
            return false;
        }
        num = num.toUpperCase();
        // 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X。
        if (!(/(^\d{15}$)|(^\d{17}([0-9]|X)$)/.test(num))) {
            // 输入的身份证号长度不对，或者号码不符合规定！\n15位号码应全为数字，18位号码末位可以为数字或X;
            return false;
        }
        // 校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
        // 下面分别分析出生日期和校验位
        var len, re;
        len = num.length;
        if (len == 15) {
            re = new RegExp(/^(\d{6})(\d{2})(\d{2})(\d{2})(\d{3})$/);
            var arrSplit = num.match(re);
            // 检查生日日期是否正确
            var dtmBirth = new Date('19' + arrSplit[2] + '/' + arrSplit[3] + '/' + arrSplit[4]);
            var bGoodDay;
            bGoodDay = (dtmBirth.getYear() == Number(arrSplit[2])) && ((dtmBirth.getMonth() + 1) == Number(arrSplit[3])) && (dtmBirth.getDate() == Number(arrSplit[4]));
            if (!bGoodDay) {
                // 输入的身份证号里出生日期不对;
                return false;
            } else {
                // 将15位身份证转成18位
                // 校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
                var arrInt = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10,
                    5, 8, 4, 2);
                var arrCh = new Array('1', '0', 'X', '9', '8', '7', '6', '5',
                    '4', '3', '2');
                var nTemp = 0,
                    i;
                num = num.substr(0, 6) + '19' + num.substr(6, num.length - 6);
                for (i = 0; i < 17; i++) {
                    nTemp += num.substr(i, 1) * arrInt[i];
                }
                num += arrCh[nTemp % 11];
                return num;
            }
        }
        if (len == 18) {
            re = new RegExp(/^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9]|X)$/);
            var arrSplit = num.match(re);
            // 检查生日日期是否正确
            var dtmBirth = new Date(arrSplit[2] + "/" + arrSplit[3] + "/" + arrSplit[4]);
            var bGoodDay;
            bGoodDay = (dtmBirth.getFullYear() == Number(arrSplit[2])) && ((dtmBirth.getMonth() + 1) == Number(arrSplit[3])) && (dtmBirth.getDate() == Number(arrSplit[4]));
            if (!bGoodDay) {
                // alert(dtmBirth.getYear());
                // alert(arrSplit[2]);
                // 输入的身份证号不正确
                return false;
            } else {
                // 检验18位身份证的校验码是否正确。
                // 校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
                var valnum;
                var arrInt = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10,
                    5, 8, 4, 2);
                var arrCh = new Array('1', '0', 'X', '9', '8', '7', '6', '5',
                    '4', '3', '2');
                var nTemp = 0,
                    i;
                for (i = 0; i < 17; i++) {
                    nTemp += num.substr(i, 1) * arrInt[i];
                }
                valnum = arrCh[nTemp % 11];
                if (valnum != num.substr(17, 1)) {
                    // 输入的身份证号不正确
                    return false;
                }
                return num;
            }
        }
        return false;
    } else {
        if (window.DEBUG) {
            console.log("参数不能为空");
        }
        return false;
    }
}

//下一步
function gotoProblem(tip) {
    var securityCode = $sky.bindId('code').value;
    telephone = $sky.bindId('phone').value;
    var param = {
        telephone: telephone,
        securityCode: securityCode
    };
    if (securityCode == '' || securityCode == null) {
        dialog.toast("手机验证码不能未空!", 'none', 1000);
        return '';
    }
    //验证短信验证码是否正确
    $sky.Model.getAjax('post', url_check, param)
        .then(function (data) {
            console.log(data);
            if (data.success) {
                console.log('验证码正确');


                public_name = $sky.bindId('public_name').value;
                public_cardno = $sky.bindId('public_cardno').value;

                if (public_name == '' || public_name == null) {
                    dialog.toast("请输入姓名!", 'none', 1000);
                    return '';
                }
                if (public_cardno == '' || public_cardno == null) {
                    dialog.toast("请输入身份证号!", 'none', 1000);
                    return '';
                }
                if (!checkIdCardNo(public_cardno)) {
                    dialog.toast("身份证号码有误!", 'none', 1000);
                    return '';
                }
                if (telephone == '' || telephone == null) {
                    dialog.toast("请输入手机号!", 'none', 1000);
                    return '';
                }


                var publicType = pp;
                if (publicType == 'tt') {
                    public_type = "1";
                } else {
                    public_type = "2";
                }
                dataList =
                    {
                        public_name: public_name,
                        public_cardno: public_cardno,
                        public_tel: telephone,
                        user_type: userType,
                        public_type: public_type

                    };
                window.localStorage.setItem("dataList", JSON.stringify(dataList));
                window.location.href = $sky.Util.urlTimestamp('../problem/problem.html');

            } else {
                dialog.toast(data.errorMsg, 'none', 1000);
                return '';
            }
        }).catch(function (error) {
        dialog.loading.close();
        dialog.toast(error, 'none', 1000);
    });

}

