/**
 * Created by lwc on 2019/5/13.
 */
var dataList_start = window.localStorage.getItem("dataList");//公民信息数据
var dialog = window.SKYUI.dialog;
var dataList1 = '';
var url_department = APP_SERVER_URL + 'api/xzzfjd/getDeptListByFid';//获取部门接口
var url_province_area = APP_SERVER_URL + 'api/xzzfjd/getCitylist';//获取省接口
var url_province = '../../../global/resource/province_area.json';
var url_county= '../../../global/resource/province_area_county.json';
var departmentCode = '';//部门Code
var departmentName;//部门名称
var area = '1';
var cityCode = '';
var cityCode2 = '';
var cityCode3 = '';
var cityName = '';
var dept_level = '';
var other_area = '';
var proponents_districtcode = '';
var proponents_dept = '';
var other_dept = '';
(function () {

    document.addEventListener("deviceready", onDeviceReady, false);
})();


//讨薪咨询
function gotoMessageContent() {
    if (area == 1) {
        proponents_districtcode = null;
        dept_level = '1';

    }
    if (area == 2) {
        proponents_districtcode = cityCode;
        dept_level = '2';
        other_area = $sky.bindId('other_dept2').value;
    } else if (area == 3) {
        proponents_districtcode = cityCode2;
        dept_level = '3';
        other_area = $sky.bindId('other_dept3').value;
    } else if (area == 4) {
        proponents_districtcode = cityCode3;
        dept_level = '4';
        other_area = $sky.bindId('other_dept4').value;
    }

    if (!proponents_districtcode && !other_area && (dept_level != "1")) {
        dialog.toast('请选择地区或填写其他地区', 'none', 1000);
        return '';
    }
    proponents_dept = $sky.bindId('proponents_dept').value;
    other_dept = $sky.bindId('other_dept1').value;
    if (!proponents_dept && !other_dept) {
        dialog.toast('请填写部门或其他部门', 'none', 1000);
        return '';
    }

    dataList1 =
        {
            other_dept: other_dept,
            dept_level: dept_level,
            proponents_dept: departmentCode,
            proponents_districtcode: proponents_districtcode,
            other_area: other_area

        };
    window.localStorage.setItem("dataList1", JSON.stringify(dataList1));//JSON.stringify(dataList)
    window.parent.location.href = $sky.Util.urlTimestamp("../messageContent/messageContent.html?dataList=" + JSON.stringify(dataList1));

}

var fid='1';
function deptPick() {
    var deptParams = {fid: fid, level: 1};
    $sky.Model.getAjax('post', url_department, deptParams)
        .then(function (data) {
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择部门',//标题(可选)
                "defaultValue": '',//默认值-多个以空格分开（可选）
                "type": 1,//需要联动级数[1、2、3]（可选）
                "data": data.list,//数据(必传)
                "keys": {
                    "id": "dept_code",
                    "value": "dept_name"
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    departmentCode = code.split(",")[0];
                    departmentName = val.split(" ")[0];
                    console.log(departmentCode);
                    $sky.bindId('proponents_dept').value = val;
                    $sky.bindId('proponents_dept_name').innerText = departmentName;

                }
            });
        }).catch(function (error) {
        console.error(error);
    });
}

//获取省(自治区、直辖市)的code
function district1Pick() {

    var deptParams = {district: 0};
    if (area == '2') {

        $sky.Model.getAjax('post', url_province_area, deptParams)
            .then(function (data) {
                console.log(data);
                provinceData = data;
                new Picker({
                    //"canHide": false,//隐藏取消按钮
                    "title": '请选择城市',//标题(可选)
                    "defaultValue": '',//默认值-多个以空格分开（可选）
                    "type": 1,//需要联动级数[1、2、3]（可选）
                    "data": provinceData,//数据(必传)
                    "keys": {
                        "id": "code",
                        "value": "name"
                    },//数组内的键名称(必传，id、text、data)
                    "callBack": function (val, code) {
                        //回调函数（val为选择的值）
                        cityCode = code.split(",")[0];
                        cityName = val;


                        $sky.bindId('district1').value = val;
                        //$sky.bindId('area2').innerText = '';//重新选择省(自治区、直辖市)时需要把市(地、州、盟)的文字置空
                        //$sky.bindId('area3').innerText = '';//重新选择省(自治区、直辖市)时需要把县(市、区)的文字置空
                        $sky.bindId('district1_name').value = cityName;//重新选择省(自治区、直辖市)时需要把市(地、州、盟)的code置空
                        //$sky.bindId('area_3').value = '';//重新选择省(自治区、直辖市)时需要把县(市、区)的code置空


                        //重置市
                        $sky.bindId('district2').value = '';
                        $sky.bindId('district2').value = '';
                        $sky.bindId('other_dept3').value = '';
                        //重置区
                        //重置区

                        $sky.bindId('district3').value = '';
                        $sky.bindId('district3_name').value = '';
                        $sky.bindId('other_dept4').value = '';

                    }
                });
            });
    }


}

//获取市(地、州、盟)的code
function district2Pick() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            console.log(data);
            provinceData = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": $sky.bindId('district2').value,//默认值-多个以空格分开（可选）按照Name值匹配
                "type": 2,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "Code",
                    "value": "Name",
                    "childData": "level"//最多3级联动
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    cityCode2 = code.split(",")[0];
                    //回调函数（val为选择的值）
                    $sky.bindId('district2').value = val;
                    $sky.bindId('district2_name').value = code.split(",")[1];

                    //重置省
                    $sky.bindId('district1').value = '';
                    $sky.bindId('district1_name').value = '';
                    $sky.bindId('other_dept2').value = '';


                    //重置区

                    $sky.bindId('district3').value = '';
                    $sky.bindId('district3_name').value = '';
                    $sky.bindId('other_dept4').value = '';
                }
            });
        });
}


//获取市(地、州、盟)的code
function district3Pick() {
    $sky.Model.getAjax('get', url_county, {})
        .then(function (data) {
            console.log(data);
            provinceData = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": '',//默认值-多个以空格分开（可选）按照Name值匹配
                "defaultArray":2,
                "type": 3,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "Code",
                    "value": "Name",
                    "childData": "level"//最多3级联动

                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    cityCode3 = code.split(",")[0];
                    //回调函数（val为选择的值）
                    $sky.bindId('district3').value = val;
                    $sky.bindId('district3_name').value = code.split(",")[1];

                    //重置省
                    $sky.bindId('district1').value = '';
                    $sky.bindId('district1_name').value = '';
                    $sky.bindId('other_dept2').value = '';

                    //重置市
                    $sky.bindId('district2').value = '';
                    $sky.bindId('district2_name').value = '';
                    $sky.bindId('other_dept3').value = '';
                }
            });
        });
}

var pp = '';

function selectCheck(flag) {
    area = flag;
    if (area == 1) {
        cityCode='';
        cityCode2='';
        cityCode3='';
        fid='1';
        $("#bw").removeClass("unchecked");
        $("#bw").addClass("ischecked");
        $("#gg").removeClass("ischecked");
        $("#gg").addClass("unchecked");
        $("#ss").removeClass("ischecked");
        $("#ss").addClass("unchecked");
        $("#xx").removeClass("ischecked");
        $("#xx").addClass("unchecked");
        $("#province").hide();
        $("#deptBw").show();
        $("#city").hide();
        $("#allCity").hide();
        $sky.bindId('proponents_dept').innerText = '';
        $sky.bindId('proponents_dept_name').value = '';
        $("#proponents_dept_name").val('');

    } else if (area == 2) {
        fid='2';
        $("#proponents_dept_name").val('');

        $("#district2_name").val('');
        $("#district3_name").val('');

        cityCode2='';
        cityCode3='';
        $sky.bindId('proponents_dept').value = '';


        $sky.bindId('other_dept2').value = '';
        //$sky.bindId('district1').innerText = '';
        $sky.bindId('district1').value = '';
        $("#gg").removeClass("unchecked");
        $("#gg").addClass("ischecked");
        $("#bw").removeClass("ischecked");
        $("#bw").addClass("unchecked");
        $("#ss").removeClass("ischecked");
        $("#ss").addClass("unchecked");
        $("#xx").removeClass("ischecked");
        $("#xx").addClass("unchecked");
        $("#province").show();
        $("#deptBw").show();
        $("#city").hide();
        $("#allCity").hide();
        $("#district1_name").val('');
        $sky.bindId('district1').value = '';
        $sky.bindId('other_dept2').value = '';
    }
    else if (area == 3) {
        fid='3';
        $("#proponents_dept_name").val('');
        $("#district1_name").val('');

        $("#district3_name").val('');
        cityCode='';
        cityCode3='';

        //$sky.bindId('district1_name').value = '';
        $sky.bindId('proponents_dept').value = '';
        $("#ss").removeClass("unchecked");
        $("#ss").addClass("ischecked");
        $("#bw").removeClass("ischecked");
        $("#bw").addClass("unchecked");
        $("#gg").removeClass("ischecked");
        $("#gg").addClass("unchecked");
        $("#xx").removeClass("ischecked");
        $("#xx").addClass("unchecked");
        $("#province").hide();
        $("#deptBw").show();
        $("#city").show();
        $("#allCity").hide();
        $("#district2_name").val('');
        $sky.bindId('district2').value = '';
        $sky.bindId('other_dept3').value = '';
    }
    else if (area == 4) {
        fid='4';

        $("#proponents_dept_name").val('');
        $("#district1_name").val('');
        $("#district2_name").val('');

        cityCode='';
        cityCode2='';
        $sky.bindId('proponents_dept').value = '';
        $("#xx").removeClass("unchecked");
        $("#xx").addClass("ischecked");
        $("#bw").removeClass("ischecked");
        $("#bw").addClass("unchecked");
        $("#gg").removeClass("ischecked");
        $("#gg").addClass("unchecked");
        $("#ss").removeClass("ischecked");
        $("#ss").addClass("unchecked");
        $("#province").hide();
        $("#deptBw").show();
        $("#city").hide();
        $("#allCity").show();
        $("#district3_name").val('');
        $sky.bindId('district3').value = '';
        $sky.bindId('other_dept4').value = '';
    }
}