!function (window) {
    "use strict";

    var cAccount = window.CURRENT_ACCOUNT = window.CURRENT_ACCOUNT || {};
    var doc = window.document;

    var KEY_USER_ID = "sky_user_id";
    var KEY_USER_ACCOUNT = "sky_user_account";
    var KEY_USER_ROLE = "sky_user_role";
    var KEY_USER_DATA = "sky_user_data";
    var KEY_USER_NAME = "sky_user_name";
    var KEY_USER_PHONE = "sky_user_phone";
    var KEY_USER_CODE = "sky_user_code";
    var KEY_USER_PSW = "sky_user_psw";
    var KEY_USER_EXAM = "sky_user_exam";
    var KEY_USER_PROVINCE = "sky_user_province";
    var KEY_USER_CITY_CODE = "sky_user_city_code";
    var KEY_USER_ENGLISH_PROVINCE = "sky_user_english_province";
    var KEY_USER_ENGLISH_CITY_CODE = "sky_user_english_city_code";

    cAccount.getEnglishProvince = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_ENGLISH_PROVINCE);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setEnglishProvince = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_ENGLISH_PROVINCE, value);
    };

    cAccount.getEnglishCity = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_ENGLISH_CITY_CODE);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setEnglishCity = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_ENGLISH_CITY_CODE, value);
    };

    cAccount.getUserPSW = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_PSW);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setUserPSW = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_PSW, value);
    };

    //是否为老师同步信息
    cAccount.setUserExam = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_EXAM, value);
    };


    cAccount.getUserExam = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_EXAM);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setUserPROVINCE = function (value1, value2) {
        $sky.Model.handLocalStorage.set(KEY_USER_PROVINCE, value1 + " " + value2);
    };

    cAccount.getUserPROVINCE = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_PROVINCE);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setUserCityCode = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_CITY_CODE, value);
    };

    cAccount.getUserCityCode = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_CITY_CODE);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.getUserCode = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_CODE);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };


    cAccount.setUserCode = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_CODE, value);
    };

    cAccount.getUserName = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_NAME);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setUserName = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_NAME, value);
    };

    cAccount.getUserData = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_DATA);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setUserPhone = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_PHONE, value);
    };

    cAccount.getUserPhone = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_PHONE);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };


    cAccount.setUserData = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_DATA, value);
    };

    cAccount.getUserRole = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_ROLE);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        } else if (value === 4 || value === '4') {//律师有两种身份，因为临时修改，影响范围比较大且紧急，这个暂时统一修改为1
            value = 1;
        }
        return value;
    };

    cAccount.setUserRole = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_ROLE, value);
    };

    cAccount.getUserLoginName = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_ACCOUNT);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setUserLoginName = function (value) {
        $sky.Model.handLocalStorage.set(KEY_USER_ACCOUNT, value);
    };

    cAccount.getId = function () {
        var value = $sky.Model.handLocalStorage.get(KEY_USER_ID);
        if (value == null || value === "" || value === undefined || value === "undefined") {
            return "";
        }
        return value;
    };

    cAccount.setId = function (userId) {
        $sky.Model.handLocalStorage.set(KEY_USER_ID, JSON.stringify(userId));
    };

}(window);