var url_formSubmit = APP_SERVER_URL + 'consult/feedback';

var dialog = window.SKYUI.dialog;
var replyId = $sky.Model.getUrlParam('replyId');
var replySource = $sky.Model.getUrlParam('source') == "exam" ? true : false;
var useful = "0";
var aging = "0";
var reason = "";
var suggest = "";

(function () {
    var data = {};
    createTemplate(data);
})();

function onAgingClicked(flag) {
    aging = flag;
}

function onUsefulClicked(flag) {
    useful = flag;
    if (flag === "1") {
        $sky.bindId('reason').style.display = "none";
        $sky.bindId('suggest').style.display = "none";
    } else {
        $sky.bindId('reason').style.display = "block";
        $sky.bindId('suggest').style.display = "block";
    }
}

function verification() {
    var res = true;
    var msg = "";
    if (aging === "0") {
        res = false;
        msg = "请选择解答时效</br>";
    }
    if (useful === "0") {
        res = false;
        msg += "请选择解答有效性</br>";
    } else if (useful === "1") {
        reason = "";
        suggest = "";
    } else {
        reason = getReasonIndex();
        suggest = $sky.bindId('tSuggest').value;
        if (reason === "") {
            res = false;
            msg += "请选择不满意原因</br>";
        }
    }
    dialog.toast(msg, "none", 1000);
    return res;
}


function getReasonIndex() {
    var indexs = "";
    for (var c = 1; c < 6; c++) {
        if ($sky.bindId('reason' + c).checked) {
            if (c === 5) {
                indexs = indexs + "9";
            } else {
                if (c == 5) {
                    c = 9;
                }
                indexs = indexs + c + ",";
            }
        }
    }
    return indexs;
}

function getReasonIndex2() {
    var indexs = "";
    for (var c = 1; c < 6; c++) {
        if ($sky.bindId('reason' + c).checked) {
            if (indexs == "") {
                if (c == 5) {
                    c = 9;
                }
                indexs = c;
            } else {
                if (c == 5) {
                    c = 9;
                }
                indexs = indexs + "," + c;
            }
        }
    }
    return indexs;
}

function submit() {
    var isPass = verification();
    var param = {
        replyid: replyId,
        time: aging,
        useful: useful,
        reason: getReasonIndex2(),
        suggest: suggest
    };
    if (isPass) {
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open("正在提交");
            if(replySource){
                url_formSubmit = APP_SERVER_URL + 'exam/public/feedback';
            }
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}

function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        console.log("state================" + data.success);
        if (data.success) {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                history.back();
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    }).then(function (error) {
        SKYUI.dialog.loading.close();
    });
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}