// ============================================全局数据============================================
var url_formDetail = APP_SERVER_URL + 'consult/myConsults?'; //我的咨询
var url_consults_list = APP_SERVER_URL + 'consult/consults?'; //咨询列表

// ============================================1.初始化页面============================================
(function () {
    if ($sky.Model.getUrlParam('from') === "home") {
        $sky.Util.addRefreshbackListener(function () {
            window.location.replace($sky.Util.urlTimestamp('../../../main/public/public_main.html'))
        });
    } else {
        $sky.Util.addRefreshbackListener();
    }

    var type = $sky.Model.getUrlParam('type'); //判断第三方页面的来源
    var title = $sky.Model.getUrlParam('title');
    if (type != "" && title != "") {
        document.title = title;
    }
    loadList(type);
})();
// ============================================2.事件集============================================
function jump(pkid) {
    window.location.href = $sky.Util.urlTimestamp("../detail/consult_detail.html?pkid=" + pkid);
}

// ============================================2.函数集============================================
function loadList(type) {
    $(".list").empty();
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.content').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            page++;
            console.log("page:" + page);
            var url = type == "" ? url_formDetail + 'pageNum=' + page + '&type=' + type : url_consults_list + 'pageNum=' + page + '&type=' + type;
            // 拼接HTML
            var result = '';
            $sky.Model.getAjax('get', url + '&pageSize=' + size + '&timep=' + Date.parse(new Date()))
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        template.defaults.imports.img = function (readflag) {
                            switch (readflag) {
                                case "0":
                                    return "conversation.png";
                                case "1":
                                    return "conversationspot.png";
                                default:
                                    return "conversation.png";
                            }
                        };
                        template.defaults.imports.time_filter = function (time) {
                            return time.substring(0, 10)
                        }
                        template.defaults.imports.middle_content_up = function (content) {
                            if (content.length < 80) {
                                return content
                            } else {
                            }
                            return content.substr(0, 79) + "..."

                        }
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        if (type != "") {
                            var icon_length = document.getElementsByClassName('datetitle_img').length;
                            for (var d = 0; d < icon_length; d++) {
                                document.getElementsByClassName('datetitle_img')[d].style.display = "none";
                            }
                        }
                        me.resetload();
                    }, 1);

                })
                .catch(function () {
                    console.log('Ajax error!');
                    errorTimes++;
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        me.resetload();
                    }
                });
        }
    });
}
