/**
 * Created by lwc on 2018/8/8.
 */
// ============================================全局数据============================================
var url_province_area = '../../../../../global/resource/province_area1.json';//地区1级联动json
var url_province = '../../../../../global/resource/province.json';//地区2级联动json
var url_department = '../../../../../global/resource/department.json';//部门json
var url_translate = 'http://www.12348.gov.cn/sfb12348/sfbMobile/aliyun/translate';
var url_voice2Text = APP_SERVER_URL + 'iflytek/voice2Text';
var provinceData = [];//地区(省/市)JSON数组
var provinceData2 = [];
var departmentCode = '';//部门Code
var departmentName;//部门名称
var levelCode = '';//部门层级code
var cityCode = '';//地区(省/市)code
var cityName = '';//地区(省/市)名称
var url_saveComplaint = APP_SERVER_URL + 'suggestion/saveSuggestion';//公众证明事项新增接口
var url_district = APP_SERVER_URL + 'suggestion/getDistrict';//根据fpkid获取区划字典
var dialog = window.SKYUI.dialog;
var $dialog = '';
var beginDate = 0;
var isToast = false;
var LevelData = [
    {
        "code": "1",
        "name": "部委"
    },
    {
        "code": "2",
        "name": "省(自治区、直辖市)"
    },
    {
        "code": "3",
        "name": "市(地、州、盟)"
    },
    {
        "code": "4",
        "name": "县(市、区)"
    }
];
// ============================================1.初始化页面============================================
(function () {
    $('.question').on('touchstart',function(){
        $(this).next().slideToggle("slow");
        $(this).toggleClass('active');
    });
    document.addEventListener("deviceready", onDeviceReady, false);
    noEmoji();

    $sky.bindId('name').value = window.CURRENT_ACCOUNT.getUserName();
    $sky.bindId('phone').value = window.CURRENT_ACCOUNT.getUserPhone();
    $sky.bindId('area_4').value = window.CURRENT_ACCOUNT.getUserPROVINCE();
    $sky.bindId('area4_title').value = window.CURRENT_ACCOUNT.getUserCityCode();
    // defaultCity = $sky.Model.getDefaultCityName();
    // console.log("defaultCity:"+defaultCity);
    // if(defaultCity){
    //     $sky.bindId("area")[0].innerText = defaultCity;
    // }else{
    //     $sky.bindId("area")[0].innerText = '请选择！';
    // }
    //$sky.bindId('area').innerText = '请选择';
})();

// ============================================2.事件集============================================
//获取省(自治区、直辖市)的code
function changeCity() {
    var areaValue = $sky.bindId('level2').value;
    if(areaValue==''||areaValue==null){
        dialog.toast("请先选择部门层级!", 'none', 1000);
        return false;
    }
    if(levelCode == '3'){
        $sky.Model.getAjax('get', url_province_area, {})
            .then(function (data) {
                console.log(data);
                provinceData = data.data;
                new Picker({
                    //"canHide": false,//隐藏取消按钮
                    "title": '请选择城市',//标题(可选)
                    "defaultValue": '',//默认值-多个以空格分开（可选）
                    "type": 1,//需要联动级数[1、2、3]（可选）
                    "data": provinceData,//数据(必传)
                    "keys": {
                        "id": "code",
                        "value": "name"
                    },//数组内的键名称(必传，id、text、data)
                    "callBack": function (val, code) {
                        //回调函数（val为选择的值）
                        cityCode = code.split(",")[0];
                        cityName = val;
                        $sky.bindId('area1').innerText = cityName;
                        $sky.bindId('area_1').value = cityCode;
                        $sky.bindId('area2').innerText = '';//重新选择省(自治区、直辖市)时需要把市(地、州、盟)的文字置空
                        $sky.bindId('area3').innerText = '';//重新选择省(自治区、直辖市)时需要把县(市、区)的文字置空
                        $sky.bindId('area_2').value = '';//重新选择省(自治区、直辖市)时需要把市(地、州、盟)的code置空
                        $sky.bindId('area_3').value = '';//重新选择省(自治区、直辖市)时需要把县(市、区)的code置空
                        $('#areatitle3').hide();
                    }
                });
            });
    }else{
        $sky.Model.getAjax('get', url_district, {fpkid:'0'})
            .then(function (data) {
                console.log(data);
                provinceData = data.data;
                new Picker({
                    //"canHide": false,//隐藏取消按钮
                    "title": '请选择城市',//标题(可选)
                    "defaultValue": '',//默认值-多个以空格分开（可选）
                    "type": 1,//需要联动级数[1、2、3]（可选）
                    "data": provinceData,//数据(必传)
                    "keys": {
                        "id": "code",
                        "value": "name"
                    },//数组内的键名称(必传，id、text、data)
                    "callBack": function (val, code) {
                        //回调函数（val为选择的值）
                        cityCode = code.split(",")[0];
                        cityName = val;
                        $sky.bindId('area1').innerText = cityName;
                        $sky.bindId('area_1').value = cityCode;
                        $sky.bindId('area2').innerText = '';//重新选择省(自治区、直辖市)时需要把市(地、州、盟)的文字置空
                        $sky.bindId('area3').innerText = '';//重新选择省(自治区、直辖市)时需要把县(市、区)的文字置空
                        $sky.bindId('area_2').value = '';//重新选择省(自治区、直辖市)时需要把市(地、州、盟)的code置空
                        $sky.bindId('area_3').value = '';//重新选择省(自治区、直辖市)时需要把县(市、区)的code置空
                        if(levelCode == '2'){//省
                            $('#areatitle2').hide();
                            $('#areatitle3').hide();
                        }else if(levelCode == '4'){//县
                            if(cityCode=='31'||cityCode=='50'||cityCode=='11'||cityCode=='12'){//为直辖市
                                $sky.bindId('area_2').value = cityCode;
                                $('#areatitle2').hide();
                                $('#areatitle3').show();
                            }else{
                                $('#areatitle2').show();
                                $('#areatitle3').show();
                            }
                        }
                    }
                });
            });
    }


}

//获取市(地、州、盟)的code
function changeCity2(){
    var areaValue = $sky.bindId('level2').value;
    if(areaValue==''||areaValue==null){
        dialog.toast("请先选择部门层级!", 'none', 1000);
        return false;
    }
    var areaCode_1 = $sky.bindId("area_1").value;
    if(areaCode_1==null||areaCode_1==''){
        dialog.toast("请先选择省(自治区、直辖市)!", 'none', 1000);
        return false;
    }
    $sky.Model.getAjax('get', url_district, {fpkid:areaCode_1})
        .then(function (data) {
            console.log(data);
            provinceData = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": '',//默认值-多个以空格分开（可选）
                "type": 1,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "code",
                    "value": "name"
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    cityCode = code.split(",")[0];
                    cityName = val;
                    $sky.bindId('area2').innerText = cityName;
                    $sky.bindId('area_2').value = cityCode;
                    $sky.bindId('area3').innerText = '';//重新选择市(地、州、盟)时需要把县(市、区)的文字置空
                    $sky.bindId('area_3').value = '';//重新选择市(地、州、盟)时需要把县(市、区)的code置空
                    if(levelCode == '3'){
                        $('#areatitle3').hide();
                    }else if(levelCode == '4'){
                        $('#areatitle3').show();
                    }
                }
            });
        });
}

//获取县(市、区)的code
function changeCity3(){
    var areaValue = $sky.bindId('level2').value;
    if(areaValue==''||areaValue==null){
        dialog.toast("请先选择部门层级!", 'none', 1000);
        return false;
    }
    var areaCode_1 = $sky.bindId("area_1").value;
    var areaCode_2 = $sky.bindId("area_2").value;
    if(areaCode_1==null||areaCode_1==''){
        dialog.toast("请先选择省(自治区、直辖市)!", 'none', 1000);
        return false;
    }
    if(areaCode_2==null||areaCode_2==''){
        dialog.toast("请先选择市(地、州、盟)!", 'none', 1000);
        return false;
    }
    $sky.Model.getAjax('get', url_district, {fpkid:areaCode_2})
        .then(function (data) {
            console.log(data);
            provinceData = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": '',//默认值-多个以空格分开（可选）
                "type": 1,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "code",
                    "value": "name"
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    cityCode = code.split(",")[0];
                    cityName = val;
                    $sky.bindId('area3').innerText = cityName;
                    $sky.bindId('area_3').value = cityCode;
                }
            });
        });
}


/**
 * 擅长类型 一级联动
 */
function LevelTypePicker() {
    var nowValue = $sky.bindId('level');
    var nowValue2 = $sky.bindId('level2');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": LevelData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            levelCode = code.split(",")[0];
            nowValue.innerHTML = val;
            nowValue2.value = levelCode;
            if(levelCode == '1'){//中央隐藏所有
                $('#areatitle1').hide();
                $('#areatitle2').hide();
                $('#areatitle3').hide();
                $('#area_other_title').hide();
                $('#department_other_title').show();
            }else if(levelCode == '2'){//省隐藏市和区
                $('#areatitle1').show();
                $('#areatitle2').hide();
                $('#areatitle3').hide();
                $('#area_other_title').show();
                $('#department_other_title').show();
            }else if(levelCode == '3'){//市隐藏区
                $('#areatitle1').show();
                $('#areatitle2').show();
                $('#areatitle3').hide();
                $('#area_other_title').show();
                $('#department_other_title').show();
            }else{//区显示所有
                $('#areatitle1').show();
                $('#areatitle2').show();
                $('#areatitle3').show();
                $('#area_other_title').show();
                $('#department_other_title').show();
            }
            //重选部门层级时，要重置地区和部门信息
            $sky.bindId("area_1").value = '';
            $sky.bindId("area1").innerHTML = '';
            $sky.bindId("area_2").value = '';
            $sky.bindId("area2").innerHTML = '';
            $sky.bindId("area_3").value = '';
            $sky.bindId("area3").innerHTML = '';
            $sky.bindId("department").innerHTML = '';
            cityCode = '';
            departmentCode = '';
        }
    });
}

function changeCity4() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            console.log(data);
            provinceData2 = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": window.CURRENT_ACCOUNT.getUserPROVINCE(),//默认值-多个以空格分开（可选）
                "type": 2,//需要联动级数[1、2、3]（可选）
                "data": provinceData2,//数据(必传)
                "keys": {
                    "id": "Code",
                    "value": "Name",
                    "childData":"level"
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    $sky.bindId('area_4').value = val;
                    $sky.bindId('area4_title').value = code.split(",")[1];
                }
            });
        });
}

// ============================================3.函数集============================================
//公众证明事项新增
function saveForm() {
    var param = {
        type : '2',//类型，1为微信，2为app
        // token : 'ARE33234SDF2323234',//令牌
        complaint_hierarchy : levelCode,//部门层级
        complaint_area : cityCode,//地区
        complaint_area_other : $sky.bindId("area_other").value,//其他地区
        complaint_department : departmentCode,//部门
        complaint_department_other : $sky.bindId("department_other").value,//其他部门
        complaint_title : $sky.bindId("matter").value,//事项
        complaint_content : $sky.bindId("question").value,//遇到的问题
        complaint_suggest : $sky.bindId("suggestion").value,//意见和建议
        complaint_proof : $sky.bindId("basis").value,//您的依据
        complaint_example : $sky.bindId("material").value,//证明事项或材料
        complaint_reason : $sky.bindId("reason").value,//取消理由
        user_name : $sky.bindId("name").value,//登记人姓名
        telephone : $sky.bindId("phone").value,//登记人电话
        districtcode : $sky.bindId('area4_title').value // 登记人地区
    };
    console.log(param);

    if(param.complaint_example == ''&&param.complaint_reason == ''){
            if(param.complaint_hierarchy == ''){
                dialog.toast("请填写部门层级！", 'none', 1000);
                return false;
            }

            if(param.complaint_hierarchy!='1'){
                if(param.complaint_area == ''&&param.complaint_area_other==''){
                    dialog.toast("请完善地区信息！", 'none', 1000);
                    return false;
                }
            }

            if(param.complaint_department_other==''&&param.complaint_department == ''){
                dialog.toast("请填写部门！", 'none', 1000);
                return false;
            }


            if(param.complaint_title == ''){
                dialog.toast("请填写事项！", 'none', 1000);
                return false;
            }

            if(param.complaint_content == ''){
                dialog.toast("请填写遇到的问题！", 'none', 1000);
                return false;
            }
    }

    //证明事项或材料要不同时存在、要不同时不存在
    if(param.complaint_example == '' ||param.complaint_example == null){
        if(param.complaint_reason != ''&& param.complaint_reason != null){
            dialog.toast("请填写证明事项或材料！", 'none', 1000);
            return false;
        }
    }else{
        if(param.complaint_reason == ''|| param.complaint_reason == null){
            dialog.toast("请填写取消理由！", 'none', 1000);
            return false;
        }

        if(param.complaint_hierarchy == ''){
            if(param.complaint_area_other==''&&param.complaint_department_other==''&&param.complaint_title==''&&param.complaint_content==''&&param.complaint_suggest==''&&param.complaint_proof==''){
            }else{
                dialog.toast("请完善必填信息！", 'none', 1000);
                return false;
            }
        }else if(param.complaint_hierarchy=='1'){
            if((param.complaint_department_other!=''||param.complaint_department != '')&&param.complaint_title != ''&&param.complaint_content != ''){
            }else{
                dialog.toast("请完善必填信息！", 'none', 1000);
                return false;
            }
        }else{
            if((param.complaint_area != ''||param.complaint_area_other!='')&&(param.complaint_department_other!=''||param.complaint_department != '')&&param.complaint_title != ''&&param.complaint_content != ''){
            }else{
                dialog.toast("请完善必填信息！", 'none', 1000);
                return false;
            }
        }
    }

    if(param.complaint_hierarchy == '3'){
        if($sky.bindId('area_2').value == ''){
            dialog.toast("请完善具体地区信息！", 'none', 1000);
            return false;
        }
    }else if(param.complaint_hierarchy == '4'){
        if($sky.bindId('area_3').value == ''){
            dialog.toast("请完善具体地区信息！", 'none', 1000);
            return false;
        }
    }

    if(param.user_name == ''){
        dialog.toast("请完善登记人姓名！", 'none', 1000);
        return false;
    }

    if(param.telephone == ''){
        dialog.toast("请完善登记人联系方式！", 'none', 1000);
        return false;
    }

    if(param.districtcode == ''){
        dialog.toast("请完善联系人地区信息！", 'none', 1000);
        return false;
    }

    dialog.confirm("确定提交建议？", function () {
        $sky.Model.getAjax('post', url_saveComplaint, param).then(function (res) {
            if (res.success) {
                dialog.toast("提交成功！", 'none', 1000);
                setTimeout(function () {
                    SKYUI.dialog.loading.close();
                    window.location.href = $sky.Util.urlTimestamp("../../list/list.html");
                }, 300);
            } else {
                dialog.toast(res.errorMsg, 'none', 1000);
            }
        })
    })
}


function changeDepartment() {
    var nowValue2 = $sky.bindId('level2').value;
    if(nowValue2==''||nowValue2==null){
        dialog.toast("请先选择部门层级！", 'none', 1000);
        return false;
    }
    $sky.Model.getAjax('get', url_department, {})
        .then(function (data) {
            var provinceData = data.data;
            console.log(provinceData[0]);
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择部门',//标题(可选)
                "defaultValue": '',//默认值-多个以空格分开（可选）
                "type": 1,//需要联动级数[1、2、3]（可选）
                "data": provinceData[nowValue2-1].level,//数据(必传)
                "keys": {
                    "id": "code",
                    "value": "name"
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    departmentCode = code.split(",")[0];
                    departmentName = val.split(" ")[0];
                    console.log(departmentCode);
                    $sky.bindId('department').innerText = departmentName;
                }
            });
        }).catch(function (error) {
        console.error(error);
    });
}

/**
 * 显示语音对话框
 * @param flag = 1：主题  ，2：内容
 */
function showVoiceDialog(flag) {
    showChineseVoice(flag);
}

function listening(flag) {
    xunfeiListenSpeaking.startListen(function (data) {
        if (flag == 1) {
            $sky.bindId('matter').value = $sky.bindId('matter').value + data;
        } else if (flag == 2) {
            $sky.bindId("question").value = $sky.bindId("question").value + data;
        } else if(flag == 3){
            $sky.bindId('suggestion').value = $sky.bindId('suggestion').value + data;
        } else if(flag == 4){
            $sky.bindId('basis').value = $sky.bindId('basis').value + data;
        } else if(flag == 5){
            $sky.bindId('material').value = $sky.bindId('material').value + data;
        } else if(flag == 6){
            $sky.bindId('reason').value = $sky.bindId('reason').value + data;
        }
    }, function (data) {
        dialog.toast(data, 'none', 1000);
    },true,true);
}

/**
 * 中文听写
 */
function showChineseVoice(flag) {
    var permissions = cordova.plugins.permissions;
    //校验app是否有安卓写入权限
    permissions.checkPermission(permissions.WRITE_EXTERNAL_STORAGE, function(s) {
        //hasPermission 验证是否成功
        if (!s.hasPermission) {
            //没有权限
            //app申请写入权限
            permissions.requestPermission(permissions.RECORD_AUDIO, function(s) {
                if (s.hasPermission) {
                    listening(flag);
                }
                else {

                }
            }, function(error) {
                dialog.toast('网络异常!', 'none', 1000);
            });
        } else {
            listening(flag);
        }
    }, function(error) {
        dialog.toast('网络异常!', 'none', 1000);
    });
}

/**
 * 英文翻译
 */
function showEnglishVoice(flag) {
    var permissions = cordova.plugins.permissions;
    //校验app是否有安卓写入权限
    permissions.checkPermission(permissions.WRITE_EXTERNAL_STORAGE, function(s) {
        //hasPermission 验证是否成功
        if (!s.hasPermission) {
            //没有权限
            //app申请写入权限
            permissions.requestPermission(permissions.RECORD_AUDIO, function(s) {
                if (s.hasPermission) {
                    listening(flag);
                }
                else {

                }
            }, function(error) {
                dialog.toast('网络异常!', 'none', 1000);
            });
        } else {
            listening(flag);
        }
    }, function(error) {
        dialog.toast('网络异常!', 'none', 1000);
    });
}

/**
 * 中英文切换
 */
function onSwitchEN(flag) {
    var span = $sky.bindId("switch" + flag);
    var hint = $sky.bindId("hint" + flag);
    if (span.innerHTML == "中文") {
        span.innerHTML = "English";
        hint.innerHTML = "点 击 \"English\" 切 换 成 中 文 输 入";
    } else {
        span.innerHTML = "中文";
        hint.innerHTML = "click \"中文\" to switch to English voice input";
    }
}

/**
 * 过滤文字的emoji表情
 */
function noEmoji() {
    $('.textAndvoice textarea').on('keyup', function () {
        var textDom = $(this)[0];
        textDom.value = textDom.value.replace(/[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF][\u200D|\uFE0F]|[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF]|[0-9|*|#]\uFE0F\u20E3|[0-9|#]\u20E3|[\u203C-\u3299]\uFE0F\u200D|[\u203C-\u3299]\uFE0F|[\u2122-\u2B55]|\u303D|[\\A9|\\AE]\u3030|\\uA9|\\uAE|\u3030/ig, "");
    })
}

/**
 * 英译中
 * @constructor
 */
function En2ZhTranslate(text, flag) {
    dialog.loading.open("翻译中...");
    $sky.Model.getAjax('post', url_translate, {sourceText: text})
        .then(function (data) {
            dialog.removeAll($dialog);
            if (data.data.targetText != undefined) {
                var result = data.data.targetText;
                if (flag == 1) {
                    $sky.bindId('matter').value = $sky.bindId('matter').value + result;
                } else if (flag == 2) {
                    $sky.bindId("question").value = $sky.bindId("question").value + result;
                } else if(flag == 3){
                    $sky.bindId('suggestion').value = $sky.bindId('suggestion').value + result;
                } else if(flag == 4){
                    $sky.bindId('basis').value = $sky.bindId('basis').value + result;
                } else if(flag == 5){
                    $sky.bindId('material').value = $sky.bindId('material').value + result;
                } else if(flag == 6){
                    $sky.bindId('reason').value = $sky.bindId('reason').value + result;
                }
            } else {
                dialog.toast("未识别，再试一次", 'none', 1000);
            }
            dialog.loading.close();
        }).catch(function (error) {
        console.error(error);
    });
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    initAndRequestAndroidPermission();
}

//获取权限通知
function initAndRequestAndroidPermission() {
    var permissions = cordova.plugins.permissions;
    var permissionList = [
        permissions.RECORD_AUDIO
    ];
    permissions.requestPermissions(permissionList, success, error);

    function error() {
        console.warn('ACCESS_FINE_LOCATION permission is not turned on');
    }

    function success(status) {
        if (!status.hasPermission) error();
    }
}

