// ============================================全局数据============================================
var url_list = APP_SERVER_URL + 'entrust/myEntrusts';

// ============================================1.初始化状态============================================
$(function () {
    loadList();
});

// ============================================2.事件集============================================

function onItemClick(pkid) {
    window.location.href = $sky.Util.urlTimestamp('../detail/entrust_detail.html?pkid=' + pkid);
}

// ============================================3.函数集============================================
function loadList() {
    $(".list").empty();
    var pageNum = 0;// 页数
    var pageSize = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.container').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            pageNum++;
            // 拼接HTML
            var result = '';
            var params = {
                pageNum: pageNum,
                pageSize: pageSize,
                timestamp: Date.parse(new Date())
            };
            $sky.Model.getAjax('get', url_list, params)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('loadmore', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                    }, 1);

                })
                .catch(function () {
                    console.log('Ajax error!');
                    errorTimes++;
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        me.resetload();
                    }
                });
        }
    });
}
