console.log("====================缓存的数据====================");
var cacheSessionData = $sky.Model.handLocalStorage.get("cacheListData");
console.log(cacheSessionData);
console.log("================================================");
// ============================================全局数据============================================
var pkid = $sky.Model.getUrlParam('pkid');
var type = $sky.Model.getUrlParam('type');
var url_examConsultDetail = APP_SERVER_URL + 'exam/service/consultDetail?pkid=' + pkid;
var url_examConsultReply = APP_SERVER_URL + 'exam/service/reply';
var url_examUndoReply = APP_SERVER_URL + 'exam/service/isolation';

var dialog = window.SKYUI.dialog;

var userId = CURRENT_ACCOUNT.getId() + '';
var $dialog;//用来保存回复对话框对象（回复对话框点击确定小于20个字，对话框是不能关闭的）

var detail;
// ============================================1.初始化页面============================================
// ============================================1.页面初始化状态============================================
(function () {
    dialog.loading.open("加载中");
    $sky.Model.getAjax('get', url_examConsultDetail).then(function (data) {
        createTemplate(data);
        dialog.loading.close();
    })
})();

// ============================================2.事件集============================================
/**
 * 显示更多事件
 * @param obj
 */
function showDetail(index, id) {
    $sky.bindId('middle_content_up' + index).style.display = "none";
    $sky.bindId('middle_content_down' + index).style.display = "block";

    if ($sky.bindId('enTranslate').style.display == "none") {
        $sky.bindClass("voice_Img1")[1].style.display = "initial";
    } else {
        $sky.bindClass("voice_Img1")[1].style.display = "none";
    }
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "block";
    $sky.bindId('middle_content_down' + index).style.display = "none";
    if ($sky.bindId('enTranslate').style.display == "block") {
        $sky.bindClass("voice_Img1")[0].style.display = "none";
    } else {
        $sky.bindClass("voice_Img1")[0].style.display = "initial";
    }
}

/**
 * 显示更多事件
 * @param obj
 */
function showHistoryItemDetail(index) {
    $sky.bindId('history_content_up' + index).style.display = "none";
    $sky.bindId('history_content_down' + index).style.display = "block";
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideHistoryItemDetail(index) {
    $sky.bindId('history_content_up' + index).style.display = "block";
    $sky.bindId('history_content_down' + index).style.display = "none";
}

/**
 * 专家/律师回复
 */
function onReplyClicked() {
    $dialog = dialog.consultReplyConfirm('我来解答',
        function () {
            if ($sky.bindId('wtnr').value == "") {
                dialog.toast('请输入回复内容', 'none', 1000);
            } else {
                var params = {
                    pkid: pkid,
                    replyContent: $sky.bindId("startContent").innerHTML + $sky.bindId('wtnr').value + $sky.bindId("endContent").innerHTML
                };

                $sky.Model.getAjax('post', url_examConsultReply, params).then(function (data) {
                    dialog.removeAll($dialog);
                    if (data.success) {
                        var pageName = window.location.href;
                        window.location.replace(pageName);
                    }
                });
            }
        });
}

/**
 * 撤销回复
 */
function onUndoClicked() {
    $dialog = dialog.simpleEvaluateConfirm('隔离原因',
        function () {
            if ($sky.bindId('wtnr').value == "") {
                dialog.toast('请输入隔离原因', 'none', 1000);
            } else {
                var params = {
                    pkid: pkid,
                    reason: $sky.bindId('wtnr').value
                };

                $sky.Model.getAjax('post', url_examUndoReply, params).then(function (data) {
                    dialog.removeAll($dialog);
                    if (data.success) {

                        dialog.toast('隔离成功', 'none', 1000);
                        setTimeout(function () {
                            window.history.back();
                        }, 500)
                    }
                });
            }
        });
}

// ============================================3.函数集============================================
/**
 * 创建初始化页面模板
 * @param data
 */
function createTemplate(data) {
    template.defaults.imports.middle_content_up = function (content) {
        if (content.length < 42) {
            return content
        } else {
            return content.substr(0, 41) + "..."
        }
    };

    template.defaults.imports.time_filter = function (time) {
        return time
    };
    console.log("=============转换后渲染数据=================");
    console.log(data);
    template.defaults.imports.titleFormat = function (usertype, content, userid, status) {
        switch (usertype + '') {
            case '1':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            case '2':
                return '专家提出修改意见'
            case '3':
                return '形成复议结果'
            case '4':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            default:
                return '';
        }
    }
    template.defaults.imports.textFormat = function (text) {
        switch (usertype + '') {
            case '1':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            case '2':
                return '专家提出修改意见'
            case '3':
                return '形成复议结果'
            case '4':
                if (status + '' === '3') {
                    return "服务人员完成修改";
                } else {
                    return '服务人员申请复议'
                }
            default:
                return '';
        }
    };
    template.defaults.imports.textFormat = function (text) {
        return text.replace(/\s/g, '');
    };
    $sky.bindId("content").innerHTML = template("repitem", data);
}


//lsw 语音听写、合成
// ============================================4.语音听写、合成============================================
var url_text2MP3 = APP_SERVER_URL + 'iflytek/text2MP3';
var url_voice2Text = APP_SERVER_URL + 'iflytek/voice2Text';
var chineseAduio;
var enAudio;
var lastAudio;
var nowAudio;
var voiceFlag = false;
var iosVoice = false;//用于苹果再次点击播放录音

function text2MP3(text, flag, img) {
    if (text == "en") {
        var englishText = $sky.bindId('middle_content_up1').innerHTML;
        audioController(englishText, flag, img);
    } else if (text == "en2") {
        var englishText = $sky.bindId('middle_content_up2').innerHTML;
        audioController(englishText, flag, img);
    } else {
        audioController(text, flag, img);
    }
}

function audioController(text, flag, img) {
    var audio;
    var readVoiceImg;
    audio = $sky.bindId(flag);
    nowAudio = audio;
    if (typeof (lastAudio) != "undefined") {
        lastAudio.pause();
    }

    readVoiceImg = $sky.bindId(img + flag);
    audio.volume = 1;
    if (audio.src.indexOf("mp3") != -1) {

        if (audio.paused && (lastAudio != nowAudio || voiceFlag) || iosVoice) {
            // if (img != "tranlate") {
            //     readVoiceImg.src = "images/ic_voice_close.png";
            // }
            voiceFlag = false;
            iosVoice = false;
            audio.play();
        } else {
            // if (img != "tranlate") {
            //     readVoiceImg.src = "images/ic_voice.png";
            // }
            voiceFlag = true;
            audio.pause();// 暂停
        }
    } else {
        SKYUI.dialog.loading.open("请稍候...");

        var texts = text.split('，');

        if (1 == texts.length) {
            texts = text.split(".");
        }
        texts = trimSpace(texts);
        var num = texts.length;
        var sortTexts = [];

        for (var i = 0; i < num; i++) {
            speechText(texts[i], function (data) {
                for (var j = 0; j < num; j++) {
                    if (texts[j] == data.text)
                        sortTexts[j] = data.audioPath;
                }
                if (sortTexts.length == num) {
                    dialog.loading.close();

                    if (getMobileFolder() == "ios") {
                        iosVoice = true;
                        dialog.toast("转换成功，请点击播放", 'none', 500);
                    }
                    audio.src = sortTexts[0];
                    audio.play();
                    var flag = 1;
                    audio.onended = function () {
                        audio.src = sortTexts[flag];
                        audio.play();

                        if (flag == num) {
                            audio.src = sortTexts[0];
                            audio.play();
                            flag = 1;
                        } else {
                            ++flag;
                        }
                    };
                }
            });
        }

        // $sky.Model.getAjax('post', url_text2MP3, {text: text}).then(function (data) {
        //     console.log(data);
        //     SKYUI.dialog.loading.close();
        //     if (data.success) {
        //         audio.src = data.mp3Url;
        //         if (getMobileFolder() == "android") {
        //             // if (img != "tranlate") {
        //             //     readVoiceImg.src = "images/ic_voice_close.png";
        //             // }
        //         } else if (getMobileFolder() == "ios") {
        //             iosVoice = true;
        //             dialog.toast("转换成功，请点击播放", 'none', 500);
        //         }
        //         audio.play();
        //     } else {
        //         dialog.toast("未能转换，再试一次", 'none', 1000);
        //     }
        // });
    }
    lastAudio = audio;
}


/**
 * 中文合成
 * @param text
 * @param callback 回调
 */
function speechText(text, callback) {
    var data = {};
    var mp3ParentUrl = "http://61.191.24.229:5058/tts/tuling/tts/v2/dwn?key=";

    if (/^[a-zA-Z]$/.test(text)) {//中文
        data.params = {"3": 69020, "6": 2};
    } else if (/[\u4E00-\u9FA5]/.test(text)) {//英文
        data.params = {"3": 60020, "6": 2};
    }

    data.text = text;

    var returnData = {};
    $.ajax({
        url: 'http://61.191.24.229:5058/tts/tuling/tts/v2/mp3',
        type: 'POST',
        dataType: 'json',
        contentType: 'application/json',
        data: JSON.stringify(data),
        success: function (responseData) {
            returnData.success = true;
            var path = responseData.body.audioPath;
            path = path.substring(path.indexOf("=") + 1, path.length);
            returnData.audioPath = mp3ParentUrl + path;
            returnData.text = text;
            callback(returnData);
        },
        error: function (responseData) {
            returnData.success = false;
            callback(returnData);
            console.log(responseData);
        }
    });
}

/**
 *数组去除空值
 * @param texts
 */
function trimSpace(array) {
    for (var i = 0; i < array.length; i++) {
        if (array[i] == "" || typeof(array[i]) == "undefined") {
            array.splice(i, 1);
            i = i - 1;

        }
    }
    return array;
}

function voice2Text() {
    var filename = "audio";
    if (device.platform == "iOS") {
        window.plugins.audioRecorderAPI.record(function (msg) {
            console.log('开始录制');
            setTimeout(function () {
                window.plugins.audioRecorderAPI.stop(function (msg) {
                    console.log('stop ok: ' + msg);
                    uploadAudio(cordova.file.dataDirectory);
                }, function (msg) {
                    console.log('stop fail: ' + msg);
                });
            }, 3000);
        }, function (msg) {
            console.log('record fail: ' + msg);
        }, 3);

    } else if (device.platform == "Android") {
        window.plugins.audioRecorder.record(function () {
            uploadAudio(cordova.file.externalRootDirectory);
        }, function (error) {
            console.log("失败" + error);
        }, filename, 3000);
    }
}

function uploadAudio(filePath) {
    resolveLocalFileSystemURL(filePath, function (dirEntry) {
        dirEntry.getFile("audio.wav", {}, function (fileEntry) {
            fileEntry.file(function (file) {
                var reader = new FileReader();
                reader.onloadend = function () {
                    $sky.Model.getAjax('post', url_voice2Text, {audioData: this.result}).then(function (data) {
                        // alert(JSON.stringify(data));
                    });
                };
                reader.readAsDataURL(file);
            });
        })
    });
}


function zh2EnMp3(text, flag, id) {
    dialog.loading.open("翻译中");
    iflytekTranslation.chineseTranslation(text, function (data) {
        var result = data.englishText;
        if (result != undefined) {
            if (flag == "zj") {
                $sky.bindClass("voice_Img2")[0].style.display = "none";
                $sky.bindId("middle_content_up2").innerHTML = $sky.bindId("middle_content_up2").innerHTML + result;
                $sky.bindId('enTranslate1').style.display = "block";
            } else {
                $sky.bindId("middle_content_up1").innerHTML = $sky.bindId("middle_content_up1").innerHTML + result;
                $sky.bindClass("voice_Img1")[0].style.display = "none";
                $sky.bindClass("voice_Img1")[1].style.display = "none";
                $sky.bindId('enTranslate').style.display = "block";
            }
            dialog.loading.close();
        }
    });
}


/**
 * 根据手机类型返回 android、ios
 * @returns
 */
function getMobileFolder() {
    var iphone = navigator.userAgent.toLocaleLowerCase().match(/iPhone/i);
    if (iphone && iphone.length) {
        return "ios";
    } else {
        return "android";
    }
}

window.addEventListener("pagehide", function (ev) {
    if (typeof (lastAudio) != "undefined") {
        lastAudio.pause();
    }
    if (typeof (nowAudio) != "undefined") {
        nowAudio.pause();
    }
});
