// ============================================全局数据============================================
var url_myConsults = APP_SERVER_URL + 'api/xzzfjd/getSuggestionList';

// ============================================1.初始化状态============================================
$(function () {
    loadList();
});

// ============================================2.事件集============================================
function jump(pkid) {
    window.location.href = $sky.Util.urlTimestamp("detail/suggestDetail.html?pkid=" + pkid);
}

// ============================================3.函数集============================================
function loadList() {
    $(".item").empty();
    var page = 0;// 页数
    var size = 20;// 每页展示20个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            page++;
            var param = {
                pageSize: 8,
                pageNum: page,
                person_type: 1,
                searchFlag: 2,
            };
            $sky.Model.getAjax('post', url_myConsults, param)
                .then(function (data) {
                    var result;
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        // template.defaults.imports.time_filter = function (time) {
                        //     return time.substring(0, 10)
                        // };
                        // template.defaults.imports.middle_content_up = function (content) {
                        //     if (content != null) {
                        //         if (content.length < 60) {
                        //             return content;
                        //         } else {
                        //             return content.substr(0, 59) + "...";
                        //         }
                        //     }
                        // };
                        result = template('item', data);
                    } else {
                        if(page == 1){
                            me.lock();
                            me.noData();
                            if (!hasData) {
                                $(".dropload-down").hide();
                                result = template('empty', {});
                                $('.list').append(result);
                            }
                        }else{
                            $(".dropload-down").hide();
                        }

                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                    }, 1);
                })
                .catch(function (error) {
                    console.log('error' + error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}

