// ============================================全局数据============================================
var url_list = APP_SERVER_URL + 'credit/punishment/list?';

// ============================================1.初始化页面============================================
(function () {
    loadList(1);
    loadList(2);
    loadList(3);
    loadList(4);
})();

// ============================================2.事件集============================================
function jump(pkid) {
    window.location.href = $sky.Util.urlTimestamp("../detail/punishment_detail.html?pkid=" + pkid + "&title=" + document.title);
}

// ============================================2.函数集============================================
function loadList(type) {
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('#content' + type).dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            page++;
            // 拼接HTML
            var result = '';
            $sky.Model.getAjax('get', url_list + 'type=' + type + '&pageNum=' + page + '&pageSize=' + size)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list' + type).append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list' + type).append(result);
                        me.resetload();
                    }, 10);
                })
                .catch(function (error) {
                    console.log(error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}
