// ============================================全局数据============================================
var url_version = APP_SERVER_URL + "android/phone/latestVersion.json";
var url_ios_index = APP_SERVER_URL + "ios/phone/index.html";
var url_user_login = APP_SERVER_URL + 'userLogin';
var url_staff_login = APP_SERVER_URL + 'staffLogin';
var url_user_sign = APP_SERVER_URL + 'sign';
var isLogout = $sky.Model.getUrlParam("logout");
var keys =
    'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCDnW10C2kIRNeI8t7YIDPWjPzO+Hv0AjzvyT2fZP1I0fUbvCd6rLDZKe+1g+4xV0yzf1w3GEU5xdQcEbXEc42Q/6WpztnBN2XF0lvD8nBirAe0kxEgpcGejj9uWKvA/4FqCU2GJWVSOb+onvg+Sh3/eaNyh/iSWJ7o1pi4JWjXfwIDAQAB';
var dialog = window.SKYUI.dialog;
var roles = "0";
var beginDate = 0;
var isToast = false;
var url_valicode = APP_SERVER_URL + '/SMS/sendSecurityCode';//获取验证码接口
var url_isRegister = APP_SERVER_URL + '/SMS/checkPhoneIsRegist';//手机号检验是否注册接口
var url_check = APP_SERVER_URL + '/SMS/checkSecurityCode';//验证码校验是否正确
var url_phoneLogin = APP_SERVER_URL + '/smsLogin';//手机号免密登录接口
var countdown=60;//倒计时60s
var code = '';//验证码
var phone_reg = /^1(3|4|5|7|8)\d{9}$/;
var telephone = '';
// ============================================1.初始化页面============================================
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    initBodyHeight();
    initHeight();
    if (CLOUD && isLogout != null && isLogout == 1) {
        $sky.Model.handLocalStorage.clear();
        $sky.Model.handSessionStorage.clear();
    }
    $sky.bindId('user').value = window.CURRENT_ACCOUNT.getUserLoginName();
    if (CURRENT_ACCOUNT.getUserRole() !== 0 && CURRENT_ACCOUNT.getUserRole() !== "") {
        rolesChoose("1");
    }
    //autoLogin();
})();

// ============================================2.事件集============================================
function submit() {
    var eleIds = ["user", "password"];
    var eleValues = ["account", "password"];
    if (!$sky.Util.validateForm(eleIds, eleValues)) {
        return;
    }
    dialog.loading.open('logining...');

    var encrypt = new JSEncrypt();
    encrypt.setPublicKey(keys);
    var password = $sky.bindId('password').value;
    password = encrypt.encrypt(encodeURIComponent(password));
    judgeRole($sky.bindId('user').value, password);
}

/**
 * 角色选择(设置div样式)
 */
function rolesChoose(type) {
    if (type == "0") {
        $sky.bindId("normal").setAttribute("class", "active");
        $sky.bindId("job").setAttribute("class", "status");
        roles = "0";
        $('#account').show();//账号密码登录输入框体展示
        $('#phonenumber').hide();//免密登录输入框体隐藏
        $('#phoneLogin').show();//手机号登录字体展示
        $('#accountLogin').hide();//账号登录字体隐藏
        $('#forgetPwd').show();//忘记密码显示
        $('#account_login').show();//账号密码登录框展示
        $('#phone_login').hide();//免密登录框隐藏
    } else {
        $sky.bindId("normal").setAttribute("class", "status");
        $sky.bindId("job").setAttribute("class", "active");
        roles = "1";
        $('#account').show();//账号密码登录输入框体展示
        $('#phonenumber').hide();//免密登录输入框体隐藏
        $('#phoneLogin').hide();//手机号登录字体隐藏
        $('#accountLogin').hide();//账号登录字体展示
        $('#forgetPwd').hide();//忘记密码字体隐藏
        $('#account_login').show();//账号密码登录框展示
        $('#phone_login').hide();//免密登录框隐藏
    }
}

/**
 * 公众注册
 */
function onRegister() {
    window.location.href = $sky.Util.urlTimestamp(PUBLIC_REGISTER);
}

/**
 * 跳转首页
 */
function onToHome() {
    $sky.Model.handSessionStorage.set("MAIN_INDEX", 1);
    window.location.href = $sky.Util.urlTimestamp('../../../home/home.html');
}


//用户签到
function userSign(device) {
    var signInfo = {
        deviceNumber: device.uuid,
        manufacturer: device.manufacturer,
        model: device.model,
        os: device.platform == "Android" ? 1 : device.platform == "iOS" ? 2 : 0,
        osversion: device.version,
        appversion: APP_VERSION,
        phoneNumber: "",
        longitude: "0",
        latitude: "0"
    };
    getLocationInfo().then(function (position) {
        signInfo.longitude = position.coords.longitude;
        signInfo.latitude = position.coords.latitude;
    }).catch(function (error) {
        console.log("定位出错" + error);
    }).then(function () {
        $sky.Model.getAjax('post', url_user_sign, signInfo).then(function (data) {
            console.log("签到成功" + data);
        }).catch(function (error) {
            console.log("签到失败" + error);
        });
    });
}

// ============================================3.函数集============================================
/**
 * 根据角色登录
 */
function judgeRole(loginName, password) {
    if (roles == "0") {//公众
        $sky.Model.getAjax('post', url_user_login, {
            user: loginName,
            password: password
        }).then(function (data) {
            if (data.success) {
                dialog.loading.close();
                $sky.Model.handLocalStorage.clear();
                $sky.Model.handSessionStorage.clear();
                CURRENT_ACCOUNT.setUserRole(data.data.role);
                CURRENT_ACCOUNT.setId(data.data.userid);
                CURRENT_ACCOUNT.setUserName(data.data.name);
                CURRENT_ACCOUNT.setUserLoginName(loginName);
                CURRENT_ACCOUNT.setUserPSW(password);
                CURRENT_ACCOUNT.setUserExam(data.data.issynchrodata);
                CURRENT_ACCOUNT.setUserPROVINCE(data.data.provincestr, data.data.citystr);
                CURRENT_ACCOUNT.setUserCityCode(data.data.districtcode);
                CURRENT_ACCOUNT.setEnglishProvince(data.data.province_english);
                CURRENT_ACCOUNT.setEnglishCity(data.data.city_english);
                CURRENT_ACCOUNT.setUserPhone(data.data.telephone);
                $sky.Model.handLocalStorage.set("last_login_time", Date.parse(new Date()));

                var passData = {
                    role: data.data.role,
                    userid: data.data.userid,
                    name: data.data.name,
                    logintime: Date.parse(new Date()),
                    rootpath: $sky.Model.handSessionStorage.get("ROOT_FILE_PATH")
                };

                try {
                    setJpush(data.data.userid, data.data.role);
                } catch (error) {
                    console.log(error);
                } finally {
                    window.location.replace("../../../home/home.html");
                }
            } else {
                dialog.loading.close();
                dialog.toast(data.errorMsg, 'none', 1000);
            }
        }).catch(function (error) {
            dialog.loading.close();
            dialog.toast(error, 'none', 1000);
        });
    } else if (roles == "1") { //律师
        $sky.Model.getAjax('post', url_staff_login, {
            phone: loginName,
            password: password
        }).then(function (data) {
            if (data.success) {
                dialog.loading.close();
                CURRENT_ACCOUNT.setUserRole(data.data.peopletype);
                CURRENT_ACCOUNT.setId(data.data.userid);
                CURRENT_ACCOUNT.setUserName(data.data.name);
                CURRENT_ACCOUNT.setUserCode(data.data.usernumber);
                CURRENT_ACCOUNT.setUserData(JSON.stringify(data.data));
                CURRENT_ACCOUNT.setUserLoginName(loginName);
                CURRENT_ACCOUNT.setUserPSW(password);
                $sky.Model.handLocalStorage.set("last_login_time", Date.parse(new Date()));

                var passData = {
                    role: data.data.peopletype,
                    userid: data.data.userid,
                    name: data.data.name,
                    code: data.data.usernumber,
                    data: JSON.stringify(data.data),
                    logintime: Date.parse(new Date()),
                    rootpath: $sky.Model.handSessionStorage.get("ROOT_FILE_PATH")
                };

                try {
                    setJpush(data.data.userid, data.data.peopletype);
                } catch (error) {
                    console.log(error);
                } finally {
                    if (data.data.peopletype == 8) {
                        window.location.replace($sky.Util.urlTimestamp(LAWYER_MAIN + "?passData=" + JSON.stringify(passData)));
                    } else if (data.data.peopletype == 9) {
                        window.location.replace($sky.Util.urlTimestamp(EXPERT_MAIN + "?passData=" + JSON.stringify(passData)));
                    } else if (data.data.peopletype == 11){//协调司
                        window.location.replace($sky.Util.urlTimestamp(CONCERT_MAIN + "?passData=" + JSON.stringify(passData)));
                    } else if (data.data.peopletype == 12){//部门
                        window.location.replace($sky.Util.urlTimestamp(CONCERT_MAIN + "?passData=" + JSON.stringify(passData)));
                    }
                }
            } else {
                dialog.loading.close();
                dialog.toast(data.errorMsg, 'none', 1000);
            }
        }).catch(function (error) {
            dialog.loading.close();
            dialog.toast(error, 'none', 1000);
        });
    }
}


/**
 * dom加载完的回调
 */
function onDeviceReady() {
    if (typeof (device) != "undefined") {
        userSign(device);
    }
    initAndRequestAndroidPermission();
    Jpush.init();
    initAndroidBackButton();
    $sky.Model.handSessionStorage.set("ROOT_FILE_PATH", cordova.file.applicationDirectory);

}

//监听返回键按钮事件
function initAndroidBackButton() {
    document.addEventListener("backbutton", eventBackButton, false);
}

//返回键点击响应
function eventBackButton() {
    var endDate = new Date().getTime();
    if (isToast && endDate - beginDate < 2000) {
        beginDate = endDate;
        isToast = false;
        navigator.app.exitApp();
    } else {
        isToast = true;
        beginDate = new Date().getTime();
        window.SKYUI.dialog.toast('Press again to exit', 'none', 1000);
    }
}

function setJpush(userid, role) {
    //设置别名
    Jpush.setAlias(userid, function (success) {
        console.log('设置别名成功=' + JSON.stringify(success));
    }, function (error) {
        console.log('设置别名失败=' + JSON.stringify(error));
    });

    //设置标签
    Jpush.setTags("role_" + role, function (success) {
        console.log('设置标签成功=' + JSON.stringify(success));
    }, function (error) {
        console.log('设置标签失败=' + JSON.stringify(error));
    });
}

//获取权限通知
function initAndRequestAndroidPermission() {
    var permissions = cordova.plugins.permissions;
    var permissionList = [
        permissions.READ_EXTERNAL_STORAGE,
        permissions.ACCESS_FINE_LOCATION,
        permissions.RECORD_AUDIO,
        permissions.READ_PHONE_STATE
    ];
    permissions.requestPermissions(permissionList, success, error);

    function error() {
        console.warn('ACCESS_FINE_LOCATION permission is not turned on');
    }

    function success(status) {
        if (!status.hasPermission) error();
    }
}

//自动登录
function autoLogin() {
    //自动登录功能
    var lastLoginTime = $sky.Model.handLocalStorage.get("last_login_time");
    if (lastLoginTime === "") {
        return;
    }
    //两次间隔秒数
    var interval = (new Date().getTime() - lastLoginTime) / 1000;
    //间隔10天内自动登录
    if (interval < 864000 && CURRENT_ACCOUNT.getUserPSW() !== "") {
        dialog.loading.open('logining...');
        //设置1s定时器，执行签到功能
        setTimeout(function () {
            judgeRole($sky.bindId('user').value, CURRENT_ACCOUNT.getUserPSW())
        }, 500)
    }
}

/**
 * 初始化body高度
 */
function initBodyHeight() {
    var font = window.document.documentElement.style.fontSize.split("px");
    document.getElementsByTagName('body')[0].style.height = (document.documentElement.clientHeight / font[0]) + "rem";
    $(window).resize(function () {
        var font = window.document.documentElement.style.fontSize.split("px");
        document.getElementsByTagName('body')[0].style.height = (document.documentElement.clientHeight / font[0]) + "rem";
    });
}

// $(window).scroll(function(){
//     var scrollTop = $(this).scrollTop();
//     var scrollHeight = $(document).height();
//     var windowHeight = $(this).height();
//     if(scrollTop + windowHeight == scrollHeight){
//         alert("已经到最底部了！");
//     }
// });

function initHeight(){
    // 窗口高度
    const H = window.innerHeight;

    // 页面初始化后绑定resize方法
    window.addEventListener('resize', function () {
            if(window.innerHeight < H){
                // 隐藏按钮
                $('.bottom_ptn').hide();
                //键盘弹出时页面滚动到最底部
                $(this).scrollTop($(document).height()- $(this).height());
            }else{
                // 显示按钮
                $('.bottom_ptn').show();
                //键盘收起页面还原
                $(this).scrollTop(0);
            }
    });
}

function getLocationInfo() {
    return new ES6Promise(function (resolve, reject) {
        navigator.geolocation.getCurrentPosition(function (position) {
            resolve(position);
        }, function (error) {
            reject(error);
        });
    });
}
