/**
 * Created by lwc on 2019/5/13.
 */
var url_consults_list = APP_SERVER_URL + 'consult/anonymous/consults'; //咨询列表//
var pagenum = 1;
$(function () {
    pagenum = 1;
    //创建MeScroll对象
    mescroll = new MeScroll("mescroll", {
        down: {
            auto: false, //是否在初始化完毕之后自动执行下拉回调callback; 默认true
            callback: downCallback //下拉刷新的回调
        },
        up: {
            auto: true, //是否在初始化时以上拉加载的方式自动加载第一页数据; 默认false
            isBounce: false, //此处禁止ios回弹,解析(务必认真阅读,特别是最后一点): http://www.mescroll.com/qa.html#q10
            callback: function () {
                getEnglishList({num:pagenum});
            } //上拉回调,此处可简写; 相当于 callback: function (page) { upCallback(page); }
        }
    });
});
function jump(pkid, type) {
    if (type.indexOf("法律职业资格考试咨询") > -1) {//考试类咨询
        window.location.href = $sky.Util.urlTimestamp("../../exam/public/exam_public.html?pkid=" + pkid);
    } else { //普通类咨询
        window.location.href = $sky.Util.urlTimestamp("../consult/detail/consult_detail.html?pkid=" + pkid);
    }
}

function downCallback(){
    pagenum = 1;
    // 拼接HTML
    var param = {
        keyword: '',
        type: '',
        startTime: '',
        endTime: '',
        pageNum: 1,
        pageSize: 10,
        bigType: 3,
        timestamp: new Date().getTime()
    };
    $sky.Model.getAjax('get', url_consults_list, param)
        .then(function (data) {
            console.log(data);
            mescroll.endSuccess();
            $(".list").html(template('item', data));
            pagenum++;
        })
        .catch(function (error) {
            console.log('error' + error);
        });
}

function goEnglishCenter() {
    window.parent.location.href=$sky.Util.urlTimestamp('../account/main/account_main_public.html')
}
function getEnglishList(page) {
    // 拼接HTML
    var param = {
        keyword: '',
        type: '',
        startTime: '',
        endTime: '',
        pageNum: page.num,
        pageSize: 10,
        bigType: 3,
        timestamp: new Date().getTime()
    };
    $sky.Model.getAjax('get', url_consults_list, param)
        .then(function (data) {
            console.log(data);
            mescroll.endByPage(data.list.length, data.total);
            $(".list").append(template('item', data));
            pagenum++;
        })
        .catch(function (error) {
            console.log('error' + error);
        });
}