// ============================================全局数据============================================
var url_detail = APP_SERVER_URL + 'office/lawSupportOffice?pkid=';
var pkid = $sky.Model.getUrlParam('pkid');
var lng = $sky.Model.getUrlParam('lng');
var lat = $sky.Model.getUrlParam('lat');
var insData = {};

// ============================================1.初始化状态============================================
$(function () {
    loadInfo();
});

/**
 * 获取律师详情
 */
function loadInfo() {
    $sky.Model.getAjax('get', url_detail + encodeURIComponent(pkid), {})
        .then(function (data) {
            insData = data.data.basic;
            template.defaults.imports.info_filter = function (data) {
                if (undefined == data) {
                    return "暂无";
                } else {
                    return data;
                }
            };
            $('.content').append(template('info', data.data.basic));
            if (data.data.basic.desc == null || data.data.basic.desc == undefined) {
                $('.desc').append(template('empty', {}));
            }
        });
}

// ============================================2.事件集============================================
function onMap() {
    if (insData.latitude == undefined || insData.longitude == undefined) {
        window.SKYUI.dialog.toast('信息不全，无法导航！', 'none', 1000);
    } else {
        navigation(insData.chinesename, insData.latitude, insData.longitude, insData.address);
    }
}

// ============================================3.函数集============================================
