// ============================================全局数据============================================
var url_version = APP_SERVER_URL + "android/phone/latestVersion.json";
var url_ios_index = "itms-apps://itunes.apple.com/us/app/中国法律服务网/id1364280507?l=zh&ls=1&mt=8";
//var url_ios_index = APP_SERVER_URL + "ios/phone/index.html";
var url_user_todos = APP_SERVER_URL + 'user/todos';
var url_province = '../../global/resource/province.json';
var passData = $sky.Model.getUrlParam("passData");
var beginDate = 0;
var isToast = false;
var dialog = window.SKYUI.dialog;
// ============================================1.初始化状态========================================
$(function () {
    if(window.CURRENT_ACCOUNT.getUserRole() == '11' ||window.CURRENT_ACCOUNT.getUserRole() == '12'){
        window.location.replace($sky.Util.urlTimestamp('../concert/concert_main.html'));
    }

    initBoxHeight();

    if (CLOUD && passData != null && typeof (passData) != "undefined") {
        var pass = JSON.parse(passData);
        CURRENT_ACCOUNT.setUserRole(pass.role);
        CURRENT_ACCOUNT.setId(pass.userid);
        CURRENT_ACCOUNT.setUserName(pass.name);
        $sky.Model.handLocalStorage.set("last_login_time", pass.logintime);
        $sky.Model.handSessionStorage.set("ROOT_FILE_PATH", pass.rootpath);
    }
    $sky.Model.handSessionStorage.set("MAIN_INDEX",0);

    $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../home/public/public_home.html");
// 页面加载后添加各事件监听
    document.addEventListener("deviceready", onDeviceReady, false);
    if (undefined != $sky.Model.handSessionStorage.get("MAIN_INDEX")) {
        var index = $sky.Model.handSessionStorage.get("MAIN_INDEX");
        if (index != -1) {
            reStoreTab(index);
        }
    }

    showUserTodo({
        timestamp: Date.parse(new Date()),
        usertype: "1",
        businesstype: "1",
        scenetype: "1001,1002,1003,1004,1005"
    }).then(function (data) {
        var todoNum = 0;
        for (var i = 1001; i <= 1005; i++) {
            todoNum += data["" + i];
        }
        $sky.bindId('personUnread').style.display = todoNum > 0 ? "block" : "none";
        if (navigator.userAgent.indexOf('Android') > 0) {
            window.plugins.Badge.setAndroidIconBadgeNumber(todoNum);
        } else if (/iP(ad|hone|od)/.test(navigator.userAgent)) {
            window.plugins.jPushPlugin.setBadge(todoNum);
            window.plugins.jPushPlugin.setApplicationIconBadgeNumber(todoNum);
        }
    });

    tabChangeClick();
    checkVersion();
});

// ============================================2.事件集============================================
/**
 * 底部导航栏切换
 */
function tabChangeClick() {
    $('.nav_top a').click(function () {
        if ($sky.Model.handSessionStorage.get("MAIN_INDEX") == undefined ||
            $sky.Model.handSessionStorage.get("MAIN_INDEX") == null ||
            $sky.Model.handSessionStorage.get("MAIN_INDEX") != $(this).index()
        ) {
            var index = $(this).index();

            //底部导航 字体样式设置
            $(this).siblings().removeClass('active');
            $(this).addClass('active');

            //底部导航 图标设置
            setBottomIcon(index);

            skipIframe(index);

            $sky.Model.handSessionStorage.set("MAIN_INDEX", index);
        }
    })
}

// ============================================3.函数集============================================
/**
 * 初始化iframe高度
 */
function initBoxHeight() {
    var font = window.document.documentElement.style.fontSize.split("px");
    font[0] = (font[0].split('%')[0] / 100) * defaultFontSize;
    $sky.bindId('nav_mid').style.height = (document.documentElement.clientHeight / font[0] - 1.12) + "rem";
    $(window).resize(function () {
        var font = window.document.documentElement.style.fontSize.split("px");
        $sky.bindId('nav_mid').style.height = (document.documentElement.clientHeight / font[0] - 1.12) + "rem";
    });
}

/**
 * 设置底部导航的图标
 * @param index
 */
function setBottomIcon(index) {
    switch (index) {
        case 0:
            $sky.bindId('home').src = "images/ic_main_nav_active.png";
            $sky.bindId('phone').src = "images/ic_zixun.png";
            $sky.bindId('person').src = "images/ic_person_nav.png";
            break;

        case 1:
            $sky.bindId('home').src = "images/ic_main_nav.png";
            $sky.bindId('phone').src = "images/ic_zixun_active.png";
            $sky.bindId('person').src = "images/ic_person_nav.png";
            break;

        case 2:
            $sky.bindId('home').src = "images/ic_main_nav.png";
            $sky.bindId('phone').src = "images/ic_zixun.png";
            $sky.bindId('person').src = "images/ic_person_nav_active.png";
            break;
        default:
            break;
    }
}

/**
 * 返回主页面时，还原到上一次的tab页面
 */
function reStoreTab(index) {
    $('.nav_top a').siblings().removeClass('active');
    $('.nav_top a')[index].setAttribute('class', 'active');

    //底部导航 图标设置
    setBottomIcon(index);

    skipIframe(index)
}

/**
 * 根据tab跳转到相应的iframe
 * @param index
 */
function skipIframe(index) {
    switch (index) {
        case 0:
            $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../home/public/public_home.html");
            break;

        case 1:
            $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../news/common/list/new/news_list.html");
            break;

        case 2:
            $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../setting/account/main/account_main_public.html?showHeader=true");
            break;

        default:
            break;
    }
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    initAndroidBackButton();
}

//监听返回键按钮事件
function initAndroidBackButton() {
    document.addEventListener("backbutton", eventBackButton, false);
}

//返回键点击响应
function eventBackButton() {
    var endDate = new Date().getTime();
    if (isToast && endDate - beginDate < 2000) {
        beginDate = endDate;
        isToast = false;
        navigator.app.exitApp();
    } else {
        isToast = true;
        beginDate = new Date().getTime();
        window.SKYUI.dialog.toast('再按一次退出', 'none', 1000);
    }
}

/**
 * 获取未读消息
 */
function showUserTodo(params) {
    return new ES6Promise(function (resolve, reject) {
        $sky.Model.getAjax('get', url_user_todos, params)
            .then(function (data) {
                if (data.success) {
                    resolve(data);
                } else {
                    reject("无数据");
                }
            }).catch(function (error) {
            reject(error);
        });
    });
}

// ============================================更新app============================================

//检查版本号
function checkVersion() {
    if (isIphone()) {
        url_version = APP_SERVER_URL + "ios/phone/latestVersion.json";
    }
    if (/iPhone|iPod|iPad|micromessenger|Android|ios|SymbianOS/i.test(navigator.userAgent)) {
        $sky.Model.getAjax('get', url_version, {
            timestamp: new Date().getTime()
        }).then(function (data) {
            // if (!data.identityShow) {
            //     $sky.bindId("roles").style.visibility = "hidden";
            // }else {
            //     $sky.bindId("roles").style.visibility = "visible";
            // }
            // }
            var newVersion = data.version;//最新版本号
            if (newVersion > APP_VERSION) {
                if (data.forceUpdate) {
                    dialog.confirm('提示', '发现新版本v' + newVersion + '，立即更新！', function () {
                        if (isIphone()) {
                            window.parent.open($sky.Util.urlTimestamp(url_ios_index), '_blank', 'location=no');
                        } else {
                            createFile(data.newUrl);
                        }
                    }, null, true);
                } else {
                    dialog.confirm('发现新版本v' + newVersion + '，是否更新？', function () {
                        if (isIphone()) {
                            window.parent.open(url_ios_index, '_blank', 'location=no');
                        } else {
                            createFile(data.newUrl);
                        }
                    });
                }
            }
        });
    }
}

//启动第三方应用
function startAPP(package) {
    var sApp;
    if (isIphone()) {
        sApp = startApp.set(package);
    } else {
        sApp = startApp.set({
            "action": "ACTION_MAIN",
            "type": "text/css",
            "package": package
        });
    }

    sApp.start(function () {
        console.warn('启动APP成功');
    }, function (error) {
        console.warn('启动APP失败：' + error);
    });
}

//文件创建失败回调
function onErrorCreateFile(error) {
    console.log("文件创建失败！" + error)
}

//FileSystem加载失败回调
function onErrorLoadFs(error) {
    console.log("文件系统加载失败！" + error)
}

//创建文件目录
function createFile(url_apk) {
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fs) {
        fs.root.getFile('sfb12348.apk', {create: true, exclusive: false},
            function (fileEntry) {
                download(fileEntry, url_apk);
            }, onErrorCreateFile);
    }, onErrorLoadFs);
}

//下载文件
function download(fileEntry, uri) {
    dialog.loading.open("正在下载...");
    var fileTransfer = new FileTransfer();
    var fileURL = fileEntry.toURL();

    fileTransfer.onprogress = function (e) {
        if (e.lengthComputable) {
            console.log('当前进度：' + e.loaded / e.total);
        }
    };

    fileTransfer.download(
        uri,
        fileURL,
        function (entry) {
            console.log("文件保存位置: " + entry.toURL());
            $sky.Model.handLocalStorage.remove("VERSION_APK");
            dialog.loading.close();
            navigator.app.exitApp();
            cordova.plugins.fileOpener2.open(
                entry.toURL(),
                'application/vnd.android.package-archive'
            );
        },
        function (error) {
            console.log("下载失败！");
            console.log("error" + JSON.stringify(error));
        },
        null,
        {}
    );
}

/**
 * 判断是否是iphone手机
 * @returns
 */
function isIphone() {
    var iphone = navigator.userAgent.toLocaleLowerCase().match(/iPhone/i);
    return iphone && iphone.length;
}




