// ============================================全局数据============================================
var deptData = [{
    "code": "1",
    "name": "男"
}, {
    "code": "2",
    "name": "女"
}]; //表单数据保存
var deptDataEducation = [{
    "code": "1",
    "name": "博士后"
}, {
    "code": "2",
    "name": "博士"
}, {
    "code": "3",
    "name": "研究生"
}, {
    "code": "4",
    "name": "大学"
}, {
    "code": "5",
    "name": "大专"
}, {
    "code": "6",
    "name": "高中"
}, {
    "code": "7",
    "name": "初中"
}, {
    "code": "8",
    "name": "中专"
}, {
    "code": "9",
    "name": "小学"
}, {
    "code": "10",
    "name": "其他"
}]; //表单数据保存
var url_formSubmit = APP_SERVER_URL + 'account/user/edit';
var url_formDetail = APP_SERVER_URL + 'account/user/detail';
var url_staffinfo = APP_SERVER_URL + 'inhouse/staff';
var sexCode; //性别对应ID
var educationCode; //学历对应ID
var dialog = window.SKYUI.dialog;
var pageName;
var role;

var nowYear;
var nowMonth;
var nowDate;

var industry;
var provinceCode;

var identityData = [{
    "code": "1",
    "name": "农、林、牧、渔业"
}, {
    "code": "2",
    "name": "采矿业"
}, {
    "code": "3",
    "name": "制造业"
}, {
    "code": "4",
    "name": "电力、热力、燃气及水生产和供应业"
}, {
    "code": "5",
    "name": "建筑业"
}, {
    "code": "6",
    "name": "批发和零售业"
}, {
    "code": "7",
    "name": "交通运输、仓储和邮政业"
}, {
    "code": "8",
    "name": "住宿和餐饮业"
}, {
    "code": "9",
    "name": "信息传输、软件和信息技术服务业"
}, {
    "code": "10",
    "name": "金融业"
}, {
    "code": "11",
    "name": "房地产业"
}, {
    "code": "12",
    "name": "租赁和商务服务业"
}, {
    "code": "13",
    "name": "水利、环境和公共设施管理业"
}, {
    "code": "14",
    "name": "居民服务、修理和其他服务业"
}, {
    "code": "15",
    "name": "教育"
}, {
    "code": "16",
    "name": "卫生和社会工作"
}, {
    "code": "17",
    "name": "公共管理、社会保障和社会组织"
}, {
    "code": "18",
    "name": "国际组织"
},{
    "code": "19",
    "name": "科学研究和技术服务业"
},{
    "code": "20",
    "name": "文化、体育和娱乐业"
},{
    "code": "21",
    "name": "其他"
}

];
var professionData = [{
    "code": "1",
    "name": "企事业单位管理人员"
}, {
    "code": "2",
    "name": "科学研究人员"
}, {
    "code": "3",
    "name": "金融从业人员"
}, {
    "code": "4",
    "name": "法律从业人员"
}, {
    "code": "5",
    "name": "医疗卫生从业人员"
}, {
    "code": "6",
    "name": "教师"
}, {
    "code": "7",
    "name": "教授"
}, {
    "code": "8",
    "name": "文学艺术人员"
}, {
    "code": "9",
    "name": "体育工作人员"
}, {
    "code": "10",
    "name": "新闻出版、文化工作人员"
}, {
    "code": "11",
    "name": "宗教职业者"
}, {
    "code": "12",
    "name": "工人"
}, {
    "code": "13",
    "name": "农民"
}, {
    "code": "14",
    "name": "农民工"
}, {
    "code": "15",
    "name": "学生"
}, {
    "code": "16",
    "name": "商人"
}, {
    "code": "17",
    "name": "退休人员"
}, {
    "code": "18",
    "name": "无业人员"
}, {
    "code": "19",
    "name": "军人"
}, {
    "code": "20",
    "name": "警察"
}, {
    "code": "21",
    "name": "公务人员"
}, {
    "code": "22",
    "name": "公司职员"
}, {
    "code": "23",
    "name": "其他"
}];
// ============================================1.初始化状态============================================
(function () {
    role = CURRENT_ACCOUNT.getUserRole() + "";
    var pkid = CURRENT_ACCOUNT.getId();
    switch ($sky.Model.getUrlParam('tag')) {
        //  1 (提交)
        case '1':
            var data = {};
            createTemplate(data);
            bottomShow(true);
            break;
        // 2(查看)
        default:
            if (role === "1" || role === "2") {
                $sky.Model.getAjax('get', url_staffinfo + "?pkid=" + pkid)
                    .then(function (datas) {
                        console.log(datas);
                        hideBottom();
                        createTemplate(datas, "staff");
                        isReady(true)
                    });
            } else {
                $sky.Model.getAjax('get', url_formDetail)
                    .then(function (datas) {
                        console.log(datas);
                        bottomShow(false);
                        createTemplate(datas);
                        $('.m-star').each(function (index, ele) {
                            ele.style.visibility = "hidden";
                        })
                        setDateBirth(datas.data.birthday);
                    });
            }
            break;
    }
})();

function setDateBirth(date) {
    var birthdayView = $($sky.bindId("age"));
    if (date) {
        var arr = date.split("-");
        nowYear = arr[0];
        nowMonth = arr[1];
        nowDate = arr[2];
    } else {
        var now = new Date();
        nowYear = now.getFullYear();
        nowMonth = now.getMonth() + 1;
        nowDate = now.getDate();
    }
    birthdayView.attr('data-year', nowYear);
    birthdayView.attr('data-month', nowMonth);
    birthdayView.attr('data-date', nowDate);
}

// ============================================2.事件集============================================

function pickerDate() {
    var view = $($sky.bindId("age"));
    var oneLevelId = view.attr('data-year');
    var twoLevelId = parseInt(view.attr('data-month'));
    var threeLevelId = parseInt(view.attr('data-date'));
    new IosSelect(2, [yearData, monthData], {
        title: '日期选择',
        itemHeight: 35,
        oneLevelId: oneLevelId,
        twoLevelId: twoLevelId,
        threeLevelId: threeLevelId,
        showLoading: true,
        callback: function (selectOneObj, selectTwoObj, selectThreeObj) {
            view.attr('data-year', selectOneObj.id);
            view.attr('data-month', selectTwoObj.id);
            // view.attr('data-date', selectThreeObj.id);
            view.val(selectOneObj.value + selectTwoObj.value);
        }
    });
}

/**
 * 提交
 */
function submit() {
    var isPass = verification();
    if (isPass) {
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open();
            var view = $($sky.bindId("age"));
            // var birthday = view.attr('data-year') + "-" + view.attr('data-month') + "-" + view.attr('data-date');
            var birthday = view.attr('data-year') + "-" + view.attr('data-month');
            provinceCode = getArrayObjValue(identityData, $sky.bindId('identity').value);
            industry = getArrayObjValue(professionData, $sky.bindId('industry').value);
            educationCode = getArrayObjValue(deptDataEducation, $sky.bindId('education').value);
            var param = {
                name: $sky.bindId('name').value,
                sex: tranSex($sky.bindId('sex').value),
                birthday: birthday,
                mobile: $sky.bindId('phone').value,
                email: "",
                address: $sky.bindId('address').value,
                education: educationCode + '',
                profession: industry || '',//职业
                industry: provinceCode //行业
            };
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}

function tranSex(value) {
    value = $.trim(value);
    if (value === "男") {
        return "1"
    } else if (value === "女") {
        return "2"
    } else {
        console.log("sexName非男非女");
    }
}

/**
 *一级联动年龄
 */
function pickerOneCaseType() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": deptData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name",
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('sex').value = val;
            sexCode = code;
        }
    });
}

function pickerOneCaseTypeEducation() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": deptDataEducation, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name",
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('education').value = val.split(" ")[0];
            educationCode = code.split(',')[0];
        }
    });
}

function edit() {
    isReady(false); //只读改成可写
    bottomShow(true); //设置底部按钮显示提交
    $sky.bindId('name').focus();
}

/**
 * 职业
 */
function pickerOneindustry() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": professionData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name",
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('industry').value = val.split(" ")[0];
            industry = code.split(',')[0];
        }
    });
}

/**
 * 行业
 */
function pickerOneidentity() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": identityData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            document.getElementById('identity').value = val.split(" ")[0];
            provinceCode = code.split(',')[0];
            console.log(provinceCode);
        }
    });
}

// ============================================3.函数集============================================
/**
 * 表单：验证
 * @param isRead
 */
function verification() { //表单验证
    var eleIds = ["name", "sex", "age", "industry", "identity", "phone", "address", "education"];
    var eleValues = ["姓名", "性别", "出生日期", "职业", "行业", "联系电话", "地址", "学历"];
    return $sky.Util.validateForm(eleIds, eleValues);
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(datas, flag) {
    var data = datas.data;
    data.role = role + "";
    if(data.name == ''||data.name == null||typeof data.name == 'undefined'){
        data.name = '匿名用户';
    }
    if (data == null) {
        data = {};
    }
    template.defaults.imports.peopletypeFilter = function (type) {
        if(type==null){
            return ''
        }
        switch (type) {
            case "1":
                return "服务人员";
            case "2":
                return "专家";
            case "3":
                return "综合岗";
            case "4":
                return "省级服务人员";
            default:
                return "未定义";
        }
    };
    template.defaults.imports.sexFilter = function (content) {
        if (content === 1) {
            return "男"
        } else if (content === 2) {
            return "女"
        } else {
            return ''
            console.log("sexCode不为1或2");
        }
    };
    template.defaults.imports.educationFilter = function (content) {
        switch (content + '') {
            case "1":
                return '博士后'
            case "2":
                return '博士'
            case "3":
                return '研究生'
            case "4":
                return '大学'
            case "5":
                return '大专'
            case "6":
                return '高中'
            case "7":
                return '初中'
            case "8":
                return '中专'
            case "9":
                return '小学'
            case "10":
                return '其他'
            default:
                return '';
        }
    };


    template.defaults.imports.birthFilter = function (content) {
        if(content==null){
            return ''
        }
        return content.split("-")[0] + "年" + content.split("-")[1] + "月";
    };

    if (typeof(data) != "undefined" && datas.success) {
        if (flag === "staff") {
            var html = template('t_list_staff', data);
        } else {
            var html = template('t_list', data);
        }
        $sky.bindId("container").innerHTML = html;
        isReady(true);
    } else {
        $sky.bindId('send_group').style.visibility = "hidden";
        $sky.bindId('send_edit').style.visibility = "hidden";
        var tips = {
            message: "系统异常"
        }
        $sky.bindId('send_group').style.display = "none";
        $sky.bindId('send_edit').style.display = "none";
        var html = template('submit-succeed', tips);
        $sky.bindId("container").innerHTML = html;
    }
}

/**
 * 底部按钮组显示与影藏
 * @param flag
 */
function bottomShow(tag) {
    if (tag) { //提交页面
        $sky.bindId('send_group').style.visibility = "visible";
        $sky.bindId('send_edit').style.visibility = "hidden";
    } else { //查看页面(可编辑)
        $sky.bindId('send_group').style.visibility = "hidden";
        $sky.bindId('send_edit').style.visibility = "visible";
    }
}

function hideBottom() {
    $sky.bindId('send_group').style.display = "none";
    $sky.bindId('send_edit').style.display = "none";
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        console.log("state================" + data.success);
        if (data.success) {
            SKYUI.dialog.loading.close();
            CURRENT_ACCOUNT.setUserName($sky.bindId('name').value);
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                history.back();
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    })
        .then(function (error) {
            SKYUI.dialog.loading.close();
        });
}

function isReady(isRead) {
    $('.m-star').each(function (index, ele) {
        ele.style.visibility = "hidden";
    })
    $sky.Util.setReady(['textarea', 'input', 'select'], isRead);
    if (isRead) {
        $('input,textarea').each(function (index, elem) {
            if (elem.value === '') {
                if (typeof(elem.parentNode) != 'undefined') {
                    $(elem.parentNode).hide();
                }
            }
        })
    } else {
        $('input,textarea').each(function (index, elem) {
            $(elem.parentNode).show();
        })
    }
    $sky.bindId('age').readOnly = 'readOnly';
}

// 日期数据初始化
function formatYear(nowYear) {
    var now = new Date();
    var nowYear = now.getFullYear() - 1;
    var arr = [];
    for (var i = nowYear - 118; i <= nowYear; i++) {
        arr.push({
            id: i + '',
            value: i + '年'
        });
    }
    return arr;
}

function formatMonth() {
    var arr = [];
    for (var i = 1; i <= 12; i++) {
        arr.push({
            id: i + '',
            value: i + '月'
        });
    }
    return arr;
}

function formatDate(count) {
    var arr = [];
    for (var i = 1; i <= count; i++) {
        arr.push({
            id: i + '',
            value: i + '日'
        });
    }
    return arr;
}

var yearData = function (callback) {
    callback(formatYear(nowYear))
}
var monthData = function (year, callback) {
    callback(formatMonth());
};
var dateData = function (year, month, callback) {
    if (/^(1|3|5|7|8|10|12)$/.test(month)) {
        callback(formatDate(31));
    } else if (/^(4|6|9|11)$/.test(month)) {
        callback(formatDate(30));
    } else if (/^2$/.test(month)) {
        if (year % 4 === 0 && year % 100 !== 0 || year % 400 === 0) {
            callback(formatDate(29));
        } else {
            callback(formatDate(28));
        }
    } else {
        throw new Error('month is illegal');
    }
};


function getArrayObjValue(arrayObj, code, codeTag, valueTag) {
    codeTag = codeTag || 'code';
    valueTag = valueTag || 'name';
    var codeObj;
    $(arrayObj).each(function (index, obj) {
        console.log(obj);
        if (obj[valueTag] + '' === code + '') {
            codeObj = obj;
        }
    })
    if (typeof(codeObj[codeTag]) != 'undefined') {
        return codeObj[codeTag] + '';
    } else {
        return '';
    }

}