/**
 * Created by lwc on 2019/5/13.
 */
var userType = $sky.Model.getUrlParam('user_type');
var org_tel = '';
var url_valicode = APP_SERVER_URL + 'SMS/sendSecurityCode';//获取验证码接口
var url_check = APP_SERVER_URL + 'SMS/checkSecurityCode';//验证码校验是否正确
var url_type = APP_SERVER_URL + 'api/xzzfjd/getDictionary';//type
var typeCode = '';
var countdown = 60;//倒计时60s
var dialog = window.SKYUI.dialog;
var phone_reg = /^1(3|4|5|7|8)\d{9}$/;
var public_name = '';
var public_cardno = '';
var securityCode = '';
var dataList = '';
if (userType == 1) {
    var user_type = "公民"
}
if (userType == 2) {
    var user_type = "法人或其他组织"
}


(function () {

    document.addEventListener("deviceready", onDeviceReady, false);
    $sky.bindId('user_type').innerHTML = user_type;

})();


/**
 * 发送验证码
 */
function getCode2() {
    org_tel = $sky.bindId('org_tel').value;
    var param = {
        telephone: org_tel
    };
    if (org_tel == '') {
        dialog.toast("请填写联系方式!", 'none', 1000);
        return '';
    }
    if (!phone_reg.test(org_tel)) {
        dialog.toast("手机号格式有误!", 'none', 1000);
        return '';
    }
    //防止多次点击
    $sky.bindId("code_title2").disabled = true;

    var param = {
        telephone: org_tel,
        businessType: '1'//登录验证码
    };

    $sky.Model.getAjax('post', url_valicode, param)
        .then(function (data) {
            console.log(data);
            if (data.success) {
                settime();
            } else {
                $sky.bindId("code_title2").disabled = false;
                dialog.toast(data.errorMsg, 'none', 1000);
                return '';
            }
        }).catch(function (error) {
        $sky.bindId("code_title2").disabled = false;
        dialog.toast(error, 'none', 1000);
        console.error(error);
    });
}


function settime() {
    if (countdown == 0) {
        $sky.bindId("code_title2").disabled = false;
        $('#code_title2').val("获取验证码");
        countdown = 60;
        return '';
    } else {
        $sky.bindId("code_title2").disabled = true;
        $('#code_title2').val("重新发送" + countdown + "s");
        countdown--;
    }
    setTimeout(function () {
        settime();
    }, 1000);
}

//获取市(地、州、盟)的code
function typePick() {
    var typeParam = {
        fid: '34EE3456AE8946B4975F3FB07EFFFD14',
    };
    $sky.Model.getAjax('post', url_type, typeParam)
        .then(function (data) {
            console.log(data);
            typeData = data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择',//标题(可选)
                "defaultValue": $sky.bindId('org_type').value,//默认值-多个以空格分开（可选）按照Name值匹配
                "type": 1,//需要联动级数[1、2、3]（可选）
                "data": typeData.list,//数据(必传)
                "keys": {
                    "id": "key",
                    "value": "value",
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    typeCode = code.split(",")[0];
                    //回调函数（val为选择的值）
                    $sky.bindId('org_type').value = val;
                    $sky.bindId('org_type_name').value = code.split(",")[1];
                }
            });
        });
}

//下一步
function gotoProblem(tip) {
    var securityCode = $sky.bindId('code2').value;
    org_tel = $sky.bindId('org_tel').value;
    var param = {
        telephone: org_tel,
        securityCode: $sky.bindId('code2').value
    };
    if (securityCode == '' || securityCode == null) {
        dialog.toast("手机验证码不能未空!", 'none', 1000);
        return '';
    }


    //验证短信验证码是否正确
    $sky.Model.getAjax('post', url_check, param)
        .then(function (data) {
            console.log(data);
            if (data.success) {
                console.log('验证码正确');

                org_name = $sky.bindId('org_name').value;
                org_contact = $sky.bindId('org_contact').value;
                if (typeCode == '' || typeCode == null) {
                    dialog.toast("请选择类别!", 'none', 1000);
                    return '';
                }

                if (org_name == '' || org_name == null) {
                    dialog.toast("请输入机构名称!", 'none', 1000);
                    return '';
                }
                if (org_contact == '' || org_contact == null) {
                    dialog.toast("请输入联系人姓名!", 'none', 1000);
                    return '';
                }
                if (org_tel == '' || org_tel == null) {
                    dialog.toast("请输入联系方式!", 'none', 1000);
                    return '';
                }
                dataList =
                    {
                        org_name: org_name,
                        org_contact: org_contact,
                        org_tel: org_tel,
                        user_type: userType,
                        org_type: typeCode

                    };
                window.localStorage.setItem("dataList", JSON.stringify(dataList));
                window.parent.location.href = $sky.Util.urlTimestamp("../problem/problem.html");
            } else {
                dialog.toast(data.errorMsg, 'none', 1000);
                return '';
            }
        }).catch(function (error) {
        dialog.loading.close();
        dialog.toast(error, 'none', 1000);
    });
}